Procedure.define("imw_utils", new imwUtils());

function init(request) {
    if (WorkflowVerifierManager.isValid()) {
        include("workflow/common/parts/common_js");
        include("workflow/common/parts/design_css");
        include("workflow/common/parts/act_utils");
        include("workflow/common/parts/admin_group_utils");
        include("workflow/common/parts/admin_utils");
        include("workflow/common/parts/datetime_utils");
        include("workflow/common/parts/error_utils");
        include("workflow/common/parts/flow_utils");
        include("workflow/common/parts/flow_group_utils");
        include("workflow/common/parts/matter_utils");
        include("workflow/common/parts/paging_utils");
        include("workflow/common/parts/plugin_utils");
        include("workflow/common/parts/proc_utils");
        include("workflow/common/parts/stamp_utils");
        include("workflow/common/parts/tag_param_utils");
        include("workflow/common/parts/rule_utils");
        include("workflow/common/parts/user_list_utils");
        include("workflow/common/parts/validate_utils");
        include("workflow/common/parts/xml_utils");
    }
}

// =============================================================================
// ֐`
//  y  z
//  y ԋp z
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zProcedure̓o^
// =============================================================================
function imwUtils() {
    this.escapeHTML = escapeHTML;
    this.escapeXML = escapeXML;
    this.fillZero = fillZero;
    this.convertEmpty = convertEmpty;
    this.convertDefault = convertDefault;
    this.trim = trim;
    this.toBrowse = toBrowse;
    this.getValue = getValue;
    this.incrementCount = incrementCount;
    this.makeHiddenObject = makeHiddenObject;
    this.escapePullDownObject = escapePullDownObject;
    this.isBlankObject = isBlankObject;
}

// =============================================================================
// HTMLGXP[v֐
//  y  zsVal: HTMLɕϊΏە
//            bBr: sϊtO
//  y ԋp zHTML
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zHTMLɃGXP[v܂. Ώە񂪋U (undefined, null ) 
//            ꍇ͕ϊɂ̂܂ܕԂ܂. Ώۂl̏ꍇ͕ɕϊ܂.
// =============================================================================
function escapeHTML(sVal, bBr) {
    if (!sVal) {
        return sVal;
    }
    sVal = sVal + "";
    sVal = sVal.replace(/\&/g, "&amp;");
    sVal = sVal.replace(/\"/g, "&quot;");
    sVal = sVal.replace(/\</g, "&lt;");
    sVal = sVal.replace(/\>/g, "&gt;");
    sVal = sVal.replace(/\'/g, "&#39;");
    if (bBr) {
        sVal = sVal.replace(/\r?\n/g, "<br>");
    }
    return sVal;
}

// =============================================================================
// XMLGXP[v֐
//  y  zsVal: XMLɕϊΏە
//  y ԋp zXML
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXMLɃGXP[v܂. Ώە񂪋U (undefined, null ) 
//            ꍇ͕ϊɂ̂܂ܕԂ܂. Ώۂl̏ꍇ͕ɕϊ܂.
// =============================================================================
function escapeXML(sVal) {
    if (!sVal) {
        return sVal;
    }
    sVal = sVal + "";
    sVal = sVal.replace(/\&/g, "&amp;");
    sVal = sVal.replace(/\"/g, "&quot;");
    sVal = sVal.replace(/\</g, "&lt;");
    sVal = sVal.replace(/\>/g, "&gt;");
    return sVal;
}

// =============================================================================
// [⊮֐
//  y  zsVal: ܂͐l
//            keta: 
//  y ԋp z[⊮̕
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[⊮s܂
// =============================================================================
function fillZero(sVal, keta) {
    sVal = sVal + "";
    while (sVal.length < keta) {
        sVal = "00000000000000000000".substring(0, keta - sVal.length) + sVal;
    }
    return sVal;
}

//=============================================================================
// NULLϊ֐
//  y  zstr: ϊf[^
//  y ԋp zϊf[^
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNULL, 󕶎󕶎ɕϊ܂B
//=============================================================================
function convertEmpty(str) {
    return (!str || !str.length) ? "" : str;
}

//=============================================================================
// ftHglϊ֐
//  y  zstr: ϊf[^
//            def: ftHgl
//  y ԋp zϊf[^
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNULL, 󕶎ftHglɕϊ܂B
//=============================================================================
function convertDefault(str, def) {
    return (!str || !str.length) ? def : str;
}

// =============================================================================
// ̐擪/甼pXy[X܂.
//  y  ztarget: Ώە
//  y ԋp zΏە
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z
// =============================================================================
function trim(target) {
    if (!target) {
        return target;
    }
    return target.replace(/^[ ]+|[ ]+$/g, '');
}

//=============================================================================
// HTMLꕶϊIuWFNgԋp܂B
//  y  zobj: ϊΏۃIuWFNg
//            bBr: sϊtO
//  y ԋp zϊΏۃIuWFNg̑SvpeBHTMLꕶϊIuWFNg
//  y쐬ҁz
//  y Tv zΏۂU (undefined, null ) ̏ꍇ͕ϊɂ̂܂ܕԂ܂.
//            ΏۂIuWFNg܂͕̏ꍇɓ삵܂.
//=============================================================================
function toBrowse(obj, bBr) {
    if (!obj) {
        return obj;
    }

    if (isString(obj)) {
        // ̏ꍇHTMLꕶϊ
        return escapeHTML(obj, bBr);
    } else if (isArray(obj)) {
        // Ώۂz̏ꍇ
        var clone = new Array();
        for (var prop in obj) {
            clone[prop] = toBrowse(obj[prop], bBr);
        }
        return clone;
    } else if (isObject(obj)) {
        // ΏۂIuWFNg̏ꍇ
        var clone = new Object();
        for (var prop in obj) {
            clone[prop] = toBrowse(obj[prop], bBr);
        }
        return clone;
    }

    return obj;
}

//=============================================================================
// Ώۂ̒l̏ꍇɔCӂ̕ϊlƂĕԋp܂B
//  y  ztarget: Ώےl
//            defaultValue: Ώےlnull/undefined/""̏ꍇɕԋpϊl
//  y ԋp zΏےl/ϊl̂ꂩ
//  y쐬ҁz
//  y Tv zΏےlnull/undefined/""̏ꍇACӂ̒lZbgĕԋp܂B
//            ΏےlLȊȌꍇ͂̂܂ܕԋp܂B
//=============================================================================
function getValue(target, defaultValue) {
    if (isBlank(target)) {
        return defaultValue;
    } else {
        return target;
    }
}

//=============================================================================
// l^CNg֐
//  y  zcount: l܂͕
//  y ԋp zCNg̐l^
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zl +1 ĕɕϊʂԋp܂B
//            ɕw肷邱Ƃł܂B
//=============================================================================
function incrementCount(count) {
    count = /^([0-9]+)/.exec(count + "") ? RegExp.$1 - 0 : 0;
    return (count >= 99999999 ? 1 : ++count) + "";
}

//=============================================================================
// hidden po̓IuWFNg쐬֐
//  y  zdata: f[^i[IuWFNg
//            obj: GXP[vȌ񂪊i[ꂽIuWFNg
//  y ԋp z data ƓIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zGXP[vȌ񂪊i[ꂽIuWFNgŁA̒l
//            GXP[v܂BlXg͍s܂ (z̒̕
//            ͑ΏۊO)B
//=============================================================================
function makeHiddenObject(data, obj) {
    var regexp = /[&\"<>\']/;
    for (var k in obj) {
        var v = obj[k];
        data[k] = (isString(v) && regexp.test(v)) ? escapeHTML(v) : (isUndefined(v) ? "" : v);
    }
    return data;
}

//=============================================================================
// v_Epo̓IuWFNg쐬֐
//  y  zdata: f[^i[IuWFNg
//            fKey: L[̂݃GXP[v
//  y ԋp zGXP[vȌ񂪊i[ꂽIuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zGXP[vȌ񂪊i[ꂽIuWFNgŁA̒l
//            GXP[v܂B
//=============================================================================
function escapePullDownObject(obj, fKey) {
    if (!obj) {
        return obj;
    }
    var ret = new Object();
    for (var k in obj) {
        var v = obj[k];
        ret[escapeHTML(k)] = fKey ? v : escapeHTML(v);
    }
    return ret;
}

//=============================================================================
// IuWFNg֐
//  y  zobj: nbVA܂́AIuWFNg
//  y ԋp zIuWFNgtO
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv znbVA܂́AIuWFNg󂩂ǂ𔻒肵܂B
//=============================================================================
function isBlankObject(obj) {
    var k;
    for (k in obj) {
        return true;
    }
    return false;
}
