Procedure.define("imw_xml_utils", new imwXmlUtils());

// =============================================================================
// ֐`
// y  z
// yԋplz
// y쐬ҁzNTT DATA INTRAMART
// y XV z
// y Tv zProcedure̓o^
// =============================================================================
function imwXmlUtils() {
    this.object2xml = object2xml;
    this.xml2object = xml2object;
}

//=============================================================================
// IuWFNgXMLϊ֐
//   y  zobj: IuWFNg
//   y ԋp zXML
//   y쐬ҁzNTT DATA INTRAMART
//   y Tv zIuWFNgXMLɕϊ܂B
//=============================================================================
function object2xml(obj, fnt) {
    var xml = "";
    var leng;
    var i;
    var k;

    if (isUndefined(obj) || isNull(obj)) {
        xml += "<value type=\"null\"></value>";
    } else if (isNumber(obj)) {
        xml += "<value type=\"number\">" + Procedure.imw_utils.escapeXML(obj) + "</value>";
    } else if (isString(obj)) {
        xml += "<value type=\"string\">" + Procedure.imw_utils.escapeXML(obj) + "</value>";
    } else if (isDate(obj)) {
        xml += "<value type=\"date\" format=\"yyyy/MM/dd HH:mm:ss.SSS\">" + Procedure.imw_utils.escapeXML(Format.fromDate("yyyy/MM/dd HH:mm:ss.SSS", obj)) + "</value>";
    } else if (isTrue(obj)) {
        xml += "<value type=\"boolean\">true</value>";
    } else if (isFalse(obj)) {
        xml += "<value type=\"boolean\">false</value>";
    } else if (isArray(obj)) {
        if (!fnt) {
            xml += "<value type=\"array\">";
        }
        for (leng = obj.length, i = 0; i < leng; i++) {
            if (isUndefined(obj[i]) || isNull(obj[i])) {
                xml += "<value type=\"null\"></value>";
            } else if (isNumber(obj[i])) {
                xml += "<value type=\"number\">" + Procedure.imw_utils.escapeXML(obj[i]) + "</value>";
            } else if (isString(obj[i])) {
                xml += "<value type=\"string\">" + Procedure.imw_utils.escapeXML(obj[i]) + "</value>";
            } else if (isDate(obj[i])) {
                xml += "<value type=\"date\" format=\"yyyy/MM/dd HH:mm:ss.SSS\">" + Procedure.imw_utils.escapeXML(Format.fromDate("yyyy/MM/dd HH:mm:ss.SSS", obj[i])) + "</value>";
            } else if (isTrue(obj[i])) {
                xml += "<value type=\"boolean\">true</value>";
            } else if (isFalse(obj[i])) {
                xml += "<value type=\"boolean\">false</value>";
            } else if (isArray(obj[i]) || isObject(obj[i])) {
                xml += object2xml(obj[i]);
            } else {
                xml += "<value>" + Procedure.imw_utils.escapeXML(obj[i]) + "</value>";
            }
        }
        if (!fnt) {
            xml += "</value>";
        }
    } else if (isObject(obj)) {
        if (!fnt) {
            xml += "<value type=\"object\">";
        }
        for (k in obj) {
            if (isUndefined(obj[k]) || isNull(obj[k])) {
                xml += "<" + k + " type=\"null\"></" + k + ">";
            } else if (isNumber(obj[k])) {
                xml += "<" + k + " type=\"number\">" + Procedure.imw_utils.escapeXML(obj[k]) + "</" + k + ">";
            } else if (isString(obj[k])) {
                xml += "<" + k + " type=\"string\">" + Procedure.imw_utils.escapeXML(obj[k]) + "</" + k + ">";
            } else if (isDate(obj[k])) {
                xml += "<" + k + " type=\"date\" format=\"yyyy/MM/dd HH:mm:ss.SSS\">" + Procedure.imw_utils.escapeXML(Format.fromDate("yyyy/MM/dd HH:mm:ss.SSS", obj[k])) + "</" + k + ">";
            } else if (isTrue(obj[k])) {
                xml += "<" + k + " type=\"boolean\">true</" + k + ">";
            } else if (isFalse(obj[k])) {
                xml += "<" + k + " type=\"boolean\">false</" + k + ">";
            } else if (isArray(obj[k])) {
                xml += "<" + k + " type=\"array\">" + object2xml(obj[k], true) + "</" + k + ">";
            } else if (isObject(obj[k])) {
                xml += "<" + k + " type=\"object\">" + object2xml(obj[k], true) + "</" + k + ">";
            } else {
                xml += "<" + k + ">" + Procedure.imw_utils.escapeXML(obj[i]) + "</" + k + ">";
            }
        }
        if (!fnt) {
            xml += "</value>";
        }
    } else {
        xml += "<value>" + Procedure.imw_utils.escapeXML(obj) + "</value>";
    }
    return xml;
}

//=============================================================================
// XMLGgIuWFNgϊ֐
//   y  zxml: XMLGg
//   y ԋp zIuWFNg
//   y쐬ҁzNTT DATA INTRAMART
//   y Tv zXMLGgIuWFNgɕϊ܂B
//=============================================================================
function xml2object(xml) {
    var leng;
    var i;
    var fmt;
    var obj;

    if (isBlank(xml.getTagName())) {
        return xml.getValue();
    }
    if (!xml.hasChildNodes()) {
        return null;
    }

    var objs = xml.getChildNodes();
    var type = xml.getAttribute("type");
    if (type == "null") {
        return null;
    } else if (type == "number") {
        if (objs.length == 1 && isBlank(objs[0].getTagName())) {
            return objs[0].getValue() - 0;
        }
        return 0;
    } else if (type == "string") {
        if (objs.length == 1 && isBlank(objs[0].getTagName())) {
            return objs[0].getValue() + "";
        }
        return "";
    } else if (type == "date") {
        fmt = xml.getAttribute("format") || "yyyy/MM/dd HH:mm:ss.SSS";
        if (objs.length == 1 && isBlank(objs[0].getTagName())) {
            try {
                return Format.toDate(fmt, objs[0].getValue() + "");
            } catch (ex) {
                return null;
            }
        }
        return null;
    } else if (type == "boolean") {
        if (objs.length == 1 && isBlank(objs[0].getTagName())) {
            return (objs[0].getValue() + "") == "true";
        }
        return false;
    } else if (type == "array") {
        obj = new Array();
        objs = xml.getChildNodes();
        for (leng = objs.length, i = 0; i < leng; i++) {
            if (!isBlank(objs[i].getTagName())) {
                obj.push(xml2object(objs[i]));
            }
        }
        return obj;
    } else if (type == "object") {
        obj = new Object();
        objs = xml.getChildNodes();
        for (leng = objs.length, i = 0; i < leng; i++) {
            if (!isBlank(objs[i].getTagName())) {
                obj[objs[i].getTagName()] = xml2object(objs[i]);
            }
        }
        return obj;
    } else {
        if (objs.length == 1 && isBlank(objs[0].getTagName())) {
            return objs[0].getValue() + "";
        }
        for (leng = objs.length, i = 0; i < leng; i++) {
            if (!isBlank(objs[i].getTagName())) {
                return xml2object(objs[i]);
            }
        }
        return null;
    }
}
