CREATE TABLE imw_bpw_t_actv_matter
(
    matter_id                      VARCHAR(100) NOT NULL,
    app_type_code                  VARCHAR(8) NOT NULL,
    process_def_code               VARCHAR(40),
    version_code                   VARCHAR(40),
    process_code                   VARCHAR(40),
    category_code                  VARCHAR(40),
    process_class_code             VARCHAR(4),
    system_matter_id               VARCHAR(20),
    user_data_id                   VARCHAR(20),
    flow_id                        VARCHAR(20),
    flow_version_id                VARCHAR(20),
    matter_number                  VARCHAR(40),
    matter_name                    VARCHAR(400),
    flow_name                      VARCHAR(256),
    flow_version_name              VARCHAR(256),
    apply_date                     TIMESTAMP,
    apply_auth_user_code           VARCHAR(100),
    apply_auth_user_name           VARCHAR(256),
    apply_base_date                DATE,
    call_process_def_code          VARCHAR(40),
    call_process_code              VARCHAR(40),
    call_version_code              VARCHAR(40),
    draft_activity_code            VARCHAR(40),
    priority_level                 VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (matter_id)
);
CREATE TABLE imw_bpw_t_actv_task
(
    user_code                      VARCHAR(100) NOT NULL,
    matter_id                      VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(40) NOT NULL,
    demand_receipt_code            VARCHAR(100) NOT NULL,
    app_type_code                  VARCHAR(8) NOT NULL,
    process_def_code               VARCHAR(100),
    version_code                   VARCHAR(100),
    process_code                   VARCHAR(100),
    system_matter_id               VARCHAR(20),
    user_data_id                   VARCHAR(20),
    flow_id                        VARCHAR(50),
    category_code                  VARCHAR(100),
    demand_receipt_name            VARCHAR(1000),
    node_name                      VARCHAR(256),
    node_type                      VARCHAR(5),
    node_status                    VARCHAR(20),
    start_date                     TIMESTAMP,
    limit_date                     TIMESTAMP,
    approval_type_code             VARCHAR(8),
    approval_right_type            VARCHAR(8),
    before_node_id                 VARCHAR(40),
    before_node_name               VARCHAR(256),
    before_node_user_code          VARCHAR(100),
    before_node_user_name          VARCHAR(1000),
    attainment_class               VARCHAR(4),
    draft_activity_flag            VARCHAR(1),
    delegable_flag                 VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (matter_id, user_code, node_id, demand_receipt_code)
);
