CREATE TABLE imw_m_group
(
    group_id                       VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    group_name                     VARCHAR(200) NOT NULL,
    group_full_path                VARCHAR(500),
    note                           VARCHAR(2000),
    absolute_depth_level           VARCHAR(5) NOT NULL,
    sort_key                       VARCHAR(5) NOT NULL,
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (group_id, locale_id)
);
CREATE TABLE imw_m_contents_detail
(
    contents_id                    VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    start_date                     DATE NOT NULL,
    limit_date                     DATE NOT NULL,
    version_status                 VARCHAR(1),
    note                           VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (contents_id, contents_version_id, locale_id)
);
CREATE TABLE imw_m_page_path
(
    page_path_id                   VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    contents_id                    VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    page_name                      VARCHAR(200) NOT NULL,
    page_classify                  VARCHAR(5) NOT NULL,
    note                           VARCHAR(2000),
    default_flag                   VARCHAR(1),
    path_type                      VARCHAR(5) NOT NULL,
    script_path                    VARCHAR(200),
    application_id                 VARCHAR(100),
    service_id                     VARCHAR(100),
    page_path                      VARCHAR(200),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (page_path_id, contents_id, contents_version_id, locale_id)
);
CREATE TABLE imw_t_actv_matter
(
    system_matter_id               VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    user_data_id                   VARCHAR(20) NOT NULL,
    matter_number                  VARCHAR(20),
    matter_name                    VARCHAR(400) NOT NULL,
    matter_start_date              TIMESTAMP NOT NULL,
    file_dir_path                  VARCHAR(2000) NOT NULL,
    apply_task_id                  VARCHAR(20),
    apply_date                     TIMESTAMP,
    apply_base_date                DATE,
    apply_cpl_flag                 VARCHAR(1),
    last_process_id                VARCHAR(20),
    last_process_date              TIMESTAMP,
    apply_auth_user_code           VARCHAR(100),
    apply_execute_user_code        VARCHAR(100),
    apply_act_flag                 VARCHAR(1),
    lump_confirm_flag              VARCHAR(1),
    priority_level                 VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id)
);
CREATE TABLE imw_t_actv_matter_attach_file
(
    system_matter_id               VARCHAR(20) NOT NULL,
    system_file_name               VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    real_file_name                 VARCHAR(200) NOT NULL,
    file_size                      VARCHAR(20),
    auth_user_code                 VARCHAR(100),
    auth_user_name                 VARCHAR(1000),
    create_datetime                TIMESTAMP,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, system_file_name, locale_id)
);
CREATE TABLE imw_t_cpl_task
(
    system_matter_id               VARCHAR(20) NOT NULL,
    task_id                        VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    node_type                      VARCHAR(5) NOT NULL,
    node_name                      VARCHAR(200),
    route_trace_id                 VARCHAR(2000),
    status                         VARCHAR(20) NOT NULL,
    start_date                     TIMESTAMP NOT NULL,
    end_date                       TIMESTAMP NOT NULL,
    process_time                   VARCHAR(20),
    start_process_id               VARCHAR(20) NOT NULL,
    cpl_process_id                 VARCHAR(20) NOT NULL,
    action_id                      VARCHAR(20),
    act_flag                       VARCHAR(1),
    process_comment                VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, task_id)
);
CREATE TABLE imw_t_actv_task
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    task_id                        VARCHAR(20) NOT NULL,
    node_type                      VARCHAR(5) NOT NULL,
    node_name                      VARCHAR(200),
    route_trace_id                 VARCHAR(2000),
    status                         VARCHAR(20) NOT NULL,
    start_date                     TIMESTAMP NOT NULL,
    auto_process_limit_date        TIMESTAMP,
    auto_process_limit_type        VARCHAR(5),
    press_limit_date               TIMESTAMP,
    lump_process_flag              VARCHAR(1),
    start_process_id               VARCHAR(20) NOT NULL,
    action_id                      VARCHAR(20),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id)
);
CREATE TABLE imw_t_act
(
    no                             VARCHAR(20) NOT NULL,
    original_act_user_code         VARCHAR(100) NOT NULL,
    act_classify                   VARCHAR(5) NOT NULL,
    flow_id                        VARCHAR(20),
    apply_auth                     VARCHAR(1),
    approve_auth                   VARCHAR(1),
    start_date                     DATE NOT NULL,
    limit_date                     DATE NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    parameter                      VARCHAR(2000),
    target_type                    VARCHAR(50),
    target_code                    VARCHAR(2000),
    note                           VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (no, original_act_user_code)
);
CREATE TABLE imw_t_act_temporary_expand
(
    act_no                         VARCHAR(20) NOT NULL,
    original_act_user_code         VARCHAR(100) NOT NULL,
    target_act_user_code           VARCHAR(100) NOT NULL,
    expand_no                      VARCHAR(20) NOT NULL,
    start_date                     DATE NOT NULL,
    limit_date                     DATE NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (act_no, original_act_user_code, target_act_user_code, expand_no)
);
CREATE TABLE imw_t_temporary_save
(
    user_data_id                   VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    save_user_code                 VARCHAR(100) NOT NULL,
    auth_user_code                 VARCHAR(100),
    auth_user_name                 VARCHAR(1000),
    act_flag                       VARCHAR(1),
    matter_name                    VARCHAR(400),
    apply_base_date                DATE,
    process_comment                VARCHAR(2000),
    save_date                      TIMESTAMP NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (user_data_id)
);
CREATE TABLE imw_m_selected_column_list
(
    pattern_id                     VARCHAR(20) NOT NULL,
    column_id                      VARCHAR(50) NOT NULL,
    column_classify                VARCHAR(1) NOT NULL,
    display_sequence               VARCHAR(5),
    sort_flag                      VARCHAR(1),
    sort_order                     VARCHAR(5),
    sort_classify                  VARCHAR(5),
    column_width                   VARCHAR(5),
    nowrap_flag                    VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (pattern_id, column_id)
);
CREATE TABLE imw_m_list_pattern
(
    pattern_id                     VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    list_page_type                 VARCHAR(5) NOT NULL,
    pattern_name                   VARCHAR(200) NOT NULL,
    default_flag                   VARCHAR(1),
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (pattern_id, locale_id)
);
CREATE TABLE imw_t_user_select_column_list
(
    user_code                      VARCHAR(100) NOT NULL,
    list_page_type                 VARCHAR(5) NOT NULL,
    pattern_id                     VARCHAR(20) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (user_code, list_page_type)
);
CREATE TABLE imw_t_actv_executable_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    auth_user_code                 VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    auth_user_name                 VARCHAR(1000),
    invalid_flag                   VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, auth_user_code, locale_id)
);
CREATE TABLE imw_m_group_inc
(
    group_id                       VARCHAR(20) NOT NULL,
    parent_group_id                VARCHAR(20) NOT NULL,
    depth_level                    VARCHAR(5) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (group_id, parent_group_id)
);
CREATE TABLE imw_t_cpl_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    task_id                        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    auth_user_code                 VARCHAR(100) NOT NULL,
    auth_user_name                 VARCHAR(1000) NOT NULL,
    auth_company_code              VARCHAR(100),
    auth_company_name              VARCHAR(1000),
    auth_orgz_set_code             VARCHAR(100),
    auth_orgz_code                 VARCHAR(100),
    auth_orgz_name                 VARCHAR(1000),
    execute_user_code              VARCHAR(100) NOT NULL,
    execute_user_name              VARCHAR(1000) NOT NULL,
    operate_user_code              VARCHAR(100) NOT NULL,
    operate_user_name              VARCHAR(1000) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, task_id, locale_id)
);
CREATE TABLE imw_m_matter_property
(
    matter_property_key            VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    display_name                   VARCHAR(200) NOT NULL,
    key_type                       VARCHAR(1) NOT NULL,
    detail_table_flag              VARCHAR(1),
    mail_flag                      VARCHAR(1),
    rule_flag                      VARCHAR(1),
    align_type                     VARCHAR(5),
    search_range_type              VARCHAR(5),
    calendar_flag                  VARCHAR(1),
    comma_separated_flag           VARCHAR(1),
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (locale_id, matter_property_key)
);
CREATE TABLE imw_t_before_task
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    before_task_id                 VARCHAR(20) NOT NULL,
    invalid_flag                   VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, before_task_id)
);
CREATE TABLE imw_t_confirm_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    user_name                      VARCHAR(1000),
    arrived_date                   TIMESTAMP NOT NULL,
    confirm_cpl_flag               VARCHAR(1),
    node_name                      VARCHAR(200),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, user_code, locale_id)
);
CREATE TABLE imw_t_confirm
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    no                             VARCHAR(20) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    user_name                      VARCHAR(1000),
    company_code                   VARCHAR(100),
    company_name                   VARCHAR(1000),
    orgz_set_code                  VARCHAR(100),
    orgz_code                      VARCHAR(100),
    orgz_name                      VARCHAR(1000),
    confirm_date                   TIMESTAMP NOT NULL,
    arrived_date                   TIMESTAMP NOT NULL,
    confirm_comment                VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, locale_id, no)
);
CREATE TABLE imw_t_cpl_matter_user_data
(
    user_data_id                   VARCHAR(20) NOT NULL,
    matter_property_key            VARCHAR(20) NOT NULL,
    matter_property_value          VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (user_data_id, matter_property_key)
);
CREATE TABLE imw_t_cpl_matter
(
    system_matter_id               VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    user_data_id                   VARCHAR(20) NOT NULL,
    matter_number                  VARCHAR(20),
    matter_name                    VARCHAR(400) NOT NULL,
    matter_start_date              TIMESTAMP NOT NULL,
    file_dir_path                  VARCHAR(2000) NOT NULL,
    apply_task_id                  VARCHAR(20),
    apply_date                     TIMESTAMP,
    apply_base_date                DATE,
    apply_cpl_flag                 VARCHAR(1),
    last_process_id                VARCHAR(20),
    apply_auth_user_code           VARCHAR(100),
    apply_execute_user_code        VARCHAR(100),
    apply_act_flag                 VARCHAR(1),
    confirm_flag                   VARCHAR(1),
    lump_confirm_flag              VARCHAR(1),
    priority_level                 VARCHAR(1),
    status                         VARCHAR(20),
    matter_cpl_date                TIMESTAMP,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id)
);
CREATE TABLE imw_t_cpl_matter_confirm_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    user_name                      VARCHAR(1000),
    arrived_date                   TIMESTAMP NOT NULL,
    confirm_cpl_flag               VARCHAR(1),
    node_name                      VARCHAR(200),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, user_code, locale_id)
);
CREATE TABLE imw_t_cpl_matter_confirm
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    no                             VARCHAR(20) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    user_name                      VARCHAR(1000),
    company_code                   VARCHAR(100),
    company_name                   VARCHAR(1000),
    orgz_set_code                  VARCHAR(100),
    orgz_code                      VARCHAR(100),
    orgz_name                      VARCHAR(1000),
    confirm_date                   TIMESTAMP NOT NULL,
    arrived_date                   TIMESTAMP NOT NULL,
    confirm_comment                VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, locale_id, no)
);
CREATE TABLE imw_t_cpl_matter_task
(
    system_matter_id               VARCHAR(20) NOT NULL,
    task_id                        VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    node_type                      VARCHAR(5) NOT NULL,
    node_name                      VARCHAR(200),
    route_trace_id                 VARCHAR(2000),
    status                         VARCHAR(20) NOT NULL,
    start_date                     TIMESTAMP NOT NULL,
    end_date                       TIMESTAMP NOT NULL,
    process_time                   VARCHAR(20),
    start_process_id               VARCHAR(20) NOT NULL,
    cpl_process_id                 VARCHAR(20) NOT NULL,
    action_id                      VARCHAR(20),
    act_flag                       VARCHAR(1),
    process_comment                VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, task_id)
);
CREATE TABLE imw_t_actv_matter_handle_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    user_name                      VARCHAR(1000),
    handle_level                   VARCHAR(1) NOT NULL,
    reserve_cancel_flag            VARCHAR(1),
    change_user_flag               VARCHAR(1),
    expand_user_flag               VARCHAR(1),
    delete_dynamic_node_flag       VARCHAR(1),
    undelete_dynamic_node_flag     VARCHAR(1),
    horizontal_node_config_flag    VARCHAR(1),
    vertical_node_config_flag      VARCHAR(1),
    handle_move_forward_flag       VARCHAR(1),
    handle_move_backward_flag      VARCHAR(1),
    handle_terminate_flag          VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, user_code, locale_id)
);
CREATE TABLE imw_m_flow_detail
(
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    start_date                     DATE NOT NULL,
    limit_date                     DATE NOT NULL,
    version_status                 VARCHAR(1),
    note                           VARCHAR(2000),
    route_id                       VARCHAR(20),
    contents_id                    VARCHAR(20),
    lump_process_flag              VARCHAR(1),
    lump_confirm_flag              VARCHAR(1),
    attach_file_flag               VARCHAR(1),
    confirm_user_setup_flag        VARCHAR(1),
    cpl_matter_confirm_flag        VARCHAR(1),
    auto_process_flag              VARCHAR(1),
    auto_process_limit_day         VARCHAR(5),
    auto_process_limit_type        VARCHAR(5),
    auto_press_flag                VARCHAR(1),
    auto_press_limit_day           VARCHAR(5),
    calendar_id                    VARCHAR(100),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_id, flow_version_id, locale_id)
);
CREATE TABLE imw_m_flow_handle_user
(
    no                             VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    parameter                      VARCHAR(2000),
    target_type                    VARCHAR(50),
    target_code                    VARCHAR(2000),
    handle_level                   VARCHAR(1) NOT NULL,
    reserve_cancel_flag            VARCHAR(1),
    change_user_flag               VARCHAR(1),
    expand_user_flag               VARCHAR(1),
    delete_dynamic_node_flag       VARCHAR(1),
    undelete_dynamic_node_flag     VARCHAR(1),
    horizontal_node_config_flag    VARCHAR(1),
    vertical_node_config_flag      VARCHAR(1),
    handle_move_forward_flag       VARCHAR(1),
    handle_move_backward_flag      VARCHAR(1),
    handle_terminate_flag          VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (no, flow_id, flow_version_id)
);
CREATE TABLE imw_m_mail_template
(
    mail_id                        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    mail_template_name             VARCHAR(200) NOT NULL,
    note                           VARCHAR(2000),
    mail_template_path             VARCHAR(2000) NOT NULL,
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (mail_id, locale_id)
);
CREATE TABLE imw_m_contents_rule
(
    rule_id                        VARCHAR(20) NOT NULL,
    contents_id                    VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (rule_id, contents_id, contents_version_id)
);
CREATE TABLE imw_m_rule
(
    rule_id                        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    rule_name                      VARCHAR(200) NOT NULL,
    note                           VARCHAR(2000),
    union_condition                VARCHAR(5),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (rule_id, locale_id)
);
CREATE TABLE imw_m_contents_plugin
(
    contents_plugin_id             VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    contents_id                    VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    plugin_name                    VARCHAR(200) NOT NULL,
    parameter                      VARCHAR(2000),
    note                           VARCHAR(2000),
    node_type                      VARCHAR(5),
    default_flag                   VARCHAR(1),
    execute_order                  VARCHAR(3),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (contents_plugin_id, contents_id, contents_version_id, locale_id)
);
CREATE TABLE imw_m_route_detail
(
    route_id                       VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    note                           VARCHAR(2000),
    start_date                     DATE NOT NULL,
    limit_date                     DATE NOT NULL,
    route_file_path                VARCHAR(2000),
    version_status                 VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (route_id, route_version_id, locale_id)
);
CREATE TABLE imw_m_rule_detail
(
    no                             VARCHAR(20) NOT NULL,
    rule_id                        VARCHAR(20) NOT NULL,
    compare_rule_id                VARCHAR(20) NOT NULL,
    compare_variable               VARCHAR(20) NOT NULL,
    condition_value                VARCHAR(100) NOT NULL,
    condition_value_classify       VARCHAR(5) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (rule_id, no)
);
CREATE TABLE imw_m_contents_mail_template
(
    mail_id                        VARCHAR(20) NOT NULL,
    contents_mail_classify         VARCHAR(5) NOT NULL,
    contents_id                    VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    default_flag                   VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (mail_id, contents_mail_classify, contents_id, contents_version_id)
);
CREATE TABLE imw_m_administration_auth_set
(
    administration_group_id        VARCHAR(20) NOT NULL,
    access_role                    VARCHAR(100) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (administration_group_id, access_role)
);
CREATE TABLE imw_m_administration_target
(
    administration_group_id        VARCHAR(20) NOT NULL,
    administration_classify        VARCHAR(5) NOT NULL,
    administration_target_id       VARCHAR(20) NOT NULL,
    auth_classify                  VARCHAR(5),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (administration_group_id, administration_classify, administration_target_id)
);
CREATE TABLE imw_m_node_cooperation
(
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    node_type                      VARCHAR(5),
    attach_file_flag               VARCHAR(1),
    auto_process_flag              VARCHAR(1),
    auto_process_limit_day         VARCHAR(5),
    auto_process_limit_type        VARCHAR(5),
    auto_press_flag                VARCHAR(1),
    auto_press_limit_day           VARCHAR(5),
    lump_process_flag              VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_id, flow_version_id, node_id, contents_version_id, route_version_id)
);
CREATE TABLE imw_m_mail_template_classify
(
    mail_id                        VARCHAR(20) NOT NULL,
    mail_classify                  VARCHAR(5) NOT NULL,
    mail_config_classify           VARCHAR(5),
    default_flag                   VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (mail_id, mail_classify)
);
CREATE TABLE imw_t_user_data
(
    user_data_id                   VARCHAR(20) NOT NULL,
    matter_property_key            VARCHAR(20) NOT NULL,
    matter_property_value          VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (user_data_id, matter_property_key)
);
CREATE TABLE imw_m_act_administration
(
    act_administration_plugin_id   VARCHAR(20) NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    parameter                      VARCHAR(2000),
    target_type                    VARCHAR(50),
    target_code                    VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (act_administration_plugin_id)
);
CREATE TABLE imw_m_administration_group
(
    administration_group_id        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    administration_group_name      VARCHAR(200) NOT NULL,
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (administration_group_id, locale_id)
);
CREATE TABLE imw_m_flow_group
(
    group_id                       VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (group_id, flow_id)
);
CREATE TABLE imw_t_cpl_matter_handle_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    user_name                      VARCHAR(1000),
    handle_level                   VARCHAR(1) NOT NULL,
    reserve_cancel_flag            VARCHAR(1),
    change_user_flag               VARCHAR(1),
    expand_user_flag               VARCHAR(1),
    delete_dynamic_node_flag       VARCHAR(1),
    undelete_dynamic_node_flag     VARCHAR(1),
    horizontal_node_config_flag    VARCHAR(1),
    vertical_node_config_flag      VARCHAR(1),
    handle_move_forward_flag       VARCHAR(1),
    handle_move_backward_flag      VARCHAR(1),
    handle_terminate_flag          VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, user_code, locale_id)
);
CREATE TABLE imw_m_route_plugin
(
    route_plugin_id                VARCHAR(20) NOT NULL,
    route_id                       VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    node_type                      VARCHAR(5) NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    parameter                      VARCHAR(2000),
    target_type                    VARCHAR(50),
    target_code                    VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (route_plugin_id, route_id, route_version_id, node_id)
);
CREATE TABLE imw_t_cpl_matter_attach_file
(
    system_matter_id               VARCHAR(20) NOT NULL,
    system_file_name               VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    real_file_name                 VARCHAR(200) NOT NULL,
    file_size                      VARCHAR(20),
    auth_user_code                 VARCHAR(100),
    auth_user_name                 VARCHAR(1000),
    create_datetime                TIMESTAMP,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, system_file_name, locale_id)
);
CREATE TABLE imw_t_cpl_matter_user
(
    system_matter_id               VARCHAR(20) NOT NULL,
    task_id                        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    auth_user_code                 VARCHAR(100) NOT NULL,
    auth_user_name                 VARCHAR(1000) NOT NULL,
    auth_company_code              VARCHAR(100),
    auth_company_name              VARCHAR(1000),
    auth_orgz_set_code             VARCHAR(100),
    auth_orgz_code                 VARCHAR(100),
    auth_orgz_name                 VARCHAR(1000),
    execute_user_code              VARCHAR(100) NOT NULL,
    execute_user_name              VARCHAR(1000) NOT NULL,
    operate_user_code              VARCHAR(100) NOT NULL,
    operate_user_name              VARCHAR(1000) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, task_id, locale_id)
);
CREATE TABLE imw_m_flow_default_orgz
(
    flow_orgz_id                   VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    company_code                   VARCHAR(100) NOT NULL,
    orgz_set_code                  VARCHAR(100) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_orgz_id, flow_id, flow_version_id)
);
CREATE TABLE imw_t_actv_user_orgz
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    auth_user_code                 VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    no                             VARCHAR(20) NOT NULL,
    auth_company_code              VARCHAR(100) NOT NULL,
    auth_company_name              VARCHAR(1000),
    auth_orgz_set_code             VARCHAR(100) NOT NULL,
    auth_orgz_code                 VARCHAR(100) NOT NULL,
    auth_orgz_name                 VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, auth_user_code, locale_id, no)
);
CREATE TABLE imw_m_contents
(
    contents_id                    VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    contents_name                  VARCHAR(200) NOT NULL,
    contents_classify              VARCHAR(5) NOT NULL,
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (contents_id, locale_id)
);
CREATE TABLE imw_m_route
(
    route_id                       VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    route_name                     VARCHAR(200) NOT NULL,
    route_type                     VARCHAR(5) NOT NULL,
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (route_id, locale_id)
);
CREATE TABLE imw_m_flow
(
    flow_id                        VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    flow_name                      VARCHAR(200) NOT NULL,
    note                           VARCHAR(2000),
    update_count                   VARCHAR(8),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_id, locale_id)
);
CREATE TABLE imw_m_flow_cooperation
(
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    cooperation_type               VARCHAR(5) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_id, flow_version_id, contents_version_id, route_version_id, cooperation_type)
);
CREATE TABLE imw_m_flow_cooperation_detail
(
    no                             VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    cooperation_type               VARCHAR(5) NOT NULL,
    cooperation_classify           VARCHAR(5) NOT NULL,
    cooperation_id                 VARCHAR(20) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (no, flow_id, flow_version_id, contents_version_id, route_version_id, cooperation_type)
);
CREATE TABLE imw_m_node_cooperation_detail
(
    no                             VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    cooperation_type               VARCHAR(5) NOT NULL,
    cooperation_classify           VARCHAR(5) NOT NULL,
    cooperation_id                 VARCHAR(20) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (no, flow_id, flow_version_id, node_id, contents_version_id, route_version_id, cooperation_type)
);
CREATE TABLE imw_m_branch_union_detail
(
    branch_union_id                VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    branch_union_group_id          VARCHAR(20) NOT NULL,
    branch_union_group_classify    VARCHAR(5) NOT NULL,
    count_true                     VARCHAR(5),
    count_target_node_id           VARCHAR(50),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (branch_union_id, flow_id, flow_version_id, node_id, contents_version_id, route_version_id)
);
CREATE TABLE imw_m_node_attr_cooperation
(
    no                             VARCHAR(20) NOT NULL,
    flow_id                        VARCHAR(20) NOT NULL,
    flow_version_id                VARCHAR(20) NOT NULL,
    contents_version_id            VARCHAR(20) NOT NULL,
    route_version_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    attr_type                      VARCHAR(5) NOT NULL,
    attr_key                       VARCHAR(100) NOT NULL,
    value                          VARCHAR(1000) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (no, flow_id, flow_version_id, node_id, locale_id, contents_version_id, route_version_id)
);
CREATE TABLE imw_t_user_node_config
(
    user_code                      VARCHAR(100) NOT NULL,
    node_config_id                 VARCHAR(20) NOT NULL,
    node_config_name               VARCHAR(200) NOT NULL,
    node_type                      VARCHAR(5) NOT NULL,
    create_datetime                TIMESTAMP,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY(user_code, node_config_id)
);
CREATE TABLE imw_t_user_node_config_node
(
    user_code                      VARCHAR(100) NOT NULL,
    node_config_id                 VARCHAR(20) NOT NULL,
    node_no                        VARCHAR(20) NOT NULL,
    node_name                      VARCHAR(200),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY(user_code, node_config_id, node_no)
);
CREATE TABLE imw_t_user_node_config_detail
(
    user_code                      VARCHAR(100) NOT NULL,
    node_config_id                 VARCHAR(20) NOT NULL,
    node_no                        VARCHAR(20) NOT NULL,
    exec_user_no                   VARCHAR(20) NOT NULL,
    extension_point_id             VARCHAR(500) NOT NULL,
    plugin_id                      VARCHAR(500) NOT NULL,
    parameter                      VARCHAR(2000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY(user_code, node_config_id, node_no, exec_user_no)
);
CREATE TABLE imw_t_alert
(
    alert_info_id                  VARCHAR(20) NOT NULL,
    alert_classify                 VARCHAR(5) NOT NULL,
    detect_datetime                TIMESTAMP NOT NULL,
    alert_level                    VARCHAR(20) NOT NULL,
    message                        VARCHAR(2000),
    link_flag                      VARCHAR(1),
    link_url                       VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (alert_info_id)
);
CREATE TABLE imw_t_monitoring_flow
(
    flow_id                        VARCHAR(20) NOT NULL,
    approve_count                  VARCHAR(20),
    approveend_count               VARCHAR(20),
    discontinue_count              VARCHAR(20),
    deny_count                     VARCHAR(20),
    matterhandle_count             VARCHAR(20),
    minimum_time                   VARCHAR(20),
    maximum_time                   VARCHAR(20),
    average_time                   VARCHAR(20),
    amount_time                    VARCHAR(20),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (flow_id)
);
CREATE TABLE imw_t_monitoring_matter
(
    process_status                 VARCHAR(20) NOT NULL,
    cpl_matter_count               VARCHAR(20),
    average_time                   VARCHAR(20),
    amount_time                    VARCHAR(20),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (process_status)
);
CREATE TABLE imw_t_batch
(
    batch_id                       VARCHAR(20) NOT NULL,
    before_datetime                TIMESTAMP,
    after_datetime                 TIMESTAMP,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (batch_id)
);
CREATE TABLE imw_t_actv_matter_locale
(
    system_matter_id               VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    flow_name                      VARCHAR(200) NOT NULL,
    apply_auth_user_name           VARCHAR(1000),
    apply_execute_user_name        VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, locale_id)
);
CREATE TABLE imw_t_cpl_matter_locale
(
    system_matter_id               VARCHAR(20) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    flow_name                      VARCHAR(200) NOT NULL,
    apply_auth_user_name           VARCHAR(1000),
    apply_execute_user_name        VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, locale_id)
);
CREATE TABLE imw_m_column
(
    column_id                      VARCHAR(50) NOT NULL,
    list_page_type                 VARCHAR(5) NOT NULL,
    sort_key                       VARCHAR(5),
    sort_flag                      VARCHAR(1),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (column_id, list_page_type)
);
CREATE TABLE imw_m_replace_string
(
    replace_string_id              VARCHAR(50) NOT NULL,
    sort_key                       VARCHAR(5) NOT NULL,
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (replace_string_id)
);
CREATE TABLE imw_t_confirm_orgz
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    no                             VARCHAR(20) NOT NULL,
    company_code                   VARCHAR(100) NOT NULL,
    company_name                   VARCHAR(1000),
    orgz_set_code                  VARCHAR(100) NOT NULL,
    orgz_code                      VARCHAR(100) NOT NULL,
    orgz_name                      VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, user_code, locale_id, no)
);
CREATE TABLE imw_t_cpl_matter_confirm_orgz
(
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    user_code                      VARCHAR(100) NOT NULL,
    locale_id                      VARCHAR(50) NOT NULL,
    no                             VARCHAR(20) NOT NULL,
    company_code                   VARCHAR(100) NOT NULL,
    company_name                   VARCHAR(1000),
    orgz_set_code                  VARCHAR(100) NOT NULL,
    orgz_code                      VARCHAR(100) NOT NULL,
    orgz_name                      VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, user_code, locale_id, no)
);
CREATE TABLE imw_w_sync_batch
(
    no                             VARCHAR(20) NOT NULL,
    listener_name                  VARCHAR(100) NOT NULL,
    method_name                    VARCHAR(50) NOT NULL,
    parameter1                     VARCHAR(1000),
    parameter2                     VARCHAR(1000),
    parameter3                     VARCHAR(1000),
    parameter4                     VARCHAR(1000),
    parameter5                     VARCHAR(1000),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP
);
CREATE TABLE imw_t_thread (
    system_matter_id               VARCHAR(20) NOT NULL,
    node_id                        VARCHAR(50) NOT NULL,
    thread_task_id                 VARCHAR(20) NOT NULL,
    thread_id                      VARCHAR(50),
    lock_flag                      VARCHAR(1),
    note                           VARCHAR(100),
    create_user_code               VARCHAR(100),
    update_user_code               VARCHAR(100),
    create_date                    TIMESTAMP,
    update_date                    TIMESTAMP,
    PRIMARY KEY  (system_matter_id, node_id, thread_task_id)
);
CREATE INDEX idx_imw_t_cpl_user ON imw_t_cpl_user(auth_user_code);
CREATE INDEX idx_imw_t_cpl_matter_user ON imw_t_cpl_matter_user(auth_user_code);
CREATE INDEX idx_imw_t_actv_exe_user ON imw_t_actv_executable_user(auth_user_code);
CREATE INDEX idx_imw_t_conf_user ON imw_t_confirm_user(user_code);
CREATE INDEX idx_imw_t_cpl_mat_conf_user ON imw_t_cpl_matter_confirm_user(user_code);