CREATE TABLE imw_t_stamp
(
    user_code                    VARCHAR(100) NOT NULL,
    stamp_id                     VARCHAR(20) NOT NULL,
    stamp_name                   VARCHAR(200),
    stamp_type                   VARCHAR(20) NOT NULL,
    stamp_str1                   VARCHAR(100),
    stamp_str2                   VARCHAR(100),
    stamp_str3                   VARCHAR(100),
    stamp_str1_type              VARCHAR(20),
    stamp_str2_type              VARCHAR(20),
    stamp_str3_type              VARCHAR(20),
    default_flag                 VARCHAR(1),
    create_user_code             VARCHAR(100),
    update_user_code             VARCHAR(100),
    create_date                  TIMESTAMP,
    update_date                  TIMESTAMP,
    PRIMARY KEY (user_code, stamp_id)
);

CREATE TABLE imw_t_stamp_tag
(
    stamp_id                     VARCHAR(20) NOT NULL,
    no                           VARCHAR(20) NOT NULL,
    tag                          VARCHAR(500) NOT NULL,
    create_user_code             VARCHAR(100),
    update_user_code             VARCHAR(100),
    create_date                  TIMESTAMP,
    update_date                  TIMESTAMP,
    PRIMARY KEY (stamp_id, no)
);
  
CREATE TABLE imw_t_cpl_task_stamp
  (
    system_matter_id             VARCHAR(20) NOT NULL,
    node_id                      VARCHAR(50) NOT NULL,
    no                           VARCHAR(20) NOT NULL,
    stamp_type                   VARCHAR(20) NOT NULL,
    stamp_str1                   VARCHAR(100),
    stamp_str2                   VARCHAR(100),
    stamp_str3                   VARCHAR(100),
    stamp_str1_type              VARCHAR(20),
    stamp_str2_type              VARCHAR(20),
    stamp_str3_type              VARCHAR(20),
    process_date                 TIMESTAMP NOT NULL,
    process_id                   VARCHAR(20) NOT NULL,
    cancel_flag                  VARCHAR(1),
    create_user_code             VARCHAR(100),
    update_user_code             VARCHAR(100),
    create_date                  TIMESTAMP,
    update_date                  TIMESTAMP,
    PRIMARY KEY (system_matter_id, node_id, no) 
);

CREATE TABLE imw_t_cpl_matter_task_stamp
  (
    system_matter_id             VARCHAR(20) NOT NULL,
    node_id                      VARCHAR(50) NOT NULL,
    no                           VARCHAR(20) NOT NULL,
    stamp_type                   VARCHAR(20) NOT NULL,
    stamp_str1                   VARCHAR(100),
    stamp_str2                   VARCHAR(100),
    stamp_str3                   VARCHAR(100),
    stamp_str1_type              VARCHAR(20),
    stamp_str2_type              VARCHAR(20),
    stamp_str3_type              VARCHAR(20),
    process_date                 TIMESTAMP NOT NULL,
    process_id                   VARCHAR(20) NOT NULL,
    cancel_flag                  VARCHAR(1),
    create_user_code             VARCHAR(100),
    update_user_code             VARCHAR(100),
    create_date                  TIMESTAMP,
    update_date                  TIMESTAMP,
    PRIMARY KEY (system_matter_id, node_id, no) 
);