/******************************************************************************
  IM-Workflow ROUTE DESIGNER v7.2
 ******************************************************************************/

var IMW_ROUTE_DESIGNER_VERSION = "v7.2.10";
var IMW_OBJECT_TYPE_NODE = 1;
var IMW_OBJECT_TYPE_ARROW = 2;
var IMW_OBJECT_TYPE_COMMENT = 4;
var IMW_OBJECT_TYPE_SWIMLANE = 8;
var IMW_OBJECT_TYPE_FOCUS = 16;
var IMW_OBJECT_TYPE_HIGHLIGHT = 32;
var IMW_OBJECT_TYPE_GROUPBOX = 64;
var IMW_OBJECT_TYPE_ANY = IMW_OBJECT_TYPE_NODE | IMW_OBJECT_TYPE_ARROW | IMW_OBJECT_TYPE_COMMENT |
    IMW_OBJECT_TYPE_SWIMLANE;
var IMW_OBJECT_TYPE_BOXES = IMW_OBJECT_TYPE_ANY - IMW_OBJECT_TYPE_ARROW;
var IMW_OBJECT_TYPE_FORGROUND = IMW_OBJECT_TYPE_BOXES - IMW_OBJECT_TYPE_SWIMLANE;
var IMW_OBJECT_TYPE_ALL = 255;
var IMW_VECTOR_TYPE_NORMAL = 1;
var IMW_VECTOR_TYPE_OFFSET = 2;
var IMW_VECTOR_TYPE_TARGET = 3;
var IMW_POSITION_MESH = 10;
var IMW_AUTO_SCROLL_DIFF_L = 80;
var IMW_AUTO_SCROLL_DIFF_T = 50;
var IMW_AUTO_SCROLL_DIFF_R = 80;
var IMW_AUTO_SCROLL_DIFF_B = 50;
var IMW_ADJUST_ARROW_OFFSET = IMW_POSITION_MESH * 4;
var IMW_ADJUST_ARROW_HALFOS = IMW_POSITION_MESH * 2;
var IMW_ADJUST_ARROW_RETURN = IMW_POSITION_MESH * 2;
var IMW_ADJUST_ARROW_XMAX_L = IMW_POSITION_MESH * 30;
var IMW_ADJUST_ARROW_XMAX_R = IMW_POSITION_MESH * 30;
var IMW_ADJUST_ARROW_YMAX_L = IMW_POSITION_MESH * 4;
var IMW_ADJUST_ARROW_YMAX_R = IMW_POSITION_MESH * 4;
var IMW_WORK_MARGIN_R = IMW_POSITION_MESH * 10;
var IMW_WORK_MARGIN_B = IMW_POSITION_MESH * 10;
var IMW_COPY_SAME_POS_MOVE_X = IMW_POSITION_MESH * 2;
var IMW_COPY_SAME_POS_MOVE_Y = IMW_POSITION_MESH * 2;
var IMW_UNDO_MEMORY_MAX_STEP = 20;
var IMW_GROUPBOX_MARGIN = 23;
var IMW_GROUPBOX_DEPTH = 18;
var IMW_GROUPBOX_PADDING = 3;
var IMW_WORK_TYPE_CREATE = 0;
var IMW_WORK_TYPE_DELETE = 1;
var IMW_WORK_TYPE_POS = 2;
var IMW_WORK_TYPE_SIZE = 3;
var IMW_WORK_TYPE_ARROW = 4;
var IMW_INPUT_REFERENCE_DATE_NAME = "reference_date";

/******************************************************************************
  IMWHeader NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWHeader = function(wf) {
    this.wf = wf;
    this.obj = createElementDiv(doc.body, "header");
    this.obj.style.display = "none";
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zwb_̈̃EBhETCY𒲐܂B
//=============================================================================
IMWHeader.prototype.resetSize = function() {
}

/******************************************************************************
  IMWFooter NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWFooter = function(wf) {
    this.wf = wf;
    this.obj = createElementDiv(doc.body, "footer");
    this.obj.style.display = "none";
    this.focus_obj = ud;
    this.setStatus();
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv ztb^̈̃EBhETCY𒲐܂B
//=============================================================================
IMWFooter.prototype.resetSize = function() {
}

//=============================================================================
// Xe[^Xݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXe[^Xo[ɕݒ肵܂B
//=============================================================================
IMWFooter.prototype.setStatus = function() {
    var wf = this.wf;
    if (wf.drag_objs && wf.drag_objs.length) {
        this.obj.innerHTML = "&nbsp;";
        return;
    }
    if (this.focus_obj && this.focus_obj.title_text) {
        this.obj.innerHTML = escapeHTML(this.focus_obj.title_text);
        return;
    }
    this.obj.innerHTML = IMW_MSG_READY;
}

//=============================================================================
// IuWFNg|Cgݒ֐
//  y  zobj: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNgɃ}EXJ[\d˂Ƃ̏s܂B
//=============================================================================
IMWFooter.prototype.pointerObject = function(obj) {
    if (this.focus_obj == obj) return;
    this.focus_obj = obj;
    this.setStatus();
}

//=============================================================================
// IuWFNg|Cg֐
//  y  zobj: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg}EXJ[\𗣂Ƃ̏s܂B
//=============================================================================
IMWFooter.prototype.releaseObject = function(obj) {
    if (!this.focus_obj || this.focus_obj != obj) return;
    this.focus_obj = ud;
    this.setStatus();
}

/******************************************************************************
  IMWToolbar NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWToolbar = function(wf) {
    this.wf = wf;
    this.events = new IMWToolbarEvent(wf, this);
    var obj = createElementDiv(doc.body, "toolbar");
    var tbl = createElementTable(obj);
    var tbd = createElementTbody(tbl);
    var tr = createElementTr(tbd);
    this.obj = obj;
    this.obj.style.display = "none";
    this.tbl = tbl;
    this.tbl.style.visibility = "hidden";
    this.tr = tr;
    this.nodes = {};
    this.addNode(IMW_PROPERTY_NODE_APPROVE);
    this.addNode(IMW_PROPERTY_NODE_DYNAMIC);
    this.addNode(IMW_PROPERTY_NODE_SYSTEM);
    this.addNode(IMW_PROPERTY_NODE_CONFIRM);
    this.addNode(IMW_PROPERTY_NODE_SYNC_START);
    this.addNode(IMW_PROPERTY_NODE_SYNC_END);
    this.addNode(IMW_PROPERTY_NODE_JCT_START);
    this.addNode(IMW_PROPERTY_NODE_JCT_END);
    this.addNode(IMW_PROPERTY_NODE_HORIZONTAL);
    this.addNode(IMW_PROPERTY_NODE_VERTICAL);
    this.addNode(IMW_PROPERTY_NODE_TEMPLATE);
    this.addNode(IMW_PROPERTY_COMMENT);
    this.addNode(IMW_PROPERTY_SWIMLANE);
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zc[o[̈̃EBhETCY𒲐܂B
//=============================================================================
IMWToolbar.prototype.resetSize = function() {
}

//=============================================================================
// m[hǉ֐
//  y  zprop: vpeBi[ꂽnbV
//  y ԋp zm[hIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zc[o[Ƀm[hǉ܂B
//=============================================================================
IMWToolbar.prototype.addNode = function(prop) {
    var events = this.events;
    var tr = this.tr;
    var td = createElementTd(tr);
    var node = createElementDiv(td, "toolbar_node");
    var img = createElementImg(node, prop.icon, "toolbar_image");
    node.title_text = img.title_text = node.title = img.alt = img.title = prop.text[IMW_CURRENT_LANG];
    node.prop = prop;
    node.events = events;
    node.createClone = events.createCloneNode;
    node.onmousedown = events.onMouseDownNode;
    node.onmouseover = events.onMouseOverNode;
    node.onmouseout = events.onMouseOutNode;
    this.nodes[prop.type] = td;
    return node;
}

/******************************************************************************
  IMWToolbarEvent NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//            tb: IMWToolbar NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWToolbarEvent = function(wf, tb) {
    this.wf = wf;
    this.tb = tb;
}

//=============================================================================
// m[h֐
//  y  zȂ
//  y ԋp zIuWFNg (ȊO) ̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[IuWFNg𕡐܂B
//=============================================================================
IMWToolbarEvent.prototype.createCloneNode = function() {
    var wf = this.events.wf, wk = wf.wk;
    if (this.prop.type == "nodeTyp_Comment") {
        // Rg
        var comment = wf.wk.addComment(this.prop);
        comment.setText(this.prop.text[IMW_CURRENT_LANG], 0, 0, 2);
        comment.setSize(0, 0, IMW_POSITION_MESH * 12, IMW_POSITION_MESH * 5);
        wk.pointerObject(comment);
        return comment;
    } else if (this.prop.type == "nodeTyp_Swimlane") {
        // XC[
        var swimlane = wf.wk.addSwimlane(this.prop);
        swimlane.setText();
        swimlane.setSize(0, 0, IMW_POSITION_MESH * 20, IMW_POSITION_MESH * 10);
        wk.pointerObject(swimlane);
        return swimlane;
    } else {
        // m[h
        var node = wf.wk.addNode(this.prop);
        wk.pointerObject(node);
        return node;
    }
}

//=============================================================================
// m[h onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmousedown Cxg܂B
//=============================================================================
IMWToolbarEvent.prototype.onMouseDownNode = function(e) {
    var wf = this.events.wf;
    e = initEvent(e);
    if (!wf.readonly_flag && isMouseL(e)) {
        // m[hRs[ăhbOJn
        wf.wk.clearFocusRects();
        wf.wk.showProperty();
        wf.dragNodeCopy(this);
        wf.onDragInit(e);
        wf.onDragMove(e);
    }
    return cancelEvent(e);
}

//=============================================================================
// m[h onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmouseover Cxg܂B
//=============================================================================
IMWToolbarEvent.prototype.onMouseOverNode = function(e) {
    var wf = this.events.wf;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wf.ft.pointerObject(this);
    return cancelEvent(e);
}

//=============================================================================
// m[h onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmouseout Cxg܂B
//=============================================================================
IMWToolbarEvent.prototype.onMouseOutNode = function(e) {
    var wf = this.events.wf;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wf.ft.releaseObject(this);
    if (this.drag_mode) this.drag_mode = ud;
    return cancelEvent(e);
}

/******************************************************************************
  IMWWork NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWWork = function(wf) {
    this.wf = wf;
    this.events = new IMWWorkEvent(wf, this);
    var events = this.events;
    this.bkg = createElementDiv(doc.body, "work");
    this.bk2 = createElementDiv(this.bkg, "work_back");
    this.obj = createElementDiv(this.bk2, "work_area");
    this.sel = createElementDiv(this.bk2, "work_selection");
    this.focus_cancel = this.auto_scroll = ud;
    this.unique_ids = {};
    this.drag_node = ud;
    this.selected_cnt = this.clip_scroll_x = this.clip_scroll_y = 0;
    this.workarea_width = this.workarea_height = 0;
    this.clip_memory = ud;
    this.undo_memory = [];
    this.redo_memory = [];
    this.bkg.scroll_x = this.bkg.scroll_y = 0;
    this.bkg.scroll_dx = this.bkg.scroll_dy = 0;
    this.bkg.target_x = this.bkg.target_y = this.bkg.target_tid = 0;
    this.obj.events = events;
    this.obj.onmousedown = events.onMouseDownWork;
    this.obj.onmousemove = events.onMouseMoveWork;
    this.obj.onmouseup = events.onMouseUpWork;
    this.sel.events = events;
    this.sel.ondraginit = events.onDragInitSelect;
    this.sel.ondragmove = events.onDragMoveSelect;
    this.sel.ondragfinish = events.onDragFinishSelect;
    this.sel.style.left = "-1024px";
    this.sel.style.top = "-1024px";
    this.sel.style.width = "0px";
    this.sel.style.height = "0px";
    this.sel.style.visibility = "hidden";
    this.sel.innerHTML = "&nbsp;";
    setInterval(events.onTimeoutAutoScroll, 50);
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃEBhETCY𒲐܂B
//=============================================================================
IMWWork.prototype.resetSize = function() {
    var wf = this.wf, size = getPageSize(), w = size.windowWidth, h = size.windowHeight;
    if (wf.hd) h -= wf.hd.obj.offsetHeight;
    if (wf.tb) h -= wf.tb.obj.offsetHeight;
    if (wf.ft) h -= wf.ft.obj.offsetHeight;
    this.bkg.style.width = (w > 0 ? w : 0) + "px";
    this.bkg.style.height = (h > 0 ? h : 0) + "px";
    var objs = this.getObjects(IMW_OBJECT_TYPE_ANY);
    this.setWorkSize(objs);
}

//=============================================================================
// [NGATCYݒ֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃfUCiTCYݒ肵܂B
//=============================================================================
IMWWork.prototype.setWorkSize = function(objs) {
    var wf = this.wf, size = getPageSize(), bkg = this.bkg, mw = 0, mh = 0;
    var ww = size.windowWidth, wh = size.windowHeight, aw = 65535, ah = 65535;
    if (wf.hd) wh -= wf.hd.obj.offsetHeight;
    if (wf.tb) wh -= wf.tb.obj.offsetHeight;
    if (wf.ft) wh -= wf.ft.obj.offsetHeight;
    ww -= bkg.offsetWidth - bkg.clientWidth;
    wh -= bkg.offsetHeight - bkg.clientHeight;
    if (ww < 0) ww = 0;
    if (wh < 0) wh = 0;
    if (!objs) {
    } else if (!wf.cantmove_flag) {
        var w = IMW_POSITION_MAX_X, h = IMW_POSITION_MAX_Y;
        if (mw < w) mw = w;
        if (mh < h) mh = h;
        aw = mw;
        ah = mh;
    } else {
        for (var leng = objs.length, i = 0; i < leng; i++) {
            var obj = objs[i];
            var w = obj.offsetLeft + obj.offsetWidth, h = obj.offsetTop + obj.offsetHeight;
            if (mw < w) mw = w;
            if (mh < h) mh = h;
        }
        mw += IMW_WORK_MARGIN_R;
        mh += IMW_WORK_MARGIN_B;
    }
    if (mw < ww) mw = ww;
    if (mh < wh) mh = wh;
    this.obj.style.width = mw + "px";
    this.obj.style.height = mh + "px";
    this.bk2.style.width = mw + "px";
    this.bk2.style.height = mh + "px";
    this.workarea_width = aw;
    this.workarea_height = ah;
}

//=============================================================================
// m[hEʒu֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGȂSm[hƖ̈ʒu𒲐܂B
//=============================================================================
IMWWork.prototype.resetPosition = function() {
    var objs = this.getObjects(IMW_OBJECT_TYPE_ANY);
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
                if (!obj.$properties) break;
                this.resetNode(obj);
                var pos = obj.$properties["pos"];
                if (pos == ud) break;
                var poss = pos.split(",");
                obj.setPos(poss[0] - 0, poss[1] - 0);
                break;
            case IMW_OBJECT_TYPE_ARROW:
                this.resetArrow(obj);
                break;
            case IMW_OBJECT_TYPE_COMMENT:
            case IMW_OBJECT_TYPE_SWIMLANE:
                if (!obj.$properties) break;
                this.resetNode(obj);
                var pos = obj.$properties["pos"], size = obj.$properties["size"];
                if (pos == ud || size == ud) break;
                var poss = pos.split(","), sizes = size.split(",");
                obj.setSize(poss[0] - 0, poss[1] - 0, sizes[0] - 0, sizes[1] - 0);
                break;
        }
    }
    this.setArrowAdjustPos(objs, 1);
}

//=============================================================================
// RlN^ڐG֐
//  y  ze: Cxg̃CX^X
//            node: IuWFNg (ȊO) ̃CX^X
//  y ԋp ztrue: J[\, false: J[\Ȃ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[̃RlN^Ƀ}EXJ[\
//            邩擾܂B
//=============================================================================
IMWWork.prototype.isMousePoint = function(e, node) {
    if (!node.showPointIcon || !node.hidePointIcon
        || !IMW_CONNECT_OFFSET_COUNT[node.prop.type]) return false;
    var pw = node.point.offsetWidth, ph = node.point.offsetHeight;
    var w = node.offsetWidth, h = node.offsetHeight;
    if (w < pw + 5 && h < ph + 5) return false;
    var bkg = this.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    var ox = node.offsetLeft + node.point.offsetLeft - 2, ow = pw + 4;
    var oy = node.offsetTop + node.point.offsetTop - 2, oh = ph + 4;
    return !(x < ox || y < oy || x >= ox + ow || y >= oy + oh);
}

//=============================================================================
// hbOpm[hڐG֐
//  y  ze: Cxg̃CX^X
//            node: IuWFNg (ȊO) ̃CX^X
//  y ԋp ztrue: J[\, false: J[\Ȃ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[̃hbOłȂ̈
//            }EXJ[\邩擾܂B
//=============================================================================
IMWWork.prototype.isMouseDrag = function(e, node) {
    var bkg = this.bkg;
    var x = node.first_x + bkg.scrollLeft - bkg.offsetLeft;
    var y = node.first_y + bkg.scrollTop - bkg.offsetTop;
    var ox = node.offsetLeft + 5, ow = node.offsetWidth - 10;
    var oy = node.offsetTop + 5, oh = node.offsetHeight - 10;
    return (x < ox && (y < oy || y >= oy + oh)) || (x >= ox + ow && (y < oy || y >= oy + oh));
}

//=============================================================================
// IuWFNg̈ID擾֐
//  y  zȂ
//  y ԋp zIuWFNg̈ID
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hA󓙂̃IuWFNgɕtID擾܂B
//=============================================================================
IMWWork.prototype.getUniqueId = function() {
    var cnt = 10000; // ̔ԍĎs
    while (cnt--) {
        var id = "";
        for (var i = 0; i < 15; i++) {
            var idx = Math.floor(Math.random() * 36);
            if (idx > 35) idx = 35;
            id += "0123456789abcdefghijklmnopqrstuvwxyz".charAt(idx);
        }
        if (this.unique_ids[id]) continue;
        this.unique_ids[id] = 1;
        return id;
    }
    return ud;
}

//=============================================================================
// IuWFNg̈ID֐
//  y  zid: ID
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hA󓙂̃IuWFNgɕtID܂B
//=============================================================================
IMWWork.prototype.releaseUniqueId = function(id) {
    if (!isBlank(id)) this.unique_ids[id] = ud;
}

//=============================================================================
// IuWFNg̈ID\񔻒֐
//  y  zid: ID
//  y ԋp ztrue: \ς, false: \
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hA󓙂̃IuWFNgɕtID\ς݂
//            擾܂B
//=============================================================================
IMWWork.prototype.isReservedUniqueId = function(id) {
    return !!this.unique_ids[id];
}

//=============================================================================
// m[h֐
//  y  znode: IuWFNg (ȊO) ̃CX^X
//  y ԋp zIuWFNg (ȊO) ̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɒǉꂽm[hARgA
//            XC[āAgp\Ԃɂ܂B
//=============================================================================
IMWWork.prototype.resetNode = function(obj) {
    // X^CV[g
    obj.className = obj.def_class;
    // vpeB
    if (!obj.$properties) {
        obj.$properties = {};
        for (var leng = obj.prop.properties.length, i = 0; i < leng; i++) {
            var key = obj.prop.properties[i];
            obj.$properties[key] = "";
        }
    }
    // ʒuETCY
    var wf = obj.events.wf, $properties = obj.$properties;
    var px = obj.offsetLeft, py = obj.offsetTop;
    var pw = obj.offsetWidth, ph = obj.offsetHeight;
    obj.def_x = obj.pos_x = px + Math.round(pw / 2);
    obj.def_y = obj.pos_y = py + Math.round(ph / 2);
    if ($properties["pos"] != ud) $properties["pos"] = px + "," + py;
    if ($properties["size"] != ud) $properties["size"] = pw + "," + ph;
    // vpeBl
    switch (obj.obj_type) {
        case IMW_OBJECT_TYPE_NODE:
            if (!$properties["node_id"]) $properties["node_id"] = obj.unique_id;
            if (!$properties["node_name"]) $properties["node_name"] = {};
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var code = IMW_LANGUAGES[i].code;
                if ($properties["node_name"][code] == ud) {
                	$properties["node_name"][code] = obj.prop.text[code];
                }
            }
            obj.setText(px, py);
            break;
        case IMW_OBJECT_TYPE_COMMENT:
            if (!$properties["comment_id"]) $properties["comment_id"] = obj.unique_id;
            if (!$properties["comment_name"]) $properties["comment_name"] = {};
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var code = IMW_LANGUAGES[i].code;
                if ($properties["comment_name"][code] == ud) {
                	$properties["comment_name"][code] = obj.prop.text[code];
                }
            }
            obj.setText($properties["comment_name"][IMW_CURRENT_LANG], px, py, 2);
            break;
        case IMW_OBJECT_TYPE_SWIMLANE:
            if (!$properties["swimlane_id"]) $properties["swimlane_id"] = obj.unique_id;
            if (!$properties["swimlane_name"]) $properties["swimlane_name"] = {};
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var code = IMW_LANGUAGES[i].code;
                if ($properties["swimlane_name"][code] == ud) {
                	$properties["swimlane_name"][code] = obj.prop.text[code];
                }
            }
            obj.setText();
            break;
    }
    return obj;
}

//=============================================================================
// 󏉊֐
//  y  zarrow: IuWFNg̃CX^X
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɒǉꂽāA
//            gp\Ԃɂ܂B
//=============================================================================
IMWWork.prototype.resetArrow = function(arrow) {
    var off = arrow.offset_obj, tgt = arrow.target_obj;
    if (!off || !tgt) return arrow;
    arrow.offset_x = off.pos_x;
    arrow.offset_y = off.pos_y;
    arrow.target_x = tgt.pos_x;
    arrow.target_y = tgt.pos_y;
    arrow.clearClass();
    if (!arrow.$properties) arrow.$properties = {};
    return arrow;
}

//=============================================================================
// m[hǉ֐
//  y  zprop: vpeBi[ꂽnbV
//  y ԋp zm[hIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɃm[hǉ܂B
//=============================================================================
IMWWork.prototype.addNode = function(prop) {
    var events = this.events;
    var node = createElementDiv(this.obj, "work_node");
    var img = createElementImg(node, prop.icon, "work_image");
    var pt = createElementDiv(node, "work_point");
    pt.style.visibility = "hidden";
    node.obj_type = IMW_OBJECT_TYPE_NODE;
    node.unique_id = this.getUniqueId();
    node.title_obj = this.addTitleComment(node);
    node.title_text = img.title_text = prop.text[IMW_CURRENT_LANG];
    node.point = pt;
    node.prop = prop;
    node.first_x = node.first_y = 0;
    node.offset_h = img.offsetHeight;
    node.offset_w = img.offsetWidth;
    node.plugin_ids = {};
    node.events = events;
    node.createClone = events.createCloneNode;
    node.showPointIcon = events.showPointIconNode;
    node.hidePointIcon = events.hidePointIconNode;
    node.getNodeId = events.getNodeId;
    node.getXML = events.getXMLNode;
    node.setName = events.setNameNode;
    node.setPos = events.setPosNode;
    node.setText = events.setTextNode;
    node.showFocusRects = events.showFocusRectsNode;
    node.showHighlightRects = events.showHighlightRectsNode;
    node.acceptProperty = events.acceptPropertyNode;
    node.ondblclick = events.onDblClickNode;
    node.onmousedown = events.onMouseDownNode;
    node.onmousemove = events.onMouseMoveNode;
    node.onmouseup = events.onMouseUpNode;
    node.onmouseover = events.onMouseOverNode;
    node.onmouseout = events.onMouseOutNode;
    node.ondraginit = events.onDragInitNode;
    node.ondragmove = events.onDragMoveNode;
    node.ondragfinish = events.onDragFinishNode;
    node.style.height = node.offset_h + "px";
    node.style.width = node.offset_w + "px";
    img.parent_obj = node;
    img.events = events;
    img.onload = events.onLoadImage;
    return node;
}

//=============================================================================
// ǉ֐
//  y  zȂ
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɖǉ܂B
//=============================================================================
IMWWork.prototype.addArrow = function() {
    var events = this.events;
    var arrow = createElementDiv(this.obj, "work_arrow");
    arrow.div1 = createElementDiv(arrow, "work_arrow_line");
    arrow.div2 = createElementDiv(arrow, "work_arrow_line");
    arrow.div3 = createElementDiv(arrow, "work_arrow_line");
    arrow.divA = createElementDiv(arrow, "work_arrow_triangle");
    arrow.divB = createElementDiv(arrow, "work_arrow_triangle");
    arrow.divC = createElementDiv(arrow, "work_arrow_triangle");
    arrow.divD = createElementDiv(arrow, "work_arrow_triangle");
    arrow.divE = createElementDiv(arrow, "work_arrow_triangle");
    arrow.divX = createElementDiv(arrow, "work_arrow_area");
    arrow.divY = createElementDiv(arrow, "work_arrow_area");
    arrow.divZ = createElementDiv(arrow, "work_arrow_area");
    arrow.div1.innerHTML = "&nbsp;";
    arrow.div2.innerHTML = "&nbsp;";
    arrow.div3.innerHTML = "&nbsp;";
    arrow.divA.innerHTML = "&nbsp;";
    arrow.divB.innerHTML = "&nbsp;";
    arrow.divC.innerHTML = "&nbsp;";
    arrow.divD.innerHTML = "&nbsp;";
    arrow.divE.innerHTML = "&nbsp;";
    arrow.divX.innerHTML = "&nbsp;";
    arrow.divY.innerHTML = "&nbsp;";
    arrow.divZ.innerHTML = "&nbsp;";
    arrow.obj_type = IMW_OBJECT_TYPE_ARROW;
    arrow.unique_id = this.getUniqueId();
    arrow.title_text = IMW_PROPERTY_ARROW.text[IMW_CURRENT_LANG];
    arrow.prop = IMW_PROPERTY_ARROW;
    arrow.offset_dx = arrow.offset_dy = 0;
    arrow.target_dx = arrow.target_dy = 0;
    arrow.center_x = arrow.center_y = 0;
    arrow.offset_vector = arrow.target_vector = 0;
    arrow.style_type = arrow.error_type = 0;
    arrow.set_class = "default";
    arrow.events = events;
    arrow.getOffsetKey = events.getOffsetKeyArrow;
    arrow.getTargetKey = events.getTargetKeyArrow;
    arrow.calcPos = events.calcPosArrow;
    arrow.clearClass = events.clearClassArrow;
    arrow.createClone = events.createCloneArrow;
    arrow.getNodeId = events.getNodeId;
    arrow.getXML = events.getXMLArrow;
    arrow.resize = events.resizeArrow;
    arrow.setType = events.setTypeArrow;
    arrow.setClass = events.setClassArrow;
    arrow.doValidate = events.doValidateArrow;
    arrow.showFocusRects = events.showFocusRectsArrow;
    arrow.onmousedownArrow = events.onMouseDownArrow;
    arrow.onmouseupArrow = events.onMouseUpArrow;
    arrow.onmouseoverArrow = events.onMouseOverArrow;
    arrow.onmouseoutArrow = events.onMouseOutArrow;
    arrow.ondraginit = events.onDragInitArrow;
    arrow.ondragmove = events.onDragMoveArrow;
    arrow.ondragfinish = events.onDragFinishArrow;
    arrow.divX.parent_obj = arrow;
    arrow.divX.title_text = arrow.prop.text[IMW_CURRENT_LANG];
    arrow.divX.onmousedown = events.onMouseDownArrowLine;
    arrow.divX.onmouseup = events.onMouseUpArrowLine;
    arrow.divX.onmouseover = events.onMouseOverArrowLine;
    arrow.divX.onmouseout = events.onMouseOutArrowLine;
    arrow.divY.parent_obj = arrow;
    arrow.divY.title_text = arrow.prop.text[IMW_CURRENT_LANG];
    arrow.divY.onmousedown = events.onMouseDownArrowLine;
    arrow.divY.onmouseup = events.onMouseUpArrowLine;
    arrow.divY.onmouseover = events.onMouseOverArrowLine;
    arrow.divY.onmouseout = events.onMouseOutArrowLine;
    arrow.divZ.parent_obj = arrow;
    arrow.divZ.title_text = arrow.prop.text[IMW_CURRENT_LANG];
    arrow.divZ.onmousedown = events.onMouseDownArrowLine;
    arrow.divZ.onmouseup = events.onMouseUpArrowLine;
    arrow.divZ.onmouseover = events.onMouseOverArrowLine;
    arrow.divZ.onmouseout = events.onMouseOutArrowLine;
    arrow.clearClass();
    return arrow;
}

//=============================================================================
// hbO֐
//  y  zarrow: IuWFNg̃CX^X
//            node: IuWFNg (ȊO) ̃CX^X
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̖hbOpɏ܂B
//=============================================================================
IMWWork.prototype.initDragArrow = function(arrow, node) {
    arrow.offset_x = node.offsetLeft + node.point_x;
    arrow.offset_y = node.offsetTop + node.point_y;
    arrow.drag_vector_type = IMW_VECTOR_TYPE_NORMAL;
    arrow.offset_obj = node;
    arrow.target_obj = ud;
    return arrow;
}

//=============================================================================
// ړ֐ (ڑ)
//  y  zarrow: IuWFNg̃CX^X
//            rect: Iς݃IuWFNgJ[\IuWFNg
//                  CX^X
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̖Jn𗣂ړpɏ
//            ܂B
//=============================================================================
IMWWork.prototype.initMoveArrowOffset = function(arrow, rect) {
    arrow.unique_id = rect.owner_obj.unique_id;
    arrow.offset_x = rect.target_x;
    arrow.offset_y = rect.target_y;
    arrow.drag_vector_type = IMW_VECTOR_TYPE_OFFSET;
    arrow.offset_obj = ud;
    arrow.target_obj = rect.target_obj;
    return arrow;
}

//=============================================================================
// ړ֐ (ڑ摤)
//  y  zarrow: IuWFNg̃CX^X
//            rect: Iς݃IuWFNgJ[\IuWFNg
//                  CX^X
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̖I𗣂ړpɏ
//            ܂B
//=============================================================================
IMWWork.prototype.initMoveArrowTarget = function(arrow, rect) {
    arrow.unique_id = rect.owner_obj.unique_id;
    arrow.offset_x = rect.offset_x;
    arrow.offset_y = rect.offset_y;
    arrow.drag_vector_type = IMW_VECTOR_TYPE_TARGET;
    arrow.offset_obj = rect.offset_obj;
    arrow.target_obj = ud;
    return arrow;
}

//=============================================================================
// ړ֐ (ŏI)
//  y  zarrow: IuWFNg̃CX^X
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̖hbOAړŏI
//            s܂BO initDrawArrow, initMoveArrowOffset,
//            initMoveArrowTarget ĂяoĂB
//=============================================================================
IMWWork.prototype.initArrowNext = function(arrow) {
    var events = this.events;
    arrow.target_x = arrow.offset_x;
    arrow.target_y = arrow.offset_y;
    arrow.setClass("drag");
    arrow.select_flag = 1;
    if (!arrow.$properties) arrow.$properties = {};
    return arrow;
}

//=============================================================================
// ̕\pRgǉ֐
//  y  znode: ڑIuWFNg̃CX^X
//  y ԋp zRgIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hAXC[ɕt^Cg (Rg) 쐬܂B
//=============================================================================
IMWWork.prototype.addTitleComment = function(node) {
    var events = this.events;
    var comment = createElementDiv(this.obj, "work_title_comment");
    var body = createElementDiv(comment, "work_title_comment_body");
    var text = createElementDiv(comment, "work_title_comment_text");
    comment.obj_type = IMW_OBJECT_TYPE_COMMENT;
    comment.unique_id = this.getUniqueId();
    comment.owner_obj = node;
    comment.body_obj = body;
    comment.text_obj = text;
    comment.set_class = "";
    comment.style.visibility = "hidden";
    comment.events = events;
    comment.setClass = events.setClassComment;
    comment.setText = events.setTextComment;
    comment.setPos = events.setPosComment;
    comment.setSize = events.setSizeComment;
    comment.hide = events.hideComment;
    return comment;
}

//=============================================================================
// ʏRgǉ֐
//  y  zprop: vpeBi[ꂽnbV
//  y ԋp zRgIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɃRgǉ܂B
//=============================================================================
IMWWork.prototype.addComment = function(prop) {
    var events = this.events;
    var comment = createElementDiv(this.obj, "work_comment");
    var body = createElementDiv(comment, "work_comment_body");
    var text = createElementDiv(comment, "work_comment_text");
    var pt = createElementDiv(comment, "work_point");
    pt.style.visibility = "hidden";
    comment.obj_type = IMW_OBJECT_TYPE_COMMENT;
    comment.unique_id = this.getUniqueId();
    comment.body_obj = body;
    comment.text_obj = text;
    comment.title_text = prop.text[IMW_CURRENT_LANG];
    comment.point = pt;
    comment.prop = prop;
    comment.first_x = comment.first_y = 0;
    comment.events = events;
    comment.setText = events.setTextComment;
    comment.setPos = events.setPosComment;
    comment.setSize = events.setSizeComment;
    comment.hide = events.hideComment;
    comment.createClone = events.createCloneNode;
    comment.showPointIcon = events.showPointIconNode;
    comment.hidePointIcon = events.hidePointIconNode;
    comment.getNodeId = events.getNodeId;
    comment.getXML = events.getXMLComment;
    comment.showFocusRects = events.showFocusRectsNode;
    comment.acceptProperty = events.acceptPropertyNode;
    comment.ondblclick = events.onDblClickNode;
    comment.onmousedown = events.onMouseDownNode;
    comment.onmousemove = events.onMouseMoveNode;
    comment.onmouseup = events.onMouseUpNode;
    comment.onmouseover = events.onMouseOverNode;
    comment.onmouseout = events.onMouseOutNode;
    comment.ondraginit = events.onDragInitNode;
    comment.ondragmove = events.onDragMoveNode;
    comment.ondragfinish = events.onDragFinishNode;
    return comment;
}

//=============================================================================
// XC[ǉ֐
//  y  zprop: vpeBi[ꂽnbV
//  y ԋp zXC[IuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɃXC[ǉ܂B
//=============================================================================
IMWWork.prototype.addSwimlane = function(prop) {
    var events = this.events;
    var swimlane = createElementDiv(this.obj, "work_swimlane");
    var body = createElementDiv(swimlane, "work_swimlane_body");
    var hdr = createElementDiv(body, "work_swimlane_header");
    swimlane.obj_type = IMW_OBJECT_TYPE_SWIMLANE;
    swimlane.unique_id = this.getUniqueId();
    swimlane.body_obj = body;
    swimlane.header_obj = hdr;
    swimlane.title_text = prop.text[IMW_CURRENT_LANG];
    swimlane.prop = prop;
    swimlane.first_x = swimlane.first_y = 0;
    swimlane.events = events;
    swimlane.setPos = events.setPosSwimlane;
    swimlane.setSize = events.setSizeSwimlane;
    swimlane.setText = events.setTextSwimlane;
    swimlane.hide = events.hideComment;
    swimlane.createClone = events.createCloneNode;
    swimlane.getNodeId = events.getNodeId;
    swimlane.getXML = events.getXMLSwimlane;
    swimlane.showFocusRects = events.showFocusRectsNode;
    swimlane.acceptProperty = events.acceptPropertyNode;
    swimlane.ondblclick = events.onDblClickNode;
    swimlane.onmousedown = events.onMouseDownNode;
    swimlane.onmousemove = events.onMouseMoveNode;
    swimlane.onmouseup = events.onMouseUpNode;
    swimlane.onmouseover = events.onMouseOverNode;
    swimlane.onmouseout = events.onMouseOutNode;
    swimlane.ondraginit = events.onDragInitNode;
    swimlane.ondragmove = events.onDragMoveNode;
    swimlane.ondragfinish = events.onDragFinishNode;
    return swimlane;
}

//=============================================================================
// O[v{bNXǉ֐
//  y  ztext: O[v
//            objs: IuWFNg̃CX^Xi[ꂽz
//            depth: [
//  y ԋp zO[v{bNXIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAɃO[v{bNXǉ܂B
//=============================================================================
IMWWork.prototype.addGroupBox = function(text, objs, depth) {
    var events = this.events;
    var groupbox = createElementDiv(this.obj, "work_groupbox");
    var hdr = createElementDiv(groupbox, "work_groupbox_header");
    groupbox.obj_type = IMW_OBJECT_TYPE_GROUPBOX;
    groupbox.unique_id = this.getUniqueId();
    groupbox.header_obj = hdr;
    groupbox.title_text = text;
    groupbox.child_objs = objs;
    groupbox.depth = depth;
    groupbox.events = events;
    groupbox.resetPos = events.resetPosGroupBox;
    groupbox.setText = events.setTextGroupBox;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var groupboxes = objs[i].groupboxes || [];
        groupboxes.push(groupbox);
        objs[i].groupboxes = groupboxes;
    }
    return groupbox;
}

//=============================================================================
// IuWFNg擾֐ (P)
//  y  ztype: IuWFNg^Cv (IMW_OBJECT_TYPE_xxx)BOR ŕw
//            id: IuWFNg̈IDBȗBȗꍇ͍ŏɌ
//                IuWFNg
//  y ԋp zIuWFNg̃CX^XB݂Ȃꍇ undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃIuWFNg 1 擾܂B
//=============================================================================
IMWWork.prototype.getObject = function(type, id) {
    var obj = this.obj.firstChild;
    while (obj) {
        if ((obj.obj_type & type) && (!id || obj.unique_id == id)) return obj;
        obj = obj.nextSibling;
    }
    return ud;
}

//=============================================================================
// IuWFNg擾֐ ()
//  y  ztype: IuWFNg^Cv (IMW_OBJECT_TYPE_xxx)BOR ŕw
//  y ԋp zIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃIuWFNg𕡐擾܂B
//=============================================================================
IMWWork.prototype.getObjects = function(type) {
    var objs = [], obj = this.obj.firstChild;
    while (obj) {
        if (obj.obj_type & type) objs.push(obj);
        obj = obj.nextSibling;
    }
    return objs;
}

//=============================================================================
// IuWFNg擾֐ (Iς)
//  y  ztype: IuWFNg^Cv (IMW_OBJECT_TYPE_xxx)BOR ŕw
//            id: z̐擪ɎĂIuWFNg̈IDBȗ
//  y ԋp zIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGȂIς݃IuWFNg𕡐擾܂B
//=============================================================================
IMWWork.prototype.getSelectedObjects = function(type, id) {
    var objs = [], objb = ud, obj = this.obj.firstChild;
    while (obj) {
        if ((obj.obj_type & type) && obj.selected) {
            if (id && obj.unique_id == id) objb = obj; else objs.push(obj);
        }
        obj = obj.nextSibling;
    }
    if (objb) objs.unshift(objb);
    return objs;
}

//=============================================================================
// IuWFNg擾֐ (Ww)
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//  y ԋp zIuWFNg (ȊO) ̃CX^XB݂Ȃꍇ
//            undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGAŎw肳ꂽʒuɑ݂IuWFNg
//            1 擾܂Bꍇ̓m[hARgA
//            XC[̏ŗD悵܂Bm[hXC[ɕt
//            RgIuWFNg͎擾܂B
//=============================================================================
IMWWork.prototype.getPointObject = function(x, y) {
    var types = [IMW_OBJECT_TYPE_NODE, IMW_OBJECT_TYPE_COMMENT, IMW_OBJECT_TYPE_SWIMLANE];
    for (var leng = types.length, i = 0; i < leng; i++) {
        var obj = this.obj.firstChild;
        while (obj) {
            if (obj.prop && obj.obj_type == types[i]) {
                var ox = obj.offsetLeft, oy = obj.offsetTop;
                var ow = obj.offsetWidth, oh = obj.offsetHeight;
                if (!(x < ox || y < oy || x > ox + ow || y > oy + oh)) return obj;
            }
            obj = obj.nextSibling;
        }
    }
    return ud;
}

//=============================================================================
// IuWFNg擾֐ (͈͓)
//  y  ztype: IuWFNg^Cv (IMW_OBJECT_TYPE_xxx)BOR ŕw
//            x1: [g`[NGAƂ X ʒu
//            y1: [g`[NGAƂ Y ʒu
//            x2: [g`[NGAƂE X ʒu
//            y2: [g`[NGAƂE Y ʒu
//  y ԋp zIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA͈͓̔IuWFNg𕡐擾܂B
//=============================================================================
IMWWork.prototype.getRectObjects = function(type, x1, y1, x2, y2) {
    var objs = [], obj = this.obj.firstChild;
    while (obj) {
        if (obj.obj_type & type) switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
            case IMW_OBJECT_TYPE_ARROW:
            case IMW_OBJECT_TYPE_COMMENT:
            case IMW_OBJECT_TYPE_SWIMLANE:
                var ox1 = obj.offsetLeft, oy1 = obj.offsetTop;
                var ox2 = ox1 + obj.offsetWidth - 1, oy2 = oy1 + obj.offsetHeight - 1;
                if (ox2 >= x1 && oy2 >= y1 && ox1 <= x2 && oy1 <= y2) objs.push(obj);
                break;
        }
        obj = obj.nextSibling;
    }
    return objs;
}

//=============================================================================
// 擾֐ (͈͓)
//  y  zid: IuWFNg̈ID
//  y ԋp zIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hɐڑĂ𕡐擾܂B
//=============================================================================
IMWWork.prototype.getArrows = function(id) {
    var arrows = [], arrowh = {}, obj = this.obj.firstChild;
    while (obj) {
        if (obj.obj_type == IMW_OBJECT_TYPE_ARROW) {
            if (obj.offset_obj && obj.offset_obj.unique_id == id && !arrowh[obj.unique_id]) {
                arrows.push(obj);
                arrowh[obj.unique_id] = obj;
            }
            if (obj.target_obj && obj.target_obj.unique_id == id && !arrowh[obj.unique_id]) {
                arrows.push(obj);
                arrowh[obj.unique_id] = obj;
            }
        }
        obj = obj.nextSibling;
    }
    return arrows;
}

//=============================================================================
// Iς݃IuWFNgǉ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//            cls: ǉNX
//  y ԋp zlpIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݃IuWFNgJ[\ǉ܂B
//=============================================================================
IMWWork.prototype.addFocusRect = function(x, y, cls) {
    var events = this.events, rect = createElementDiv(this.obj, cls);
    rect.innerHTML = "&nbsp;";
    rect.obj_type = IMW_OBJECT_TYPE_FOCUS;
    rect.events = events;
    rect.onmousedown = events.onMouseDownFocusRect;
    rect.onmouseover = events.onMouseOverFocusRect;
    rect.onmouseout = events.onMouseOutFocusRect;
    rect.style.left = (x - Math.round(rect.offsetWidth / 2 - 0.1)) + "px";
    rect.style.top = (y - Math.round(rect.offsetHeight / 2 - 0.1)) + "px";
    return rect;
}

//=============================================================================
// Iς݃IuWFNg֐
//  y  zid: Iς݂IuWFNg̈IDBȗ͑SĂ
//                IuWFNg
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݃IuWFNgJ[\폜܂B
//=============================================================================
IMWWork.prototype.clearFocusRects = function(id) {
    var wf = this.wf, objs = [], objh = {};
    var rects = this.getObjects(IMW_OBJECT_TYPE_FOCUS);
    for (var leng = rects.length, i = 0; i < leng; i++) {
        var rect = rects[i], node = rect.owner_obj;
        if (!id || (node && node.unique_id == id)) {
            if (node) node.selected = ud;
            this.obj.removeChild(rect);
        }
        if (objh[node.unique_id]) continue;
        objh[node.unique_id] = 1;
        if (node) if (node.selected) objs.push(node);
        else if (wf.select_object_callback) wf.select_object_callback(node.unique_id, node, 0);
    }
    this.selected_cnt = objs.length;
    if (wf.pr.focus_obj) wf.pr.focus_obj.onblur({"forceBlur":1});
    wf.pr.setObjects(objs);
}

//=============================================================================
// nCCgIuWFNgǉ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//            w: 
//            h: 
//            cls: ǉNX
//  y ԋp zlpIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݃IuWFNgJ[\ǉ܂B
//=============================================================================
IMWWork.prototype.addHighlightRect = function(x, y, w, h, cls) {
    var rect = createElementDiv(this.obj, cls);
    rect.innerHTML = "&nbsp;";
    rect.obj_type = IMW_OBJECT_TYPE_HIGHLIGHT;
    rect.style.left = (x - 5) + "px";
    rect.style.top = (y - 5) + "px";
    rect.style.width = (w + 6) + "px";
    rect.style.height = (h + 6) + "px";
    return rect;
}

//=============================================================================
// nCCgIuWFNg֐
//  y  zid: nCCgIuWFNg̈IDBȗ͑SĂ
//                IuWFNg
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv znCCgIuWFNgJ[\폜܂B
//=============================================================================
IMWWork.prototype.clearHighlightRects = function(id) {
    var wf = this.wf, objs = [];
    var rects = this.getObjects(IMW_OBJECT_TYPE_HIGHLIGHT);
    for (var leng = rects.length, i = 0; i < leng; i++) {
        var rect = rects[i], node = rect.owner_obj;
        if (!id || (node && node.unique_id == id)) {
            if (node) node.highlighted = ud;
            this.obj.removeChild(rect);
        }
    }
}

//=============================================================================
// IuWFNgSI֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃIuWFNgSđI܂B
//=============================================================================
IMWWork.prototype.selectAllObjects = function() {
    if (this.wf.drag_objs.length) return;
    var nodes = this.getObjects(IMW_OBJECT_TYPE_BOXES);
    this.clearFocusRects();
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i];
        if (node.showFocusRects) node.showFocusRects();
    }
    this.showProperty();
}

//=============================================================================
// IuWFNgS폜֐ (Iς)
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGȂIς݃IuWFNgSč폜܂B
//=============================================================================
IMWWork.prototype.deleteSelectedObjects = function() {
    if (this.wf.readonly_flag) return;
    var objs = [], nodes = this.getSelectedObjects(IMW_OBJECT_TYPE_ANY), nodeh = {};
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i];
        if (!node.prop || !node.prop.remove) continue;
        if (!nodeh[node.unique_id]) {
            objs.push(node);
            nodeh[node.unique_id] = node;
        }
        if (node.title_obj) {
            var comment = node.title_obj;
            if (!nodeh[comment.unique_id]) {
                objs.push(comment);
                nodeh[comment.unique_id] = comment;
            }
        }
        var arrows = this.getArrows(node.unique_id);
        for (var leng2 = arrows.length, j = 0; j < leng2; j++) {
            var arrow = arrows[j];
            if (!nodeh[arrow.unique_id]) {
                objs.push(arrow);
                nodeh[arrow.unique_id] = arrow;
            }
        }
    }
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].deleted = 1;
    this.clearFocusRects();
    this.clearHighlightRects();
    this.setArrowAdjustPos(objs);
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        this.releaseObject(obj);
        this.releaseUniqueId(obj.unique_id);
        this.obj.removeChild(obj);
    }
    this.memorizeWork(IMW_WORK_TYPE_DELETE, objs);
    this.showProperty();
}

//=============================================================================
// IuWFNgS폜֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃIuWFNgSč폜܂B
//            폜IuWFNǵA상ɋL^܂B
//=============================================================================
IMWWork.prototype.deleteAllObjects = function() {
    this.clearFocusRects();
    this.clearHighlightRects();
    var objs = this.getObjects(IMW_OBJECT_TYPE_ALL);
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].deleted = 1;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        this.releaseObject(obj);
        this.releaseUniqueId(obj.unique_id);
        this.obj.removeChild(obj);
    }
    this.obj.innerHTML = "";
    this.clip_memory = ud;
    this.undo_memory = [];
    this.redo_memory = [];
    this.showProperty();
}

//=============================================================================
// IuWFNg|Cgݒ֐
//  y  zobj: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNgɃ}EXJ[\d˂Ƃ̏s܂B
//=============================================================================
IMWWork.prototype.pointerObject = function(obj) {
    if (!obj) return;
    var wf = this.wf, ft = wf.ft;
    if (!wf.readonly_flag && obj.showPointIcon) obj.showPointIcon();
    if (obj.title_text) ft.pointerObject(obj);
}

//=============================================================================
// IuWFNg|Cg֐
//  y  zobj: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg}EXJ[\𗣂Ƃ̏s܂B
//=============================================================================
IMWWork.prototype.releaseObject = function(obj) {
    if (!obj) return;
    var wf = this.wf, ft = wf.ft;
    if (!wf.readonly_flag && obj.hidePointIcon) obj.hidePointIcon();
    if (obj.title_text) ft.releaseObject(obj);
}

//=============================================================================
// vpeB\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hAIuWFNg̃vpeB\܂B
//=============================================================================
IMWWork.prototype.showProperty = function() {
    var wf = this.wf;
    if (wf.hideprop_flag) return;
    wf.pr.show();
}

//=============================================================================
// ʒu֐
//  y  zobjs: Ώۂ̃IuWFNg (m[h) i[ꂽz
//            f: of[V`FbNLZtO
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGÃm[hƖ̐ڑʒu𒲐܂B
//            m[h瓯ɖ󂪕\ꍇAO㍶Eɖ
//            炵Ė󓯎mdȂȂ悤ɂ܂B
//=============================================================================
IMWWork.prototype.setArrowAdjustPos = function(objs, f) {
    var wf = this.wf, nodes = [], nodeh = {}, arrows = [], arrowh = {};
    // ̃IuWFNgAΏۂ̖IuWFNgSė񋓂
    // d͎菜
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
            case IMW_OBJECT_TYPE_COMMENT:
            case IMW_OBJECT_TYPE_SWIMLANE:
                var arrows2 = this.getArrows(obj.unique_id);
                if (arrows2.length > 0) {
                    nodes.push(obj);
                    nodeh[obj.unique_id] = obj;
                }
                for (var leng2 = arrows2.length, j = 0; j < leng2; j++) {
                    var arrow = arrows2[j];
                    if (arrowh[arrow.unique_id]) continue;
                    arrows.push(arrow);
                    arrowh[arrow.unique_id] = arrow;
                }
                break;
            case IMW_OBJECT_TYPE_ARROW:
                if (!obj.offset_obj || !obj.target_obj) continue;
                if (arrowh[obj.unique_id]) continue;
                arrows.push(obj);
                arrowh[obj.unique_id] = obj;
                break;
        }
    }
    // 񋓂Ώۂ̖IuWFNgɐڑĂm[hIuWFNgSė񋓂
    // d͎菜
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        var arrow = arrows[i];
        if (arrow.offset_obj && !nodeh[arrow.offset_obj.unique_id]) {
            nodes.push(arrow.offset_obj);
            nodeh[arrow.offset_obj.unique_id] = arrow.offset_obj;
        }
        if (arrow.target_obj && !nodeh[arrow.target_obj.unique_id]) {
            nodes.push(arrow.target_obj);
            nodeh[arrow.target_obj.unique_id] = arrow.target_obj;
        }
    }
    // 񋓂m[hڑĂIuWFNgSė񋓂 (2 Kw)
    // d͎菜
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i], arrows2 = this.getArrows(node.unique_id);
        for (var leng2 = arrows2.length, j = 0; j < leng2; j++) {
            var arrow = arrows2[j];
            if (arrowh[arrow.unique_id]) continue;
            arrows.push(arrow);
            arrowh[arrow.unique_id] = arrow;
        }
    }
    // 񋓂SĂ̖IuWFNg̈ʒuZbg
    var keys = [], posh = {};
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        // 폜\̃IuWFNg͖
        var arrow = arrows[i];
        if (arrow.deleted) continue;
        // JnʒuƏIʒuZbg
        var off = arrow.offset_obj, tgt = arrow.target_obj;
        if (off) {
            arrow.offset_x = off.pos_x;
            arrow.offset_y = off.pos_y;
        }
        if (tgt) {
            arrow.target_x = tgt.pos_x;
            arrow.target_y = tgt.pos_y;
        }
        // JnʒuƏIʒuČvZA␳ʒuZbg
        var odx = arrow.offset_dx, ody = arrow.offset_dy;
        var tdx = arrow.target_dx, tdy = arrow.target_dy;
        arrow.calcPos(off, tgt);
        // 3 Kwڂ̃m[hɐڑĂ␳ʒuɖ߂
        if (arrow.offset_obj && !nodeh[arrow.offset_obj.unique_id]) {
            arrow.offset_dx = odx;
            arrow.offset_dy = ody;
        }
        if (arrow.target_obj && !nodeh[arrow.target_obj.unique_id]) {
            arrow.target_dx = tdx;
            arrow.target_dy = tdy;
        }
        // ʒuE̖IuWFNg܂Ƃ߂ċL^
        var key = arrow.getOffsetKey();
        if (!posh[key]) {
            keys.push(key);
            posh[key] = [arrow];
        } else posh[key].push(arrow);
        var key = arrow.getTargetKey();
        if (!posh[key]) {
            keys.push(key);
            posh[key] = [arrow];
        } else posh[key].push(arrow);
    }
    // ʒuEƂɖIuWFNg̈ʒu𒲐
    for (var leng = keys.length, i = 0; i < leng; i++) {
        // ʒuE̖IuWFNg 1 ̏ꍇ͉Ȃ
        var key = keys[i], arrows2 = posh[key], leng2 = arrows2.length, arrow = arrows2[0];
        if (leng2 <= 1) continue;
        // ڑƐڑ̊pxŗD揇ʂ
        var sort = [];
        for (var j = 0; j < leng2; j++) {
            var arrow = arrows2[j], off = arrow.offset_obj, tgt = arrow.target_obj;
            if (off && key == arrow.getOffsetKey()) {
                // JnʒuIʒuւ̊pxL^
                var dx = arrow.target_x - arrow.offset_x, dy = arrow.target_y - arrow.offset_y;
                switch (arrow.offset_vector) {
                    case 1: // 
                        sort.push([Math.atan2(dx, -dy), arrow]);
                        break;
                    case 2: // E
                        sort.push([Math.atan2(dy, dx), arrow]);
                        break;
                    case 3: // 
                        sort.push([Math.atan2(dx, dy), arrow]);
                        break;
                    case 4: // 
                        sort.push([Math.atan2(dy, -dx), arrow]);
                        break;
                }
            } else if (tgt && key == arrow.getTargetKey()) {
                // IʒuJnʒuւ̊pxL^
                var dx = arrow.offset_x - arrow.target_x, dy = arrow.offset_y - arrow.target_y;
                switch (arrow.target_vector) {
                    case 1: // 
                        sort.push([Math.atan2(dx, -dy), arrow]);
                        break;
                    case 2: // E
                        sort.push([Math.atan2(dy, dx), arrow]);
                        break;
                    case 3: // 
                        sort.push([Math.atan2(dx, dy), arrow]);
                        break;
                    case 4: // 
                        sort.push([Math.atan2(dy, -dx), arrow]);
                        break;
                }
            }
        }
        // ʒuE̖IuWFNg 1 ̏ꍇ͉Ȃ
        var leng3 = sort.length;
        if (leng3 <= 1) continue;
        // 䗦Ń\[g (IuWFNgEׂ鏇肷)
        sort.sort(function(a, b) {return a[0] == b[0] ? 0 : (a[0] < b[0] ? -1 : 1);});
        // IuWFNgǂɕׂ
        // ␳ʒuvZF m[hʂ̒ʒu
        //   (ɑ΂m[hʂ̒ ~ (ԍ ~ 2 { 1)) ^ (̐ ~ 2)
        //   | (ɑ΂m[hʂ̒ ^ 2)
        for (var j = 0, k = 1, l = leng3 << 1; j < leng3; j++, k += 2) {
            var arrow = sort[j][1], off = arrow.offset_obj, tgt = arrow.target_obj;
            if (off && nodeh[arrow.offset_obj.unique_id] && key == arrow.getOffsetKey()) {
                var ds = Math.round(IMW_ADJUST_ARROW_OFFSET * k / l) - IMW_ADJUST_ARROW_HALFOS;
                if (arrow.offset_vector & 1) arrow.offset_dx += ds; else arrow.offset_dy += ds;
            } else if (tgt && nodeh[arrow.target_obj.unique_id] && key == arrow.getTargetKey()) {
                var ds = Math.round(IMW_ADJUST_ARROW_OFFSET * k / l) - IMW_ADJUST_ARROW_HALFOS;
                if (arrow.target_vector & 1) arrow.target_dx += ds; else arrow.target_dy += ds;
            }
        }
    }
    // IuWFNgĕ`
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        var arrow = arrows[i];
        if (!f) arrow.doValidate();
        arrow.resize();
    }
}

//=============================================================================
// IuWFNgʒu\XN[֐
//  y  zobj: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hAARgAXC[IuWFNgʓ
//            \悤ɃXN[܂B
//=============================================================================
IMWWork.prototype.scrollToTarget = function(obj) {
    if (!obj) return;
    var wf = this.wf, bkg = this.bkg, tw = obj.offsetWidth, th = obj.offsetHeight;
    if (!tw || !th) return;
    var pr = wf.pr;
    var sl = bkg.scrollLeft, st = bkg.scrollTop, sw = bkg.clientWidth, sh = bkg.clientHeight;
    var bl = sl + IMW_AUTO_SCROLL_DIFF_L, bt = st + IMW_AUTO_SCROLL_DIFF_T;
    var br = sl + sw - IMW_AUTO_SCROLL_DIFF_R, bb = st + sh - IMW_AUTO_SCROLL_DIFF_B;
    if (pr.obj.show_flag == 2) br -= pr.obj.offsetWidth;
    var tl = obj.offsetLeft, tt = obj.offsetTop;
    var tr = tl + obj.offsetWidth, tb = tt + obj.offsetHeight;
    var dx = 0, dy = 0;
    if (tr < bl) dx += tr - bl; else if (tl > br) dx += tl - br;
    if (tb < bt) dy += tb - bt; else if (tt > bb) dy += tt - bb;
    if (!dx && !dy) return;
    bkg.target_x = sl + dx;
    bkg.target_y = st + dy;
    var mw = this.obj.offsetWidth - sw, mh = this.obj.offsetHeight - sh;
    if (bkg.target_x < 0) bkg.target_x = 0; else if (bkg.target_x > mw) bkg.target_x = mw;
    if (bkg.target_y < 0) bkg.target_y = 0; else if (bkg.target_y > mh) bkg.target_y = mh;
    if (!bkg.target_tid) bkg.target_tid = setInterval(this.events.onTimeoutTargetScroll, 10);
}

//=============================================================================
// ܂ރIuWFNg擾֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zRs[ς݃IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zw肵m[hARgAXC[IuWFNgSĎ擾A
//            ڑIuWFNg擾܂B
//=============================================================================
IMWWork.prototype.getObjectsWithArrow = function(objs) {
    var copies = [], nodeh = {}, arrowh = {};
    // m[h̎擾
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (!obj.prop || !obj.prop.remove) continue;
        if (obj.obj_type == IMW_OBJECT_TYPE_ARROW) {
            var off = obj.offset_obj, tgt = obj.target_obj;
            if (!off || !tgt) continue;
            var oid = off.unique_id, tid = tgt.unique_id;
            if (!oid || !tid) continue;
            if (arrowh[oid]) arrowh[oid].push(obj); else arrowh[oid] = [obj];
            if (arrowh[tid]) arrowh[tid].push(obj); else arrowh[tid] = [obj];
            continue;
        }
        nodeh[obj.unique_id] = obj;
        copies.push(obj);
    }
    // ̎擾
    for (var id in nodeh) {
        if (!id || !nodeh[id]) continue;
        var arrows = this.getArrows(id), arrows2 = arrowh[id];
        if (arrows2) for (var leng = arrows2.length, i = 0; i < leng; i++) arrows.push(arrows2[i]);
        for (var leng = arrows.length, i = 0; i < leng; i++) {
            var arrow = arrows[i], off = arrow.offset_obj, tgt = arrow.target_obj;
            if (!off || !tgt) continue;
            off = nodeh[off.unique_id];
            tgt = nodeh[tgt.unique_id];
            if (!off || !tgt) continue;
            copies.push(arrow);
        }
        nodeh[id] = ud;
    }
    return copies;
}

//=============================================================================
// ƃ^Cg܂ރIuWFNg擾֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zRs[ς݃IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zw肵m[hARgAXC[IuWFNgSĎ擾A
//            ڑIuWFNgA^Cg (Rg) IuWFNg
//            擾܂B
//=============================================================================
IMWWork.prototype.getObjectsWithAll = function(objs) {
    var copies = [], nodeh = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (!nodeh[obj.unique_id]) {
            copies.push(obj);
            nodeh[obj.unique_id] = obj;
        }
        if (obj.title_obj) {
            var comment = obj.title_obj;
            if (!nodeh[comment.unique_id]) {
                copies.push(comment);
                nodeh[comment.unique_id] = comment;
            }
        }
        var arrows = this.getArrows(obj.unique_id);
        for (var leng2 = arrows.length, j = 0; j < leng2; j++) {
            var arrow = arrows[j];
            if (!nodeh[arrow.unique_id]) {
                copies.push(arrow);
                nodeh[arrow.unique_id] = arrow;
            }
        }
    }
    return copies;
}

//=============================================================================
// ܂ރIuWFNgRs[֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zRs[ς݃IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zw肵m[hARgAXC[IuWFNgSĕA
//            ڑIuWFNg܂B
//=============================================================================
IMWWork.prototype.copyObjectsWithArrow = function(objs) {
    var copies = [], nodeh = {}, arrowh = {};
    // m[h̃Rs[
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], prop = obj.prop, $properties = obj.$properties;
        if (!prop || !prop.remove) continue;
        if (obj.obj_type == IMW_OBJECT_TYPE_ARROW) {
            var off = obj.offset_obj, tgt = obj.target_obj;
            if (!off || !tgt) continue;
            var oid = off.unique_id, tid = tgt.unique_id;
            if (!oid || !tid) continue;
            if (arrowh[oid]) arrowh[oid].push(obj); else arrowh[oid] = [obj];
            if (arrowh[tid]) arrowh[tid].push(obj); else arrowh[tid] = [obj];
            continue;
        }
        var copy = obj.createClone(), x = 0, y = 0, w = 0, h = 0;
        if ($properties["pos"] != ud) {
            var poss = $properties["pos"].split(",");
            x = poss[0] - 0;
            y = poss[1] - 0;
        }
        if ($properties["size"] != ud) {
            var sizes = $properties["size"].split(",");
            w = sizes[0] - 0;
            h = sizes[1] - 0;
        }
        if (copy.setSize) copy.setSize(x, y, w, h);
        else if (copy.setPos) copy.setPos(x, y);
        this.resetNode(copy);
        $properties = copy.$properties;
        if ($properties["node_id"] != ud) $properties["node_id"] = copy.unique_id;
        if ($properties["comment_id"] != ud) $properties["comment_id"] = copy.unique_id;
        if ($properties["swimlane_id"] != ud) $properties["swimlane_id"] = copy.unique_id;
        copy.first_x = obj.first_x;
        copy.first_y = obj.first_y;
        copy.click_x = obj.click_x;
        copy.click_y = obj.click_y;
        nodeh[obj.unique_id] = copy;
        copies.push(copy);
    }
    // ̃Rs[
    for (var id in nodeh) {
        if (!id || !nodeh[id]) continue;
        var arrows = this.getArrows(id), arrows2 = arrowh[id];
        if (arrows2) for (var leng = arrows2.length, i = 0; i < leng; i++) arrows.push(arrows2[i]);
        for (var leng = arrows.length, i = 0; i < leng; i++) {
            var arrow = arrows[i], off = arrow.offset_obj, tgt = arrow.target_obj;
            if (!off || !tgt) continue;
            off = nodeh[off.unique_id];
            tgt = nodeh[tgt.unique_id];
            if (!off || !tgt) continue;
            arrow = this.addArrow();
            arrow.offset_obj = off;
            arrow.target_obj = tgt;
            this.resetArrow(arrow);
            copies.push(arrow);
        }
        nodeh[id] = ud;
    }
    return copies;
}

//=============================================================================
// ϐRs[֐
//  y  zobj: Rs[̃IuWFNg
//  y ԋp zRs[ς݃IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zlȂAzAnbV̕ϐċAIɃRs[܂B
//=============================================================================
IMWWork.prototype.copyVariable = function(obj) {
    try {
        if (obj == ud || obj == null) return obj;
        if (typeof(obj) == "string") return obj + "";
        if (typeof(obj) != "object") return obj;
        if (obj.getTime) return new Date().setTime(obj.getTime);
        var ret = obj.join ? [] : {};
        for (var key in obj) ret[key] = this.copyVariable(obj[key]);
        return ret;
    } catch(ex) {
        return obj;
    }
}

//=============================================================================
// Jnm[h\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zJnm[hIԂɂ܂B
//=============================================================================
IMWWork.prototype.pointStartNode = function() {
    var nodes = this.getObjects(IMW_OBJECT_TYPE_NODE);
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i];
        if (!node.prop || !node.prop.startNode) continue;
        this.clearFocusRects();
        node.showFocusRects();
        this.showProperty();
        this.scrollToTarget(node);
        break;
    }
}

//=============================================================================
// Im[h\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIm[hIԂɂ܂B
//=============================================================================
IMWWork.prototype.pointEndNode = function() {
    var nodes = this.getObjects(IMW_OBJECT_TYPE_NODE);
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i];
        if (!node.prop || !node.prop.endNode) continue;
        this.clearFocusRects();
        node.showFocusRects();
        this.showProperty();
        this.scrollToTarget(node);
        break;
    }
}

//=============================================================================
// ؂֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݂̃m[hARgAXC[IuWFNg؂A
//            ɋL܂B
//=============================================================================
IMWWork.prototype.cutObjectsToClip = function() {
    if (this.wf.readonly_flag || this.wf.drag_objs.length) return;
    var nodes = this.getSelectedObjects(IMW_OBJECT_TYPE_BOXES);
    if (!nodes.length) return;
    var copies = this.getObjectsWithArrow(nodes);
    this.clip_memory = copies;
    this.clip_scroll_x = this.bkg.scrollLeft;
    this.clip_scroll_y = this.bkg.scrollTop;
    this.deleteSelectedObjects();
}

//=============================================================================
// Rs[֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݂̃m[hARgAXC[IuWFNg𕡐A
//            ɋL܂B
//=============================================================================
IMWWork.prototype.copyObjectsToClip = function() {
    if (this.wf.readonly_flag || this.wf.drag_objs.length) return;
    var nodes = this.getSelectedObjects(IMW_OBJECT_TYPE_BOXES);
    if (!nodes.length) return;
    var copies = this.copyObjectsWithArrow(nodes);
    for (var leng = copies.length, i = 0; i < leng; i++) {
        var obj = copies[i];
        this.obj.removeChild(obj);
        if (obj.title_obj) this.obj.removeChild(obj.title_obj);
    }
    this.clip_memory = copies;
    this.clip_scroll_x = this.bkg.scrollLeft;
    this.clip_scroll_y = this.bkg.scrollTop;
}

//=============================================================================
// \t֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̃m[hARgAXC[IuWFNg𕡐A
//            [NGAɔzu܂B
//=============================================================================
IMWWork.prototype.pasteObjectsFromClip = function() {
    if (this.wf.readonly_flag || this.wf.drag_objs.length || !this.clip_memory) return;
    var dx = this.bkg.scrollLeft - this.clip_scroll_x;
    var dy = this.bkg.scrollTop - this.clip_scroll_y;
    var posh = {};
    this.clearFocusRects();
    this.clearHighlightRects();
    var nodes = this.getObjects(IMW_OBJECT_TYPE_BOXES);
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var obj = nodes[i], $properties = obj.$properties;
        if ($properties && $properties["pos"] != ud) posh[$properties["pos"]] = 1;
    }
    var copies = this.copyObjectsWithArrow(this.clip_memory);
    for (var leng = copies.length, i = 0; i < leng; i++) this.obj.appendChild(copies[i]);
    for (var leng = copies.length, i = 0; i < leng; i++) {
        var obj = copies[i], $properties = obj.$properties;
        if ($properties && $properties["pos"] != ud && obj.setPos) {
            var poss = $properties["pos"].split(",");
            var x = obj.offsetLeft + dx, y = obj.offsetTop + dy;
            var w = obj.offsetWidth, h = obj.offsetHeight;
            while (posh[x + "," + y]) {
                var ox = x, oy = y;
                x += IMW_COPY_SAME_POS_MOVE_X;
                y += IMW_COPY_SAME_POS_MOVE_Y;
                if (x + w > this.workarea_width) x = this.workarea_width - w;
                if (y + h > this.workarea_height) y = this.workarea_height - h;
                if (x == ox && y == oy) break;
            }
            obj.setPos(x, y);
            posh[x + "," + y] = 1;
        }
        if (obj.obj_type != IMW_OBJECT_TYPE_ARROW) obj.showFocusRects();
    }
    this.setArrowAdjustPos(copies);
    this.memorizeWork(IMW_WORK_TYPE_CREATE, this.getObjectsWithAll(copies));
    this.showProperty();
}

//=============================================================================
// L^֐
//  y  ztype: ^Cv
//            objs: IuWFNg̃CX^Xi[ꂽz
//            prms: gp[^
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zPL^܂B
//=============================================================================
IMWWork.prototype.memorizeWork = function(type, objs, prms) {
    this.undo_memory.push({"type":type, "objs":objs, "prms":prms});
    if (this.undo_memory.length > IMW_UNDO_MEMORY_MAX_STEP) this.undo_memory.shift();
    for (var leng = this.redo_memory.length, i = 0; i < leng; i++) this.redo_memory.pop(); // GC
}

//=============================================================================
// IuWFNg֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zL^IuWFNg̃CX^X𕜌܂B
//=============================================================================
IMWWork.prototype.createWorkObjects = function(objs) {
    if (this.wf.readonly_flag) return;
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].deleted = ud;
    this.clearFocusRects();
    this.clearHighlightRects();
    for (var leng = objs.length, i = 0; i < leng; i++) this.obj.appendChild(objs[i]);
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
                obj.setText(obj.offsetLeft, obj.offsetTop);
                break;
        }
    }
    this.setArrowAdjustPos(objs);
    this.showProperty();
}

//=============================================================================
// IuWFNg폜֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zL^IuWFNg̃CX^X폜܂B
//=============================================================================
IMWWork.prototype.deleteWorkObjects = function(objs) {
    if (this.wf.readonly_flag) return;
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].deleted = 1;
    this.clearFocusRects();
    this.clearHighlightRects();
    this.setArrowAdjustPos(objs);
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        this.releaseObject(obj);
        this.releaseUniqueId(obj.unique_id);
        this.obj.removeChild(obj);
    }
    this.showProperty();
}

//=============================================================================
// ɖ߂֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zP߂܂B
//=============================================================================
IMWWork.prototype.undoWork = function() {
    if (this.wf.cantmove_flag || this.wf.drag_objs.length || !this.undo_memory.length) return;
    var mem = this.undo_memory.pop(), type = mem.type, objs = mem.objs, prms = mem.prms;
    switch (type) {
        case IMW_WORK_TYPE_CREATE:
            this.deleteWorkObjects(objs);
            break;
        case IMW_WORK_TYPE_DELETE:
            this.createWorkObjects(objs);
            break;
        case IMW_WORK_TYPE_POS:
            for (var leng = objs.length, i = 0; i < leng; i++) {
                var obj = objs[i], prm = prms[obj.unique_id], x = obj.offsetLeft, y = obj.offsetTop;
                obj.setPos(prm.x, prm.y);
                prm.x = x;
                prm.y = y;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(objs, 1);
            this.showProperty();
            break;
        case IMW_WORK_TYPE_SIZE:
            for (var leng = objs.length, i = 0; i < leng; i++) {
                var obj = objs[i], prm = prms[obj.unique_id];
                var x = obj.offsetLeft, y = obj.offsetTop, w = obj.offsetWidth, h = obj.offsetHeight;
                obj.setSize(prm.x, prm.y, prm.w, prm.h);
                prm.x = x;
                prm.y = y;
                prm.w = w;
                prm.h = h;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(objs, 1);
            this.showProperty();
            break;
        case IMW_WORK_TYPE_ARROW:
            if (this.wf.readonly_flag) break;
            var arrow = objs[0], nodes = [arrow.offset_obj, arrow.target_obj, prms.old];
            switch (prms.type) {
                case IMW_VECTOR_TYPE_OFFSET:
                    arrow.offset_obj = prms.old;
                    break;
                case IMW_VECTOR_TYPE_TARGET:
                    arrow.target_obj = prms.old;
                    break;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(nodes);
            this.showProperty();
            break;
    }
    this.redo_memory.push(mem);
}

//=============================================================================
// 蒼֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zPi߂܂B
//=============================================================================
IMWWork.prototype.redoWork = function() {
    if (this.wf.cantmove_flag || this.wf.drag_objs.length || !this.redo_memory.length) return;
    var mem = this.redo_memory.pop(), type = mem.type, objs = mem.objs, prms = mem.prms;
    switch (type) {
        case IMW_WORK_TYPE_CREATE:
            this.createWorkObjects(objs);
            break;
        case IMW_WORK_TYPE_DELETE:
            this.deleteWorkObjects(objs);
            break;
        case IMW_WORK_TYPE_POS:
            for (var leng = objs.length, i = 0; i < leng; i++) {
                var obj = objs[i], prm = prms[obj.unique_id], x = obj.offsetLeft, y = obj.offsetTop;
                obj.setPos(prm.x, prm.y);
                prm.x = x;
                prm.y = y;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(objs, 1);
            this.showProperty();
            break;
        case IMW_WORK_TYPE_SIZE:
            for (var leng = objs.length, i = 0; i < leng; i++) {
                var obj = objs[i], prm = prms[obj.unique_id];
                var x = obj.offsetLeft, y = obj.offsetTop, w = obj.offsetWidth, h = obj.offsetHeight;
                obj.setSize(prm.x, prm.y, prm.w, prm.h);
                prm.x = x;
                prm.y = y;
                prm.w = w;
                prm.h = h;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(objs, 1);
            this.showProperty();
            break;
        case IMW_WORK_TYPE_ARROW:
            if (this.wf.readonly_flag) break;
            var arrow = objs[0], nodes = [arrow.offset_obj, arrow.target_obj, prms.obj];
            switch (prms.type) {
                case IMW_VECTOR_TYPE_OFFSET:
                    arrow.offset_obj = prms.obj;
                    break;
                case IMW_VECTOR_TYPE_TARGET:
                    arrow.target_obj = prms.obj;
                    break;
            }
            this.clearFocusRects();
            this.clearHighlightRects();
            this.setArrowAdjustPos(nodes);
            this.showProperty();
            break;
    }
    this.undo_memory.push(mem);
}

/******************************************************************************
  IMWWorkEvent NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//            wk: IMWWork NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWWorkEvent = function(wf, wk) {
    this.wf = wf;
    this.wk = wk;
}

//=============================================================================
// m[h֐
//  y  zȂ
//  y ԋp zIuWFNg (ȊO) ̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[IuWFNg𕡐܂B
//=============================================================================
IMWWorkEvent.prototype.createCloneNode = function() {
    var wk = this.events.wk, node;
    if (this.prop.type == "nodeTyp_Comment") {
        // Rg
        node = wk.addComment(this.prop);
    } else if (this.prop.type == "nodeTyp_Swimlane") {
        // XC[
        node = wk.addSwimlane(this.prop);
    } else {
        // m[h
        node = wk.addNode(this.prop);
        // m[h摜TCYRs[
        var h = this.offset_h, w = this.offset_w;
        node.offset_h = h;
        node.offset_w = w;
        node.style.height = h + "px";
        node.style.width = w + "px";
    }
    // vpeB̐ݒeRs[
    node.$properties = {};
    for (var leng = this.prop.properties.length, i = 0; i < leng; i++) {
        var key = this.prop.properties[i];
        node.$properties[key] = wk.copyVariable(this.$properties[key]);
    }
    // ʒuETCYRs[
    var x = this.offsetLeft, y = this.offsetTop, w = this.offsetWidth, h = this.offsetHeight;
    if (node.setSize) node.setSize(x, y, w, h);
    else if (node.setPos) node.setPos(x, y);
    return wk.resetNode(node);
}

//=============================================================================
// 󕡐֐
//  y  zȂ
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg𕡐܂B
//=============================================================================
IMWWorkEvent.prototype.createCloneArrow = function() {
    var wk = this.events.wk, arrow = wk.addArrow();
    return arrow;
}

//=============================================================================
// m[hID擾֐
//  y  zȂ
//  y ԋp zm[hID
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hID擾܂Bm[hIuWFNgȊȌꍇ͋󕶎
//            ԋp܂B
//=============================================================================
IMWWorkEvent.prototype.getNodeId = function() {
    if (!this.prop || !this.$properties) return "";
    return this.$properties["node_id"] || "";
}

//=============================================================================
// m[h XML 擾֐
//  y  zȂ
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h XML 擾܂B
//=============================================================================
IMWWorkEvent.prototype.getXMLNode = function() {
    var wk = this.events.wk;
    var xml = "<node id=\"" + escapeXML(this.$properties["node_id"]) + "\">";
    // m[h
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[i].code != IMW_CURRENT_LANG) continue;
        xml += IMW_GLOBAL_SUPPORT ? ("<name locale=\"" + IMW_LANGUAGES[i].code + "\">") : "<name>";
        xml += escapeXML(this.$properties["node_name"][IMW_LANGUAGES[i].code]);
        xml += "</name>";
    }
    // m[h
    xml += "<classify>";
    xml += "<variety>" + escapeXML(this.prop.variety + "") + "</variety>";
    xml += "<type>" + escapeXML(this.prop.type + "") + "</type>";
    xml += "</classify>";
    // ev[gu[g
    var route_template = this.$properties["route_template"];
    if (route_template != ud) {
        var json = ud;
        try {json = ImJson.parseJSON(route_template);} catch(ex) {}
        if (json) {
            xml += "<routeTemplate id=\"" + escapeXML(json.id) + "\">";
            xml += "<display>" + escapeXML(json.name) +  "</display>";
            xml += "</routeTemplate>";
        }
    }
    // 
    var arrows = wk.getArrows(this.unique_id), nexts = [], prevs = [];
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        var arrow = arrows[i], off = arrow.offset_obj, tgt = arrow.target_obj;
        if (!off || !tgt) continue;
        if (off == this && tgt.obj_type == IMW_OBJECT_TYPE_NODE && tgt.$properties) nexts.push(tgt);
        if (tgt == this && off.obj_type == IMW_OBJECT_TYPE_NODE && off.$properties) prevs.push(off);
    }
    if (prevs.length || nexts.length) xml += "<route>";
    if (prevs.length) xml += "<previous>";
    for (var leng = prevs.length, i = 0; i < leng; i++) {
        xml += "<nodeId>" + escapeXML(prevs[i].$properties["node_id"]) + "</nodeId>";
    }
    if (prevs.length) xml += "</previous>";
    if (nexts.length) xml += "<next>";
    for (var leng = nexts.length, i = 0; i < leng; i++) {
        xml += "<nodeId>" + escapeXML(nexts[i].$properties["node_id"]) + "</nodeId>";
    }
    if (nexts.length) xml += "</next>";
    if (prevs.length || nexts.length) xml += "</route>";
    // m[h
    xml += "<attribute>";
    xml += "<startNode>" + escapeXML(this.prop.startNode + "") + "</startNode>";
    xml += "<endNode>" + escapeXML(this.prop.endNode + "") + "</endNode>";
    xml += isBlank(this.trace_id) ? "<traceId />"
        : ("<traceId>" + escapeXML(this.trace_id) + "</traceId>");
    xml += "</attribute>";
    // EmFΏێ
    var plugin_users = ud, accept = this.acceptProperty(1);
    for (var key in IMW_USERS_EXPOINT_ID) {
        if (this.$properties[key] == ud) continue;
        if (accept && !accept[key]) continue;
        plugin_users = this.$properties[key];
    }
    if (plugin_users != ud) {
        xml += "<authInfo>";
        for (var key in IMW_USERS_EXPOINT_ID) {
            if (accept && !accept[key]) continue;
            plugin_users = this.$properties[key];
            if (plugin_users == ud) continue;
            for (var leng = plugin_users.length, i = 0; i < leng; i++) {
                var src = plugin_users[i];
                if (src == "DISABLED") break; // Ώێ҂Ȃ
                var json = ud;
                try {json = ImJson.parseJSON(src);} catch(ex) {}
                if (!json) continue;
                xml += "<plugin";
                var unique_id = this.plugin_ids[src];
                if (unique_id) xml += " id=\"" + escapeXML(unique_id) + "\"";
                xml += " exPointId=\"" + escapeXML(json.exPointId) + "\"";
                xml += " pluginId=\"" + escapeXML(json.pluginId) + "\"";
                xml += " targetType=\"" + escapeXML(json.targetType) + "\">";
                xml += "<parameter>" + escapeXML(json.parameter) + "</parameter>";
                xml += "<targetCode>" + escapeXML(json.targetCode) + "</targetCode>";
                xml += "</plugin>";
            }
        }
        xml += "</authInfo>";
    }
    // ʒuETCY
    var poss = this.$properties["pos"].split(",");
    xml += "<position>";
    xml += "<x>" + escapeXML(poss[0]) + "</x>";
    xml += "<y>" + escapeXML(poss[1]) + "</y>";
    xml += "</position>";
    xml += "</node>";
    return xml;
}

//=============================================================================
//  XML 擾֐
//  y  zȂ
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z󑮐 XML 擾܂B
//=============================================================================
IMWWorkEvent.prototype.getXMLArrow = function() {
    return "";
}

//=============================================================================
// Rg XML 擾֐
//  y  zȂ
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRg XML 擾܂B
//=============================================================================
IMWWorkEvent.prototype.getXMLComment = function() {
    var wk = this.events.wk;
    var xml = "<comment id=\"" + escapeXML(this.$properties["comment_id"]) + "\">";
    // Rg
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[i].code != IMW_CURRENT_LANG) continue;
        xml += IMW_GLOBAL_SUPPORT ? ("<note locale=\"" + IMW_LANGUAGES[i].code + "\">") : "<note>";
        xml += escapeXML(this.$properties["comment_name"][IMW_LANGUAGES[i].code]);
        xml += "</note>";
    }
    // ʒuETCY
    var poss = this.$properties["pos"].split(",");
    xml += "<x>" + escapeXML(poss[0]) + "</x>";
    xml += "<y>" + escapeXML(poss[1]) + "</y>";
    var sizes = this.$properties["size"].split(",");
    xml += "<width>" + escapeXML(sizes[0]) + "</width>";
    xml += "<height>" + escapeXML(sizes[1]) + "</height>";
    // 
    var arrows = wk.getArrows(this.unique_id), nexts = [];
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        var arrow = arrows[i], off = arrow.offset_obj, tgt = arrow.target_obj;
        if (!off || !tgt) continue;
        if (off == this && tgt.$properties) nexts.push(tgt);
    }
    for (var leng = nexts.length, i = 0; i < leng; i++) {
        xml += "<nodeId>" + escapeXML(nexts[i].$properties["node_id"]) + "</nodeId>";
    }
    xml += "</comment>";
    return xml;
}

//=============================================================================
// XC[ XML 擾֐
//  y  zȂ
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXC[ XML 擾܂B
//=============================================================================
IMWWorkEvent.prototype.getXMLSwimlane = function() {
    var wk = this.events.wk;
    var xml = "<swimlane id=\"" + escapeXML(this.$properties["swimlane_id"]) + "\">";
    // XC[
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[i].code != IMW_CURRENT_LANG) continue;
        xml += IMW_GLOBAL_SUPPORT ? ("<name locale=\"" + IMW_LANGUAGES[i].code + "\">") : "<name>";
        xml += escapeXML(this.$properties["swimlane_name"][IMW_LANGUAGES[i].code]);
        xml += "</name>";
    }
    // ʒuETCY
    var poss = this.$properties["pos"].split(",");
    xml += "<x>" + escapeXML(poss[0]) + "</x>";
    xml += "<y>" + escapeXML(poss[1]) + "</y>";
    var sizes = this.$properties["size"].split(",");
    xml += "<width>" + escapeXML(sizes[0]) + "</width>";
    xml += "<height>" + escapeXML(sizes[1]) + "</height>";
    // 
    var arrows = wk.getArrows(this.unique_id), nexts = [];
    for (var leng = arrows.length, i = 0; i < leng; i++) {
        var arrow = arrows[i], off = arrow.offset_obj, tgt = arrow.target_obj;
        if (!off || !tgt) continue;
        if (off == this && tgt.$properties) nexts.push(tgt);
    }
    for (var leng = nexts.length, i = 0; i < leng; i++) {
        xml += "<nodeId>" + escapeXML(nexts[i].$properties["node_id"]) + "</nodeId>";
    }
    xml += "</swimlane>";
    return xml;
}

//=============================================================================
// RlN^ACR\֐
//  y  znode: IuWFNg (ȊO) ̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[ɃRlN^ACR\܂B
//=============================================================================
IMWWorkEvent.prototype.showPointIconNode = function() {
    if (!IMW_CONNECT_OFFSET_COUNT[this.prop.type]) return;
    var x = this.clientWidth - this.point.offsetWidth - 1;
    var y = 1;
    this.point_x = x + Math.floor((this.offsetWidth - this.clientWidth) / 2)
        + Math.floor(this.point.offsetWidth / 2) - 1;
    this.point_y = y + Math.floor((this.offsetHeight - this.clientHeight) / 2)
        + Math.floor(this.point.offsetHeight / 2) - 1;
    this.point.style.left = x + "px";
    this.point.style.top = y + "px";
    this.point.style.visibility = "";
    this.pointed = 1;
}

//=============================================================================
// RlN^ACR\֐
//  y  znode: IuWFNg (ȊO) CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[̃RlN^ACR\
//            ܂B
//=============================================================================
IMWWorkEvent.prototype.hidePointIconNode = function() {
    this.point.style.visibility = "hidden";
    this.pointed = ud;
}

//=============================================================================
// m[h ondblclick Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h ondblclick Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDblClickNode = function(e) {
    var wf = this.events.wf;
    if (wf.select_object_callback) wf.select_object_callback(this.unique_id, this, 2);
}

//=============================================================================
// m[h onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownNode = function(e) {
    var wf = this.events.wf, wk = this.events.wk, bkg = wk.bkg;
    e = initEvent(e);
    if (isShiftKey(e)) {
    } else if (isMouseL(e)) {
        if (!wf.readonly_flag && !isCtrlKey(e) && wk.isMousePoint(e, this)) {
            // ڑACRNbN
            wk.clearFocusRects();
            var arrow = wk.addArrow();
            wk.initDragArrow(arrow, this);
            wk.initArrowNext(arrow);
            wf.dragArrow(arrow);
            wf.onDragInit(e);
            wf.onDragMove(e);
            wk.showProperty();
        } else {
            // m[h摜NbN
            var sel = this.selected || 0;
            if (!this.selected) {
                if (!isCtrlKey(e)) wk.clearFocusRects();
                wk.showProperty();
                this.showFocusRects();
            }
            var x = _getMouseX(e), y = _getMouseY(e);
            if (this.selected) {
                this.drag_mode = sel + 1;
                this.first_x = x;
                this.first_y = y;
            } else {
                this.drag_mode = ud;
            }
            this.click_x = x + bkg.scrollLeft - bkg.offsetLeft - this.offsetLeft;
            this.click_y = y + bkg.scrollTop - bkg.offsetTop - this.offsetTop;
        }
        wk.focus_cancel = 1;
    } else if (isMouseR(e)) {
        if (!this.selected) {
            wk.clearFocusRects();
            wk.showProperty();
            this.showFocusRects();
        }
        wk.focus_cancel = 1;
    }
    return cancelEvent(e);
}

//=============================================================================
// m[h onmousemove Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmousemove Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseMoveNode = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (this.drag_mode && this.selected) {
        var x = _getMouseX(e), y = _getMouseY(e);
        var dx = Math.abs(this.first_x - x), dy = Math.abs(this.first_y - y);
        if (dx >= 5 || dy >= 5) this.onmouseout(e);
    }
    return cancelEvent(e);
}

//=============================================================================
// m[h onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmouseup Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseUpNode = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (this.drag_mode && this.selected) {
        if (isCtrlKey(e)) {
            if (this.drag_mode > 1) wk.clearFocusRects(this.unique_id);
        } else if (wk.selected_cnt <= 1) {
            if (isCtrlKey(e)) wk.clearFocusRects();
        } else {
            wk.clearFocusRects();
            this.showFocusRects();
        }
        wk.showProperty();
        if (this.selected) wk.scrollToTarget(this);
    }
    this.drag_mode = ud;
    return cancelEvent(e);
}

//=============================================================================
// m[h onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmouseover Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOverNode = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wk.pointerObject(this);
    this.style.cursor = wf.cantmove_flag ? "pointer" : "";
    return cancelEvent(e);
}

//=============================================================================
// m[h onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h onmouseout Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOutNode = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    if (this.drag_mode) {
        var old_mode = this.drag_mode;
        this.drag_mode = ud;
        if (wf.cantmove_flag) {
            wk.showProperty();
            return cancelEvent(e);
        }
        if (wk.isMouseDrag(e, this)) {
            // m[hIς݃IuWFNgŃhbOJnꍇُ͈ԂɂȂ邽߃LZ
            wk.releaseObject(this);
            wk.showProperty();
            if (this.selected) wk.scrollToTarget(this);
            return cancelEvent(e);
        }
        if (!wf.readonly_flag && isCtrlKey(e) && this.prop && this.prop.remove) {
            // m[hRs[Ĉړ
            var nodes = wk.getSelectedObjects(IMW_OBJECT_TYPE_BOXES, this.unique_id);
            if (!nodes.length) return cancelEvent(e);
            var copies = wk.copyObjectsWithArrow(nodes);
            if (!copies.length) return cancelEvent(e);
            wk.clearFocusRects();
            wk.clearHighlightRects();
            for (var leng = copies.length, i = 0; i < leng; i++) wf.dragNodeMove(copies[i]);
            wk.memorizeWork(IMW_WORK_TYPE_CREATE, wk.getObjectsWithAll(copies));
            wk.releaseObject(this);
            wk.pointerObject(copies[0]);
        } else {
            // m[hړ
            var nodes = wk.getSelectedObjects(IMW_OBJECT_TYPE_BOXES, this.unique_id);
            wk.clearFocusRects();
            wk.clearHighlightRects();
            var prms = {};
            for (var leng = nodes.length, i = 0; i < leng; i++) {
                prms[nodes[i].unique_id] = {"x":nodes[i].offsetLeft, "y":nodes[i].offsetTop};
                wf.dragNodeMove(wk.resetNode(nodes[i]));
            }
            wk.memorizeWork(IMW_WORK_TYPE_POS, nodes, prms);
        }
        wf.onDragInit(e);
        wf.onDragMove(e);
        wk.showProperty();
    } else {
        wk.releaseObject(this);
    }
    return cancelEvent(e);
}

//=============================================================================
// m[h hbO֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h ondraginit Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragInitNode = function(e) {
    var wk = this.events.wk;
    if (!wk.drag_node) wk.drag_node = this;
}

//=============================================================================
// m[h hbOړ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h ondragmove Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragMoveNode = function(e) {
    var wk = this.events.wk, bkg = wk.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    var w = this.offsetWidth, h = this.offsetHeight;
    var cw = Math.round(w / 2), ch = Math.round(h / 2);
    var base = wk.drag_node;
    if (base == this) {
        var dx = this.click_x == ud ? cw : this.click_x;
        var dy = this.click_y == ud ? ch : this.click_y;
        x -= dx;
        y -= dy;
        if (!isShiftKey(e)) {
            x = Math.floor((x + IMW_POSITION_MESH / 2) / IMW_POSITION_MESH) * IMW_POSITION_MESH;
            y = Math.floor((y + IMW_POSITION_MESH / 2) / IMW_POSITION_MESH) * IMW_POSITION_MESH;
        }
    } else {
        x = this.def_x + base.pos_x - base.def_x - cw;
        y = this.def_y + base.pos_y - base.def_y - ch;
    }
    if (x < 0) x = 0; else if (x + w > wk.workarea_width) x = wk.workarea_width - w;
    if (y < 0) y = 0; else if (y + h > wk.workarea_height) y = wk.workarea_height - h;
    this.pos_x = x + cw;
    this.pos_y = y + ch;
    this.style.left = x + "px";
    this.style.top = y + "px";
}

//=============================================================================
// m[h hbOI֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h ondragfinish Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragFinishNode = function(e) {
    var wk = this.events.wk;
    wk.drag_node = ud;
    wk.resetNode(this);
    this.def_x = this.pos_x;
    this.def_y = this.pos_y;
    this.click_x = this.click_y = ud;
    this.showFocusRects();
}

//=============================================================================
// m[h摜[hI֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h摜 onload Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onLoadImage = function() {
    var wf = this.events.wf, wk = this.events.wk, node = this.parent_obj;
    var h = this.offsetHeight, w = this.offsetWidth;
    if (h == node.offset_h && w == node.offset_w) return;
    node.offset_h = h;
    node.offset_w = w;
    node.style.height = h + "px";
    node.style.width = w + "px";
    var px = node.offsetLeft, py = node.offsetTop;
    var pw = node.offsetWidth, ph = node.offsetHeight;
    node.def_x = node.pos_x = px + Math.round(pw / 2);
    node.def_y = node.pos_y = py + Math.round(ph / 2);
    if (!wf.drag_objh[node.unique_id]) node.setText(px, py);
    wk.setArrowAdjustPos([node], 1);
    if (node.selected) {
        wk.clearFocusRects(node.unique_id);
        node.showFocusRects();
    }
    if (node.highlighted) {
        var lv = node.highlighted;
        wk.clearHighlightRects(node.unique_id);
        node.showHighlightRects(lv);
    }
    if (node.pointed) node.showPointIcon();
    if (node.groupboxes) {
        for (var leng = node.groupboxes.length, i = 0; i < leng; i++) node.groupboxes[i].resetPos();
    }
    if (node.selected || (node.highlighted && node.highlighted <= 2)) wk.scrollToTarget(node);
}

//=============================================================================
// m[hIς݃IuWFNg\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hɑIς݂J[\\܂B
//=============================================================================
IMWWorkEvent.prototype.showFocusRectsNode = function() {
    if (this.selected || !this.$properties) return;
    var wf = this.events.wf, wk = this.events.wk;
    var x1 = this.offsetLeft, y1 = this.offsetTop;
    var x2 = x1 + this.offsetWidth - 1, y2 = y1 + this.offsetHeight - 1;
    var rect1 = wk.addFocusRect(x1, y1, "focus_rect_node");
    rect1.owner_obj = this;
    if (this.$properties["size"] != ud) this.events.setFocusRectMove(this.events, rect1);
    var rect2 = wk.addFocusRect(x2, y1, "focus_rect_node");
    rect2.owner_obj = this;
    if (this.$properties["size"] != ud) this.events.setFocusRectMove(this.events, rect2);
    var rect3 = wk.addFocusRect(x2, y2, "focus_rect_node");
    rect3.owner_obj = this;
    if (this.$properties["size"] != ud) this.events.setFocusRectMove(this.events, rect3);
    var rect4 = wk.addFocusRect(x1, y2, "focus_rect_node");
    rect4.owner_obj = this;
    if (this.$properties["size"] != ud) this.events.setFocusRectMove(this.events, rect4);
    x2++; // _vẐ -1 ɖ߂
    y2++;
    rect1.offset_x = rect4.offset_x = x1;
    rect2.offset_x = rect3.offset_x = x2;
    rect1.offset_y = rect2.offset_y = y1;
    rect3.offset_y = rect4.offset_y = y2;
    rect2.target_x = rect4.target_x = x1;
    rect1.target_x = rect3.target_x = x2;
    rect3.target_y = rect4.target_y = y1;
    rect1.target_y = rect2.target_y = y2;
    rect1.diagonal_rect = rect3;
    rect2.diagonal_rect = rect4;
    rect3.diagonal_rect = rect1;
    rect4.diagonal_rect = rect2;
    this.selected = 1;
    wk.selected_cnt++;
    wf.pr.addObject(this);
    if (wf.select_object_callback) wf.select_object_callback(this.unique_id, this, 1);
}

//=============================================================================
// m[hnCCgIuWFNg\֐
//  y  zlv: Fx (1: C, 2: Tu)
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hɃnCCgJ[\\܂B
//=============================================================================
IMWWorkEvent.prototype.showHighlightRectsNode = function(lv) {
    if (this.highlighted || !this.$properties) return;
    var wf = this.events.wf, wk = this.events.wk;
    var x = this.offsetLeft, y = this.offsetTop;
    var w = this.offsetWidth, h = this.offsetHeight;
    var rect = wk.addHighlightRect(x, y, w, h, "highlight_rect_node_" + lv);
    rect.owner_obj = this;
    this.highlighted = lv;
}

//=============================================================================
// m[hIς݃IuWFNg Cxgݒ֐
//  y  zevents: IMWWorkEvent NX̃CX^X
//            rect: Iς݃IuWFNgJ[\IuWFNg
//                  CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTCYύX\ȃm[h̑Iς݂J[\̃Cxg
//            ݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setFocusRectMove = function(events, rect) {
    rect.style.cursor = "move";
    rect.events = events;
    rect.onmousedown = events.onMouseDownMovableNodeRect;
}

//=============================================================================
// m[hIς݃IuWFNg onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTCYύX\ȃm[h̑Iς݂J[\
//            onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownMovableNodeRect = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (isMouseL(e)) {
        if (!wf.cantmove_flag) {
            var rect = this.diagonal_rect, bkg = wk.bkg;
            wk.sel.owner_obj = rect.owner_obj;
            wf.dragSelection(wk.sel);
            var x = rect.offset_x - bkg.scrollLeft + bkg.offsetLeft;
            var y = rect.offset_y - bkg.scrollTop + bkg.offsetTop;
            var oe = {"pageX":x, "pageY":y};
            wf.onDragInit(oe);
            wf.onDragMove(e);
            wk.clearFocusRects();
            wk.clearHighlightRects();
            wk.showProperty();
        }
        wk.focus_cancel = 1;
    } else if (isMouseR(e)) {
        wk.focus_cancel = 1;
    }
    return cancelEvent(e);
}

//=============================================================================
// m[hgp\ڃL[`FbN֐
//  y  zf: [htO
//  y ԋp zgp\tOi[ꂽnbV
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hŎgp\ȍڃL[ǂ`FbN܂B
//            ̊֐͏Ώێ҂ɑ΂ėLłB̑̍ڂɑ΂Ă
//             true ԋp܂B
//=============================================================================
IMWWorkEvent.prototype.acceptPropertyNode = function(f) {
    var wf = this.events.wf, wk = this.events.wk, keyh = {}, prop = this.prop;
    for (var leng = prop.properties.length, i = 0; i < leng; i++) {
        var key = prop.properties[i];
        if (f || !wf.readonly_flag) keyh[key] = 1;
        else if (wf.readonly_flag > 0 && IMW_READONLY_NODE_KEY[key]) keyh[key] = 1;
        else if (wf.readonly_flag < 0 && IMW_MOVEONLY_NODE_KEY[key]) keyh[key] = 1;
    }
    f = 0;
    for (var key in IMW_BEFORE_NODE_KEY) if (keyh[key]) f++;
    if (f < 2) return keyh;
    for (var key in IMW_BEFORE_NODE_KEY) keyh[key] = 0;
    var arrows = wk.getArrows(this.unique_id);
    for (var key in IMW_BEFORE_NODE_KEY) {
        var typeh = IMW_BEFORE_NODE_KEY[key];
        if (typeh == 1) continue;
        for (var leng = arrows.length, i = 0; i < leng; i++) {
            var arrow = arrows[i];
            if (arrow.target_obj != this) continue;
            var off = arrow.offset_obj;
            if (!off || !off.prop || !typeh[off.prop.type]) continue;
            keyh[key] = 1;
            f = 0;
            break;
        }
    }
    if (f) for (var key in IMW_BEFORE_NODE_KEY) if (IMW_BEFORE_NODE_KEY[key] == 1) keyh[key] = 1;
    return keyh;
}

//=============================================================================
//  onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownArrow = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (isMouseL(e)) {
        var sel = this.selected || 0;
        if (!this.selected) {
            if (!isCtrlKey(e)) wk.clearFocusRects();
            wk.showProperty();
            this.showFocusRects();
        }
        if (this.selected) {
            this.drag_mode = sel + 1;
            this.first_x = _getMouseX(e);
            this.first_y = _getMouseY(e);
        } else {
            this.drag_mode = ud;
        }
        wk.focus_cancel = 1;
    } else if (isMouseR(e)) {
        if (!this.selected) {
            wk.clearFocusRects();
            wk.showProperty();
            this.showFocusRects();
        }
        wk.focus_cancel = 1;
    }
    return cancelEvent(e);
}

//=============================================================================
//  onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseup Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseUpArrow = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (this.drag_mode && this.selected) {
        if (isCtrlKey(e)) {
            if (this.drag_mode > 1) wk.clearFocusRects(this.unique_id);
        } else if (wk.selected_cnt <= 1) {
            if (isCtrlKey(e)) wk.clearFocusRects();
        } else {
            wk.clearFocusRects();
            this.showFocusRects();
        }
        wk.showProperty();
        if (this.selected) wk.scrollToTarget(this);
    }
    this.drag_mode = ud;
    return cancelEvent(e);
}

//=============================================================================
//  onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseover Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOverArrow = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wk.pointerObject(this);
    return cancelEvent(e);
}

//=============================================================================
//  onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseout Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOutArrow = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wk.releaseObject(this);
    if (this.drag_mode) {
        this.drag_mode = ud;
        wk.showProperty();
    }
    return cancelEvent(e);
}

//=============================================================================
// hbO֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z ondraginit Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragInitArrow = function(e) {
}

//=============================================================================
// hbOړ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z ondragmove Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragMoveArrow = function(e) {
    var wk = this.events.wk, bkg = wk.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    switch (this.drag_vector_type) {
        case IMW_VECTOR_TYPE_OFFSET:
            this.offset_x = x;
            this.offset_y = y;
            break;
        case IMW_VECTOR_TYPE_NORMAL:
        case IMW_VECTOR_TYPE_TARGET:
            this.target_x = x;
            this.target_y = y;
            break;
    }
    if (!this.offset_obj || !this.target_obj) {
        this.calcPos();
        this.resize();
    }
}

//=============================================================================
// hbOI֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z ondragfinish Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragFinishArrow = function(e) {
    var wf = this.events.wf, wk = this.events.wk, bkg = wk.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    var tgt = wk.getPointObject(x, y), off = arrow = ud;
    if (tgt && tgt.prop && tgt.prop.type && !IMW_CONNECT_OFFSET_COUNT[tgt.prop.type]
        && !IMW_CONNECT_TARGET_COUNT[tgt.prop.type]) tgt = ud;
    switch (this.drag_vector_type) {
        case IMW_VECTOR_TYPE_NORMAL:
            off = this.offset_obj;
            // ڑ悪Ȃꍇ
            if (!tgt) {
                wk.releaseObject(off);
                wk.releaseUniqueId(this.unique_id);
                wk.obj.removeChild(this);
                return;
            }
            // gɐڑꍇ
            if (tgt == off) {
                wk.clearFocusRects();
                wk.clearHighlightRects();
                wk.releaseUniqueId(this.unique_id);
                wk.obj.removeChild(this);
                off.showFocusRects();
                wk.showProperty();
                return;
            }
            // łɐڑĂꍇ
            var arrows = wk.getArrows(tgt.unique_id);
            for (var leng = arrows.length, i = 0; i < leng; i++) {
                arrow = arrows[i]
                var noff = arrow.offset_obj, ntgt = arrow.target_obj;
                if ((noff == off && ntgt == tgt) || (noff == tgt && ntgt == off)) {
                    wk.releaseObject(off);
                    wk.pointerObject(tgt);
                    wk.clearFocusRects();
                    wk.clearHighlightRects();
                    wk.releaseUniqueId(this.unique_id);
                    wk.obj.removeChild(this);
                    arrow.showFocusRects();
                    wk.showProperty();
                    return;
                }
            }
            // IuWFNgRs[
            arrow = this.createClone();
            wk.releaseObject(off);
            break;
        case IMW_VECTOR_TYPE_OFFSET:
            // ڑ悪ȂꍇA܂͎gɐڑꍇ
            if (!tgt || tgt == this.target_obj) {
                var arrow = wk.getObject(IMW_OBJECT_TYPE_ARROW, this.unique_id);
                wk.pointerObject(tgt);
                wk.clearFocusRects();
                wk.clearHighlightRects();
                wk.releaseUniqueId(this.unique_id);
                wk.obj.removeChild(this);
                arrow.showFocusRects();
                wk.showProperty();
                return;
            }
            // łɐڑĂꍇ
            var arrows = wk.getArrows(tgt.unique_id), ttgt = this.target_obj;
            for (var leng = arrows.length, i = 0; i < leng; i++) {
                arrow = arrows[i]
                var noff = arrow.offset_obj, ntgt = arrow.target_obj;
                if ((noff == tgt && ntgt == ttgt) || (noff == ttgt && ntgt == tgt)) {
                    wk.pointerObject(tgt);
                    wk.clearFocusRects();
                    wk.clearHighlightRects();
                    wk.releaseUniqueId(this.unique_id);
                    wk.obj.removeChild(this);
                    arrow.showFocusRects();
                    wk.showProperty();
                    return;
                }
            }
            // IuWFNgړ
            off = tgt;
            tgt = this.target_obj;
            arrow = wk.getObject(IMW_OBJECT_TYPE_ARROW, this.unique_id);
            break;
        case IMW_VECTOR_TYPE_TARGET:
            // ڑ悪ȂꍇA܂͎gɐڑꍇ
            if (!tgt || tgt == this.offset_obj) {
                var arrow = wk.getObject(IMW_OBJECT_TYPE_ARROW, this.unique_id);
                wk.pointerObject(tgt);
                wk.clearFocusRects();
                wk.clearHighlightRects();
                wk.releaseUniqueId(this.unique_id);
                wk.obj.removeChild(this);
                arrow.showFocusRects();
                wk.showProperty();
                return;
            }
            // łɐڑĂꍇ
            var arrows = wk.getArrows(tgt.unique_id), toff = this.offset_obj;
            for (var leng = arrows.length, i = 0; i < leng; i++) {
                arrow = arrows[i];
                var noff = arrow.offset_obj, ntgt = arrow.target_obj;
                if (noff == toff && ntgt == tgt || noff == tgt && ntgt == toff) {
                    wk.pointerObject(tgt);
                    wk.clearFocusRects();
                    wk.clearHighlightRects();
                    wk.releaseUniqueId(this.unique_id);
                    wk.obj.removeChild(this);
                    arrow.showFocusRects();
                    wk.showProperty();
                    return;
                }
            }
            // IuWFNgړ
            off = this.offset_obj;
            arrow = wk.getObject(IMW_OBJECT_TYPE_ARROW, this.unique_id);
            break;
    }
    // ŏI
    var type = this.drag_vector_type;
    switch (type) {
        case IMW_VECTOR_TYPE_NORMAL:
            arrow.offset_obj = off;
            arrow.target_obj = tgt;
            wk.releaseUniqueId(this.unique_id);
            wk.obj.removeChild(this);
            wk.obj.appendChild(arrow);
            wk.setArrowAdjustPos([off, tgt]);
            wk.pointerObject(tgt);
            arrow.showFocusRects();
            wk.memorizeWork(IMW_WORK_TYPE_CREATE, [arrow]);
            wk.showProperty();
            break;
        case IMW_VECTOR_TYPE_OFFSET:
            var old = arrow.offset_obj;
            arrow.offset_obj = off;
            wk.releaseUniqueId(this.unique_id);
            wk.obj.removeChild(this);
            wk.setArrowAdjustPos([old, off]);
            wk.pointerObject(off);
            wk.clearFocusRects();
            wk.clearHighlightRects();
            arrow.showFocusRects();
            wk.memorizeWork(IMW_WORK_TYPE_ARROW, [arrow], {"type":type, "old":old, "obj":off});
            wk.showProperty();
            break;
        case IMW_VECTOR_TYPE_TARGET:
            var old = arrow.target_obj;
            arrow.target_obj = tgt;
            wk.releaseUniqueId(this.unique_id);
            wk.obj.removeChild(this);
            wk.setArrowAdjustPos([old, tgt]);
            wk.pointerObject(tgt);
            wk.clearFocusRects();
            wk.clearHighlightRects();
            arrow.showFocusRects();
            wk.memorizeWork(IMW_WORK_TYPE_ARROW, [arrow], {"type":type, "old":old, "obj":tgt});
            wk.showProperty();
            break;
    }
}

//=============================================================================
//  onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownArrowLine = function(e) {
    return this.parent_obj.onmousedownArrow(e);
}

//=============================================================================
//  onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseup Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseUpArrowLine = function(e) {
    return this.parent_obj.onmouseupArrow(e);
}

//=============================================================================
//  onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseover Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOverArrowLine = function(e) {
    return this.parent_obj.onmouseoverArrow(e);
}

//=============================================================================
//  onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z onmouseout Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOutArrowLine = function(e) {
    return this.parent_obj.onmouseoutArrow(e);
}

//=============================================================================
// Iς݃IuWFNg\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zɑIς݂J[\\ACxgݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.showFocusRectsArrow = function() {
    if (this.selected) return;
    var wf = this.events.wf, wk = this.events.wk;
    var x1 = this.offset_x, y1 = this.offset_y;
    var x2 = this.target_x, y2 = this.target_y;
    var rect1 = wk.addFocusRect(x1 + this.offset_dx, y1 + this.offset_dy, "focus_rect_arrow");
    rect1.vector_type = IMW_VECTOR_TYPE_OFFSET;
    var rect2 = wk.addFocusRect(x2 + this.target_dx, y2 + this.target_dy, "focus_rect_arrow");
    rect2.vector_type = IMW_VECTOR_TYPE_TARGET;
    rect1.owner_obj = rect2.owner_obj = this;
    rect1.offset_obj = rect2.offset_obj = this.offset_obj;
    rect1.target_obj = rect2.target_obj = this.target_obj;
    rect1.offset_x = rect2.offset_x = x1;
    rect1.offset_y = rect2.offset_y = y1;
    rect1.target_x = rect2.target_x = x2;
    rect1.target_y = rect2.target_y = y2;
    this.selected = 1;
    wk.selected_cnt++;
    wf.pr.addObject(this);
    if (wf.select_object_callback) wf.select_object_callback(this.unique_id, this, 1);
}

//=============================================================================
// X^Cݒ֐
//  y  zȂ
//  y ԋp zX^CύXtO
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̕\^Cvݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setTypeArrow = function() {
    var old = this.style_type, off = this.offset_obj, tgt = this.target_obj;
    this.style_type = 0; // 0 or : , : j
    if (off && off.prop && off.prop.type && tgt && tgt.prop && tgt.prop.type) {
        var otype = off.prop.type, ttype = tgt.prop.type;
        if (IMW_CONNECT_DASHED_KEY[otype] && IMW_CONNECT_DASHED_KEY[otype][ttype]) {
            this.style_type = 1;
        } else if (IMW_CONNECT_ORANGE_KEY[otype] && IMW_CONNECT_ORANGE_KEY[otype][ttype]) {
            this.style_type = 2;
        }
    }
    return old == this.style_type;
}

//=============================================================================
// NXݒ֐
//  y  zcls: ǉNX
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zɃNXǉĕ\؂ւ܂B
//=============================================================================
IMWWorkEvent.prototype.setClassArrow = function(cls) {
    if (this.setType() && this.set_class == cls) return this;
    this.set_class = cls;
    var lcls = ldef = this.div1.def_class, tcls = tdef = this.divA.def_class;
    lcls += " " + ldef + ((this.style_type & 1) ? "_dashed" : "_normal") + "_" + cls;
    tcls += " " + tdef + ((this.style_type & 1) ? "_dashed" : "_normal") + "_" + cls;
    lcls += " " + ldef + "_style" + this.style_type + "_" + cls;
    tcls += " " + tdef + "_style" + this.style_type + "_" + cls;
    this.className = this.def_class + " " + this.def_class + "_" + cls;
    this.div1.className = lcls;
    this.div2.className = lcls;
    this.div3.className = lcls;
    this.divA.className = tcls;
    this.divB.className = tcls;
    this.divC.className = tcls;
    this.divD.className = tcls;
    this.divE.className = tcls;
    return this;
}

//=============================================================================
// NX֐
//  y  zȂ
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̕\ʏɐ؂ւ܂B
//=============================================================================
IMWWorkEvent.prototype.clearClassArrow = function() {
    if (this.setType() && !this.set_class.length) return this;
    this.set_class = "";
    var lcls = ldef = this.div1.def_class, tcls = tdef = this.divA.def_class;
    lcls += " " + ldef + ((this.style_type & 1) ? "_dashed" : "_normal");
    tcls += " " + tdef + ((this.style_type & 1) ? "_dashed" : "_normal");
    lcls += " " + ldef + "_style" + this.style_type;
    tcls += " " + tdef + "_style" + this.style_type;
    this.className = this.def_class;
    this.div1.className = lcls;
    this.div2.className = lcls;
    this.div3.className = lcls;
    this.divA.className = tcls;
    this.divB.className = tcls;
    this.divC.className = tcls;
    this.divD.className = tcls;
    this.divE.className = tcls;
    return this;
}

//=============================================================================
// of[V`FbN֐
//  y  zȂ
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̃of[V`FbNs܂B
//=============================================================================
IMWWorkEvent.prototype.doValidateArrow = function() {
    // G[tO (error_flag) ̒l
    //   0:G[Ȃ, 1:ڑs
    //   2:ڑm[h͖ݒs, 3:ڑm[h̖󐔂
    //   4:ڑm[h͖ݒs, 5:ڑm[h̖󐔂
    this.error_type = 0;
    var off = this.offset_obj, tgt = this.target_obj;
    if (!off || !tgt || !off.prop || !tgt.prop) return this.clearClass();
    var wf = this.events.wf, wk = this.events.wk;
    var nn = IMW_CONNECT_NEXT_NODES[off.prop.type];
    var f = nn ? (nn[tgt.prop.type] || 0) : 0;
    if (!wf.readonly_flag) switch (f) {
        case 0: // ڑs
            this.error_type = 1;
            return this.setClass("error");
        case 2: // {ڑ (Ȃ)
        case 4: // {ڑ (Ȃ)
            break;
        case 1: // 1 {̂ݐڑ
            var max = IMW_CONNECT_OFFSET_COUNT[off.prop.type] || 0;
            if (max < 2) {
                var arrows = wk.getArrows(off.unique_id), cnt = 0;
                for (var leng = arrows.length, i = 0; i < leng; i++) {
                    var arrow = arrows[i], aoff = arrow.offset_obj, atgt = arrow.target_obj;
                    if (!aoff || !atgt || !aoff.prop || !atgt.prop) continue;
                    var nn2 = IMW_CONNECT_NEXT_NODES[aoff.prop.type];
                    var f2 = nn2 ? (nn2[atgt.prop.type] || 0) : 0;
                    if (!arrow.deleted && aoff == off && f2 == 1) cnt++;
                }
                if (cnt > max) {
                    this.error_type = 2 + max;
                    return this.setClass("error");
                }
            }
            // break ̃Xebv֐i
        default: // {ڑ ()
            var max = IMW_CONNECT_TARGET_COUNT[tgt.prop.type] || 0;
            if (max < 2) {
                var arrows = wk.getArrows(tgt.unique_id), cnt = 0;
                for (var leng = arrows.length, i = 0; i < leng; i++) {
                    var arrow = arrows[i], aoff = arrow.offset_obj, atgt = arrow.target_obj;
                    if (!aoff || !atgt || !aoff.prop || !atgt.prop) continue;
                    var nn2 = IMW_CONNECT_NEXT_NODES[aoff.prop.type];
                    var f2 = nn2 ? (nn2[atgt.prop.type] || 0) : 0;
                    if (!arrow.deleted && atgt == tgt && (f2 & 1)) cnt++;
                }
                if (cnt > max) {
                    this.error_type = 4 + max;
                    return this.setClass("error");
                }
            }
    }
    return this.clearClass();
}

//=============================================================================
// ڑL[l擾֐
//  y  zȂ
//  y ԋp zL[l
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̐ڑL[l擾܂B
//=============================================================================
IMWWorkEvent.prototype.getOffsetKeyArrow = function() {
    return (this.offset_x << 17) | (this.offset_y << 2) | this.offset_vector;
}

//=============================================================================
// ڑL[l擾֐
//  y  zȂ
//  y ԋp zL[l
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̐ڑL[l擾܂B
//=============================================================================
IMWWorkEvent.prototype.getTargetKeyArrow = function() {
    return (this.target_x << 17) | (this.target_y << 2) | this.target_vector;
}

//=============================================================================
// ʒu擾֐
//  y  zoff: ڑIuWFNg (ȊO) ̃CX^X
//            tgt: ڑIuWFNg (ȊO) ̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̒O\ʒuvZĐݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.calcPosArrow = function(off, tgt) {
    var ox = this.offset_x, oy = this.offset_y, odx = 0, ody = 0, ov = 0;
    var tx = this.target_x, ty = this.target_y, tdx = 0, tdy = 0, tv = 0;
    while (true) {
        if (ox < tx) {
            // E㉺E
            if (off) odx = Math.round(off.offsetWidth / 2 - 0.1) + 2;
            if (tgt) tdx = -Math.round(tgt.offsetWidth / 2) - 3;
            if ((tx + tdx) - (ox + odx) <= IMW_ADJUST_ARROW_XMAX_R
                || Math.abs((ty + tdy) - (oy + ody)) <= IMW_ADJUST_ARROW_YMAX_R) {
                ov = 2; // E
                tv = 4; // 
                if ((tx + tdx) - (ox + odx) >= IMW_ADJUST_ARROW_OFFSET) break;
                if (oy < ty) {
                    // E
                    tdx = 0;
                    if (tgt) tdy = -Math.round(tgt.offsetHeight / 2) - 3;
                    tv = 1; // 
                    if ((tx + tdx) - (ox + odx) >= IMW_ADJUST_ARROW_HALFOS
                        && (ty + tdy) - (oy + ody) >= IMW_ADJUST_ARROW_HALFOS) break;
                } else if (oy > ty) {
                    // E
                    tdx = 0;
                    if (tgt) tdy = Math.round(tgt.offsetHeight / 2 - 0.1) + 2;
                    tv = 3; // 
                    if ((tx + tdx) - (ox + odx) >= IMW_ADJUST_ARROW_HALFOS
                        && (ty + tdy) - (oy + ody) <= -IMW_ADJUST_ARROW_HALFOS) break;
                }
            }
        } else if (ox > tx) {
            // ㉺
            if (off) odx = -Math.round(off.offsetWidth / 2) - 3;
            if (tgt) tdx = Math.round(tgt.offsetWidth / 2 - 0.1) + 2;
            if ((tx + tdx) - (ox + odx) >= -IMW_ADJUST_ARROW_XMAX_L
                || Math.abs((ty + tdy) - (oy + ody)) <= IMW_ADJUST_ARROW_YMAX_L) {
                ov = 4; // 
                tv = 2; // E
                if ((tx + tdx) - (ox + odx) <= -IMW_ADJUST_ARROW_OFFSET) break;
                if (oy < ty) {
                    // 
                    tdx = 0;
                    if (tgt) tdy = -Math.round(tgt.offsetHeight / 2) - 3;
                    tv = 1; // 
                    if ((tx + tdx) - (ox + odx) <= -IMW_ADJUST_ARROW_HALFOS
                        && (ty + tdy) - (oy + ody) >= IMW_ADJUST_ARROW_HALFOS) break;
                } else if (oy > ty) {
                    // 
                    tdx = 0;
                    if (tgt) tdy = Math.round(tgt.offsetHeight / 2 - 0.1) + 2;
                    tv = 3; // 
                    if ((tx + tdx) - (ox + odx) <= -IMW_ADJUST_ARROW_HALFOS
                        && (ty + tdy) - (oy + ody) <= -IMW_ADJUST_ARROW_HALFOS) break;
                }
            }
        }
        // LZ
        odx = tdx = 0;
        if (oy < ty) {
            // E
            if (off) ody = Math.round(off.offsetHeight / 2 - 0.1) + 2;
            if (tgt) tdy = -Math.round(tgt.offsetHeight / 2) - 3;
            ov = 3; // 
            tv = 1; // 
            if ((ty + tdy) - (oy + ody) >= IMW_ADJUST_ARROW_OFFSET) break;
            if (ox < tx) {
                // E
                tdy = 0;
                if (tgt) tdx = -Math.round(tgt.offsetWidth / 2) - 3;
                tv = 4; // 
                if ((ty + tdy) - (oy + ody) >= IMW_ADJUST_ARROW_HALFOS
                    && (tx + tdx) - (ox + odx) >= IMW_ADJUST_ARROW_HALFOS) break;
            } else if (ox > tx) {
                // 
                tdy = 0;
                if (tgt) tdx = Math.round(tgt.offsetWidth / 2 - 0.1) + 2;
                tv = 2; // E
                if ((ty + tdy) - (oy + ody) >= IMW_ADJUST_ARROW_HALFOS
                    && (tx + tdx) - (ox + odx) <= -IMW_ADJUST_ARROW_HALFOS) break;
            }
        } else if (oy > ty) {
            // とE
            if (off) ody = -Math.round(off.offsetHeight / 2) - 3;
            if (tgt) tdy = Math.round(tgt.offsetHeight / 2 - 0.1) + 2;
            ov = 1; // 
            tv = 3; // 
            if ((ty + tdy) - (oy + ody) <= -IMW_ADJUST_ARROW_OFFSET) break;
            if (ox < tx) {
                // とE
                tdy = 0;
                if (tgt) tdx = -Math.round(tgt.offsetWidth / 2) - 3;
                tv = 4; // 
                if ((ty + tdy) - (oy + ody) <= -IMW_ADJUST_ARROW_HALFOS
                    && (tx + tdx) - (ox + odx) >= IMW_ADJUST_ARROW_HALFOS) break;
            } else if (ox > tx) {
                // と
                tdy = 0;
                if (tgt) tdx = Math.round(tgt.offsetWidth / 2 - 0.1) + 2;
                tv = 2; // E
                if ((ty + tdy) - (oy + ody) <= -IMW_ADJUST_ARROW_HALFOS
                    && (tx + tdx) - (ox + odx) <= -IMW_ADJUST_ARROW_HALFOS) break;
            }
        }
        // cLZ
        odx = ody = tdx = tdy = 0;
        var dx = Math.abs(tx - ox), dy = Math.abs(ty - oy);
        if (dx < dy) {
            // E㉺
            if (off) odx = Math.round(off.offsetWidth / 2 - 0.1) + 2;
            if (tgt) tdx = Math.round(tgt.offsetWidth / 2 - 0.1) + 2;
            ov = tv = 2; // E
        } else {
            // とE
            if (off) ody = -Math.round(off.offsetHeight / 2) - 3;
            if (tgt) tdy = -Math.round(tgt.offsetHeight / 2) - 3;
            ov = tv = 1; // 
        }
        // [vI
        break;
    }
    this.offset_dx = odx;
    this.offset_dy = ody;
    this.offset_vector = ov;
    this.target_dx = tdx;
    this.target_dy = tdy;
    this.target_vector = tv;
    var x1 = ox + odx, y1 = oy + ody;
    var x2 = tx + tdx, y2 = ty + tdy;
    this.center_x = x1 + Math.round((x2 - x1) / 2);
    this.center_y = y1 + Math.round((y2 - y1) / 2);
}

//=============================================================================
// 󃊃TCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z̕\ʒu[g`[NGAɓKp܂B
//=============================================================================
IMWWorkEvent.prototype.resizeArrow = function() {
    var ox = this.offset_x, oy = this.offset_y;
    var tx = this.target_x, ty = this.target_y;
    var cx = this.center_x, cy = this.center_y;
    var x1 = ox + this.offset_dx, y1 = oy + this.offset_dy;
    var x2 = tx + this.target_dx, y2 = ty + this.target_dy;
    var bx = Math.min(x1, x2) - 3, by = Math.min(y1, y2) - 3;
    this.style.left = bx + "px";
    this.style.top = by + "px";
    if (this.offset_vector & 1) {
        // 㑤E
        var lc, bx1, by1, bh1, bx2, by2, bw2, bx3, by3, bh3;
        if (this.offset_vector == this.target_vector) {
            lc = 3;
            cy = Math.min(y1, y2);
            if (this.offset_vector & 2) cy += IMW_ADJUST_ARROW_RETURN + 8;
            else cy -= IMW_ADJUST_ARROW_RETURN + 7;
        } else if (x1 == x2) {
            lc = 1;
        } else if (this.target_vector == 2 || this.target_vector == 4) {
            lc = 2;
        } else {
            lc = 3;
        }
        switch (lc) {
            case 1: // 1 {
                bx1 = bx2 = bx3 = x1 - bx;
                by1 = by2 = by3 = Math.min(y1, y2) - by;
                bh1 = Math.abs(y2 - y1) + 1;
                bw2 = bh3 = 1;
                break;
            case 2: // 2 {
                bx1 = bx3 = x1 - bx;
                bx2 = Math.min(x1, x2) - bx;
                by1 = by3 = Math.min(y1, y2) - by;
                by2 = y2 - by;
                bh1 = Math.abs(y2 - y1) + 1;
                bw2 = Math.abs(x2 - x1) + 1;
                bh3 = 1;
                break;
            case 3: // 3 {
                bx1 = x1 - bx;
                by1 = Math.min(y1, cy) - by;
                bh1 = Math.abs(cy - y1) + 1;
                bx2 = Math.min(x1, x2) - bx;
                by2 = cy - by;
                bw2 = Math.abs(x2 - x1) + 1;
                bx3 = x2 - bx;
                by3 = Math.min(cy, y2) - by;
                bh3 = Math.abs(y2 - cy) + 1;
                break;
        }
        this.div1.style.left = bx1 + "px";
        this.div1.style.top = by1 + "px";
        this.div1.style.width = "";
        this.div1.style.height = bh1 + "px";
        this.div1.style.borderLeftWidth = (this.style_type & 1) ? "" : "0px";
        this.div1.style.borderTopWidth = "0px";
        this.div2.style.left = bx2 + "px";
        this.div2.style.top = by2 + "px";
        this.div2.style.width = bw2 + "px";
        this.div2.style.height = "";
        this.div2.style.visibility = lc < 2 ? "hidden" : "";
        this.div2.style.borderLeftWidth = "0px";
        this.div2.style.borderTopWidth = (this.style_type & 1) ? "" : "0px";
        this.div3.style.left = bx3 + "px";
        this.div3.style.top = by3 + "px";
        this.div3.style.width = "";
        this.div3.style.height = bh3 + "px";
        this.div3.style.visibility = lc < 3 ? "hidden" : "";
        this.div3.style.borderLeftWidth = (this.style_type & 1) ? "" : "0px";
        this.div3.style.borderTopWidth = "0px";
        this.divX.style.left = (bx1 - 10) + "px";
        this.divX.style.top = by1 + "px";
        this.divX.style.width = "";
        this.divX.style.height = bh1 + "px";
        this.divY.style.left = bx2 + "px";
        this.divY.style.top = (by2 - 10) + "px";
        this.divY.style.width = bw2 + "px";
        this.divY.style.height = "";
        this.divY.style.visibility = lc < 2 ? "hidden" : "";
        this.divZ.style.left = (bx3 - 10) + "px";
        this.divZ.style.top = by3 + "px";
        this.divZ.style.width = "";
        this.divZ.style.height = bh3 + "px";
        this.divZ.style.visibility = lc < 3 ? "hidden" : "";
    } else {
        // EE
        var lc, bx1, by1, bw1, bx2, by2, bh2, bx3, by3, bw3;
        if (this.offset_vector == this.target_vector) {
            lc = 3;
            cx = Math.max(x1, x2);
            if (this.offset_vector & 2) cx += IMW_ADJUST_ARROW_RETURN + 8;
            else cx -= IMW_ADJUST_ARROW_RETURN + 7;
        } else if (y1 == y2) {
            lc = 1;
        } else if (this.target_vector == 1 || this.target_vector == 3) {
            lc = 2;
        } else {
            lc = 3;
        }
        switch (lc) {
            case 1: // 1 {
                bx1 = bx2 = bx3 = Math.min(x1, x2) - bx;
                by1 = by2 = by3 = y1 - by;
                bw1 = Math.abs(x2 - x1) + 1;
                bh2 = bw3 = 1;
                break;
            case 2: // 2 {
                bx1 = bx3 = Math.min(x1, x2) - bx;
                bx2 = x2 - bx;
                by1 = by3 = y1 - by;
                by2 = Math.min(y1, y2) - by;
                bw1 = Math.abs(x2 - x1) + 1;
                bh2 = Math.abs(y2 - y1) + 1;
                bw3 = 1;
                break;
            case 3: // 3 {
                bx1 = Math.min(x1, cx) - bx;
                by1 = y1 - by;
                bw1 = Math.abs(cx - x1) + 1;
                bx2 = cx - bx;
                by2 = Math.min(y1, y2) - by;
                bh2 = Math.abs(y2 - y1) + 1;
                bx3 = Math.min(cx, x2) - bx;
                by3 = y2 - by;
                bw3 = Math.abs(x2 - cx) + 1;
                break;
        }
        this.div1.style.left = bx1 + "px";
        this.div1.style.top = by1 + "px";
        this.div1.style.width = bw1 + "px";
        this.div1.style.height = "";
        this.div1.style.borderLeftWidth = "0px";
        this.div1.style.borderTopWidth = (this.style_type & 1) ? "" : "0px";
        this.div2.style.left = bx2 + "px";
        this.div2.style.top = by2 + "px";
        this.div2.style.width = "";
        this.div2.style.height = bh2 + "px";
        this.div2.style.visibility = lc < 2 ? "hidden" : "";
        this.div2.style.borderLeftWidth = (this.style_type & 1) ? "" : "0px";
        this.div2.style.borderTopWidth = "0px";
        this.div3.style.left = bx3 + "px";
        this.div3.style.top = by3 + "px";
        this.div3.style.height = "";
        this.div3.style.width = bw3 + "px";
        this.div3.style.visibility = lc < 3 ? "hidden" : "";
        this.div3.style.borderLeftWidth = "0px";
        this.div3.style.borderTopWidth = (this.style_type & 1) ? "" : "0px";
        this.divX.style.left = bx1 + "px";
        this.divX.style.top = (by1 - 10) + "px";
        this.divX.style.width = bw1 + "px";
        this.divX.style.height = "";
        this.divY.style.left = (bx2 - 10) + "px";
        this.divY.style.top = by2 + "px";
        this.divY.style.width = "";
        this.divY.style.height = bh2 + "px";
        this.divY.style.visibility = lc < 2 ? "hidden" : "";
        this.divZ.style.left = bx3 + "px";
        this.divZ.style.top = (by3 - 10) + "px";
        this.divZ.style.height = "";
        this.divZ.style.width = bw3 + "px";
        this.divZ.style.visibility = lc < 3 ? "hidden" : "";
    }
    if (this.target_vector & 1) {
        // 㑤E
        var sign = this.target_vector == 1 ? 1 : -1;
        var plus = this.target_vector == 1 ? 0 : -1;
        var divs = [this.divA, this.divB, this.divC, this.divD, this.divE];
        if (plus) divs = divs.reverse();
        var i = 0;
        divs[i].style.left = (x2 - bx - 5) + "px";
        divs[i].style.top = (y2 - by - 11 * sign + plus) + "px";
        divs[i].style.width = "11px";
        divs[i].style.height = "2px";
        i++;
        divs[i].style.left = (x2 - bx - 4) + "px";
        divs[i].style.top = (y2 - by - 9 * sign + plus) + "px";
        divs[i].style.width = "9px";
        divs[i].style.height = "2px";
        i++;
        divs[i].style.left = (x2 - bx - 3) + "px";
        divs[i].style.top = (y2 - by - 7 * sign + plus) + "px";
        divs[i].style.width = "7px";
        divs[i].style.height = "2px";
        i++;
        divs[i].style.left = (x2 - bx - 2) + "px";
        divs[i].style.top = (y2 - by - 5 * sign + plus) + "px";
        divs[i].style.width = "5px";
        divs[i].style.height = "2px";
        i++;
        divs[i].style.left = (x2 - bx - 1) + "px";
        divs[i].style.top = (y2 - by - 3 * sign + plus) + "px";
        divs[i].style.width = "3px";
        divs[i].style.height = "2px";
    } else {
        // EE
        var sign = this.target_vector == 4 ? 1 : -1;
        var plus = this.target_vector == 4 ? 0 : -1;
        var divs = [this.divA, this.divB, this.divC, this.divD, this.divE];
        if (plus) divs = divs.reverse();
        var i = 0;
        divs[i].style.left = (x2 - bx - 11 * sign + plus) + "px";
        divs[i].style.top = (y2 - by - 5) + "px";
        divs[i].style.width = "2px";
        divs[i].style.height = "11px";
        i++;
        divs[i].style.left = (x2 - bx - 9 * sign + plus) + "px";
        divs[i].style.top = (y2 - by - 4) + "px";
        divs[i].style.width = "2px";
        divs[i].style.height = "9px";
        i++;
        divs[i].style.left = (x2 - bx - 7 * sign + plus) + "px";
        divs[i].style.top = (y2 - by - 3) + "px";
        divs[i].style.width = "2px";
        divs[i].style.height = "7px";
        i++;
        divs[i].style.left = (x2 - bx - 5 * sign + plus) + "px";
        divs[i].style.top = (y2 - by - 2) + "px";
        divs[i].style.width = "2px";
        divs[i].style.height = "5px";
        i++;
        divs[i].style.left = (x2 - bx - 3 * sign + plus) + "px";
        divs[i].style.top = (y2 - by - 1) + "px";
        divs[i].style.width = "2px";
        divs[i].style.height = "3px";
    }
}

//=============================================================================
// Iς݃IuWFNg onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݂J[\ onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownFocusRect = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (isMouseL(e)) {
        if (!wf.readonly_flag) switch (this.vector_type) {
            case IMW_VECTOR_TYPE_OFFSET:
                wk.clearFocusRects();
                wk.clearHighlightRects();
                wk.showProperty();
                var arrow = wk.addArrow();
                wk.initMoveArrowOffset(arrow, this);
                wk.initArrowNext(arrow);
                wf.dragArrow(arrow);
                wf.onDragInit(e);
                wf.onDragMove(e);
                break;
            case IMW_VECTOR_TYPE_TARGET:
                wk.clearFocusRects();
                wk.clearHighlightRects();
                wk.showProperty();
                var arrow = wk.addArrow();
                wk.initMoveArrowTarget(arrow, this);
                wk.initArrowNext(arrow);
                wf.dragArrow(arrow);
                wf.onDragInit(e);
                wf.onDragMove(e);
                break;
        }
        wk.focus_cancel = 1;
    } else if (isMouseR(e)) {
        wk.focus_cancel = 1;
    }
    return cancelEvent(e);
}

//=============================================================================
// Iς݃IuWFNg onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݂J[\ onmouseover Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOverFocusRect = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wk.pointerObject(this);
    var type = this.owner_obj.obj_type;
    this.style.cursor = (wf.cantmove_flag || type == IMW_OBJECT_TYPE_NODE
        || (wf.readonly_flag && type == IMW_OBJECT_TYPE_ARROW)) ? "auto" : "";
    return cancelEvent(e);
}

//=============================================================================
// Iς݃IuWFNg onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIς݂J[\ onmouseout Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseOutFocusRect = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (wf.drag_objs.length) return cancelEvent(e, 1); // MSIE: hbOɃCxgoO
    wk.releaseObject(this);
    if (this.drag_mode) this.drag_mode = ud;
    return cancelEvent(e);
}

//=============================================================================
// m[hݒ֐
//  y  zlocale: ID
//            name: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[ĥ̖ݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setNameNode = function(locale, name) {
    this.$properties["node_name"][locale] = name;
    this.events.wk.resetNode(this);
}

//=============================================================================
// RgNXݒ֐
//  y  zcls: ǉNX
//  y ԋp zRgIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRgɃNXǉĕ\؂ւ܂B
//=============================================================================
IMWWorkEvent.prototype.setClassComment = function(cls) {
    if (this.set_class == cls) return this;
    this.set_class = cls;
    this.body_obj.className = this.body_obj.def_class + " work_title_comment_body_" + cls;
    this.text_obj.className = this.text_obj.def_class + " work_title_comment_text_" + cls;
    return this;
}

//=============================================================================
// Rgݒ֐
//  y  zstr: \镶
//            x: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//            f: TCYύXtO
//               (0: eLXgɍ킹, 1: 傫Ȃꍇ̂, 2: Œ)
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRg̃eLXgݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setTextComment = function(str, x, y, f) {
    var body = this.body_obj, text = this.text_obj;
    if (!isBlank(str)) {
        this.style.visibility = "hidden";
        var ow = 0, oh = 0;
        switch (f || 0) {
            case 1:
                ow = text.offsetWidth;
                oh = text.offsetHeight;
            case 0:
                this.style.left = "0px";
                this.style.top = "0px";
                this.style.width = "1024px";
                this.style.height = "1024px";
                text.style.width = "";
                text.style.height = "";
                text.style.overflow = "";
                break;
        }
        text.innerHTML = escapeHTML(str);
        this.style.visibility = "";
        switch (f || 0) {
            case 0:
                if (text.offsetWidth > 200) text.style.width = "200px";
                if (text.offsetHeight > 100) text.style.height = "100px";
                text.style.overflow = "hidden";
                break;
            case 1:
                if (text.offsetWidth < ow) text.style.width = ow + "px";
                if (text.offsetHeight < oh) text.style.height = oh + "px";
                text.style.overflow = "hidden";
                break;
        }
        this.setPos(x, y);
    } else if (this.obj_type == IMW_OBJECT_TYPE_COMMENT && !this.owner_obj) {
        text.innerHTML = "&nbsp;";
        this.style.visibility = "";
    } else {
        this.style.visibility = "hidden";
    }
}

//=============================================================================
// m[hʒuݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[ḧʒuݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setPosNode = function(x, y) {
    this.style.left = x + "px";
    this.style.top = y + "px";
    var wk = this.events.wk;
    var px = this.offsetLeft, py = this.offsetTop;
    var pw = this.offsetWidth, ph = this.offsetHeight;
    if (px + pw > wk.workarea_width) px = wk.workarea_width - pw;
    if (py + ph > wk.workarea_height) py = wk.workarea_height - ph;
    this.style.left = px + "px";
    this.style.top = py + "px";
    this.pos_x = px + Math.round(pw / 2);
    this.pos_y = py + Math.round(ph / 2);
    var $properties = this.$properties;
    if ($properties) {
        if ($properties["pos"] != ud) $properties["pos"] = px + "," + py;
        if ($properties["size"] != ud) $properties["size"] = pw + "," + ph;
    }
    this.title_obj.setPos(x, y);
}

//=============================================================================
// m[hݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[h̃eLXgݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setTextNode = function(x, y) {
    var wf = this.events.wf;
    if (wf.showid_flag) {
        var $properties = this.$properties;
        var str = $properties && $properties["node_id"] ? $properties["node_id"] || "" : "";
        this.title_obj.setClass("id");
        this.title_obj.setText(str, x, y);
    } else {
        var $properties = this.$properties;
        var str = $properties && $properties["node_name"]
            ? $properties["node_name"][IMW_CURRENT_LANG] || "" : this.prop.text[IMW_CURRENT_LANG];
        this.title_obj.setClass("name");
        this.title_obj.setText(str, x, y);
    }
}

//=============================================================================
// Rgʒuݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRg̈ʒuݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setPosComment = function(x, y) {
    var body = this.body_obj, text = this.text_obj;
    if (this.style.visibility.length) return;
    switch (this.owner_obj ? this.owner_obj.obj_type : IMW_OBJECT_TYPE_COMMENT) {
        case IMW_OBJECT_TYPE_COMMENT:
            this.style.left = x + "px";
            this.style.top = y + "px";
            break;
        default:
            var ow = this.owner_obj.offsetWidth, tw = text.offsetWidth;
            this.pos_x = x + Math.round(ow / 2) - Math.round((tw + 5) / 2 - 0.1);
            this.pos_y = y + this.owner_obj.offsetHeight + 3;
            this.style.left = this.pos_x + "px";
            this.style.top = this.pos_y + "px";
    }
    body.style.width = (text.offsetWidth + 3) + "px";
    body.style.height = (text.offsetHeight + 3) + "px";
    this.style.width = body.offsetWidth + "px";
    this.style.height = body.offsetHeight + "px";
    var wk = this.events.wk;
    var px = this.offsetLeft, py = this.offsetTop;
    var pw = this.offsetWidth, ph = this.offsetHeight;
    if (px + pw > wk.workarea_width) px = wk.workarea_width - pw;
    if (py + ph > wk.workarea_height) py = wk.workarea_height - ph;
    this.style.left = px + "px";
    this.style.top = py + "px";
    this.pos_x = px + Math.round(pw / 2);
    this.pos_y = py + Math.round(ph / 2);
    var $properties = this.$properties;
    if ($properties) {
        if ($properties["pos"] != ud) $properties["pos"] = px + "," + py;
        if ($properties["size"] != ud) $properties["size"] = pw + "," + ph;
    }
}

//=============================================================================
// XC[ʒuݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXC[̈ʒuݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setPosSwimlane = function(x, y) {
    this.style.left = x + "px";
    this.style.top = y + "px";
    var wk = this.events.wk;
    var px = this.offsetLeft, py = this.offsetTop;
    var pw = this.offsetWidth, ph = this.offsetHeight;
    if (px + pw > wk.workarea_width) px = wk.workarea_width - pw;
    if (py + ph > wk.workarea_height) py = wk.workarea_height - ph;
    this.style.left = px + "px";
    this.style.top = py + "px";
    this.pos_x = px + Math.round(pw / 2);
    this.pos_y = py + Math.round(ph / 2);
    var $properties = this.$properties;
    if ($properties) {
        if ($properties["pos"] != ud) $properties["pos"] = px + "," + py;
        if ($properties["size"] != ud) $properties["size"] = pw + "," + ph;
    }
}

//=============================================================================
// Rg TCYݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//            w: 
//            h: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRg̃TCYݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setSizeComment = function(x, y, w, h) {
    var prop = this.prop, body = this.body_obj, text = this.text_obj;
    if (prop) {
        if (prop.minWidth && w < prop.minWidth) w = prop.minWidth;
        if (prop.minHeight && h < prop.minHeight) h = prop.minHeight;
    }
    text.style.overflow = "hidden";
    text.style.width = (w >= 7 ? w - 7 : 0) + "px";
    text.style.height = (h >= 7 ? h - 7 : 0) + "px";
    body.style.width = (text.offsetWidth + 3) + "px";
    body.style.height = (text.offsetHeight + 3) + "px";
    this.style.left = x + "px";
    this.style.top = y + "px";
    this.style.width = body.offsetWidth + "px";
    this.style.height = body.offsetHeight + "px";
    var wk = this.events.wk;
    var px = this.offsetLeft, py = this.offsetTop;
    var pw = this.offsetWidth, ph = this.offsetHeight;
    if (px + pw > wk.workarea_width) px = wk.workarea_width - pw;
    if (py + ph > wk.workarea_height) py = wk.workarea_height - ph;
    this.style.left = px + "px";
    this.style.top = py + "px";
    this.pos_x = px + Math.round(pw / 2);
    this.pos_y = py + Math.round(ph / 2);
    var $properties = this.$properties;
    if ($properties) {
        if ($properties["pos"] != ud) $properties["pos"] = this.offsetLeft + "," + this.offsetTop;
        if ($properties["size"] != ud) $properties["size"] = this.offsetWidth + "," + this.offsetHeight;
    }
}

//=============================================================================
// XC[ TCYݒ֐
//  y  zx: [g`[NGAƂ X ʒu
//            y: [g`[NGAƂ Y ʒu
//            w: 
//            h: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXC[̃TCYݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setSizeSwimlane = function(x, y, w, h) {
    var prop = this.prop, body = this.body_obj, hdr = this.header_obj;
    if (prop) {
        if (prop.minWidth && w < prop.minWidth) w = prop.minWidth;
        if (prop.minHeight && h < prop.minHeight) h = prop.minHeight;
    }
    body.style.width = (w >= 4 ? w - 4 : 0) + "px";
    body.style.height = (h >= 4 ? h - 4 : 0) + "px";
    hdr.style.height = (h >= 6 ? h - 6 : 0) + "px";
    this.style.left = x + "px";
    this.style.top = y + "px";
    this.style.width = body.offsetWidth + "px";
    this.style.height = body.offsetHeight + "px";
    var wk = this.events.wk;
    var px = this.offsetLeft, py = this.offsetTop;
    var pw = this.offsetWidth, ph = this.offsetHeight;
    if (px + pw > wk.workarea_width) px = wk.workarea_width - pw;
    if (py + ph > wk.workarea_height) py = wk.workarea_height - ph;
    this.style.left = px + "px";
    this.style.top = py + "px";
    this.pos_x = px + Math.round(pw / 2);
    this.pos_y = py + Math.round(ph / 2);
    var $properties = this.$properties;
    if ($properties) {
        if ($properties["pos"] != ud) $properties["pos"] = this.offsetLeft + "," + this.offsetTop;
        if ($properties["size"] != ud) $properties["size"] = this.offsetWidth + "," + this.offsetHeight;
    }
}

//=============================================================================
// XC[ݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXC[̃eLXgݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setTextSwimlane = function() {
    var str = this.$properties && this.$properties["swimlane_name"]
        ? this.$properties["swimlane_name"][IMW_CURRENT_LANG] || ""
        : this.prop.text[IMW_CURRENT_LANG];
    str = str.replace(/[[|`\-]/g, "b").replace(/[=]/g, "a");
    this.header_obj.innerHTML = escapeHTML(str);
}

//=============================================================================
// Rg\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRg\ɂ܂B
//=============================================================================
IMWWorkEvent.prototype.hideComment = function() {
    this.style.visibility = "hidden";
}

//=============================================================================
// O[v{bNXʒuݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zO[v{bNẌʒu܂B
//=============================================================================
IMWWorkEvent.prototype.resetPosGroupBox = function() {
    var wk = this.events.wk, x = wk.workarea_width, y = wk.workarea_height, r = 0, b = 0;
    var hdr = this.header_obj, objs = this.child_objs;
    if (!objs || !objs.length) {
        this.style.visibility = "hidden";
    }
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], ox = obj.offsetLeft, oy = obj.offsetTop;
        var or = ox + obj.offsetWidth, ob = oy + obj.offsetHeight;
        if (x > ox) x = ox;
        if (y > oy) y = oy;
        if (r < or) r = or;
        if (b < ob) b = ob;
    }
    var w = r - x, h = b - y;
    var dh = this.depth * IMW_GROUPBOX_DEPTH, dp = this.depth * IMW_GROUPBOX_PADDING;
    x -= IMW_GROUPBOX_MARGIN + dp + 1;
    y -= IMW_GROUPBOX_MARGIN + dp + 1 + dh;
    w += (IMW_GROUPBOX_MARGIN + dp) * 2 + 2;
    h += (IMW_GROUPBOX_MARGIN + dp) * 2 + 2 + dh;
    this.style.left = x + "px";
    this.style.top = y + "px";
    this.style.width = w + "px";
    this.style.height = h + "px";
    this.style.visibility = "";
    hdr.style.width = (w - 4 < 0 ? 0 : w - 4) + "px";
}

//=============================================================================
// O[v{bNXݒ֐
//  y  zstr: \镶
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zO[v{bNX̃eLXgݒ肵܂B
//=============================================================================
IMWWorkEvent.prototype.setTextGroupBox = function() {
    this.header_obj.innerHTML = escapeHTML(this.title_text);
}

//=============================================================================
// [g`[NGA onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA onmousedown Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseDownWork = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (isMouseL(e) || isMouseR(e)) {
        if (!wf.cantmove_flag && !wk.focus_cancel) {
            wk.sel.owner_obj = ud;
            wf.dragSelection(wk.sel);
            wf.onDragInit(e);
            wf.onDragMove(e);
        }
        if (!wk.focus_cancel && !isCtrlKey(e)) {
            wk.clearFocusRects();
            wk.showProperty();
        }
        wk.focus_cancel = ud;
    }
    return cancelEvent(e);
}

//=============================================================================
// [g`[NGA onmousemove Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA onmousemove Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseMoveWork = function(e) {
    var wk = this.events.wk;
    e = initEvent(e);
    if (wk.auto_scroll) wk.auto_scroll = 2;
    return cancelEvent(e);
}

//=============================================================================
// [g`[NGA onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA onmouseup Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onMouseUpWork = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    e = initEvent(e);
    if (!wf.ct.event_cancel && isMouseR(e) && !wf.ct.show(e)) wk.showProperty();
    return cancelEvent(e);
}

//=============================================================================
// ÏhbO֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zÏg ondraginit Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragInitSelect = function(e) {
    var wk = this.events.wk, bkg = wk.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    this.style.left = x + "px";
    this.style.top = y + "px";
    this.offset_x = this.target_x = x;
    this.offset_y = this.target_y = y;
    this.style.visibility = "";
}

//=============================================================================
// ÏhbOړ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zÏg ondragmove Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragMoveSelect = function(e) {
    var wk = this.events.wk, bkg = wk.bkg;
    var x = _getMouseX(e) + bkg.scrollLeft - bkg.offsetLeft;
    var y = _getMouseY(e) + bkg.scrollTop - bkg.offsetTop;
    if (!this.owner_obj || isShiftKey(e)) {
        this.target_x = x;
        this.target_y = y;
    } else {
        this.target_x = Math.floor((x + IMW_POSITION_MESH / 2) / IMW_POSITION_MESH) * IMW_POSITION_MESH;
        this.target_y = Math.floor((y + IMW_POSITION_MESH / 2) / IMW_POSITION_MESH) * IMW_POSITION_MESH;
    }
    if (!this.owner_obj && this.target_x == this.offset_x && this.target_y == this.offset_y) {
        if (!this.style.visibility.length) this.style.visibility = "hidden";
        return;
    }
    if (this.style.visibility.length) this.style.visibility = "";
    if (this.target_x < 1) this.target_x = 1;
    if (this.target_y < 1) this.target_y = 1;
    if (this.target_x > wk.workarea_width - 2) this.target_x = wk.workarea_width - 2;
    if (this.target_y > wk.workarea_height - 2) this.target_y = wk.workarea_height - 2;
    var x = Math.min(this.offset_x, this.target_x) - 1;
    var y = Math.min(this.offset_y, this.target_y) - 1;
    var w = Math.abs(this.target_x - this.offset_x);
    var h = Math.abs(this.target_y - this.offset_y);
    var prop = this.owner_obj ? this.owner_obj.prop : ud;
    if (prop) {
        var mw = prop.minWidth || IMW_POSITION_MESH, mh = prop.minHeight || IMW_POSITION_MESH;
        if (mw && w < mw) {
            if (this.target_x - this.offset_x < 0) {
                this.target_x -= mw - w;
                x -= mw - w;
            }
            w = mw;
        }
        if (mh && h < mh) {
            if (this.target_y - this.offset_y < 0) {
                this.target_y -= mh - h;
                y -= mh - h;
            }
            h = mh;
        }
    }
    if (!this.owner_obj || isShiftKey(e)) {
        w++; // 1px ړ̏ꍇ͔͈͕\J[\ɍ킹
        h++;
    }
    this.style.left = x + "px";
    this.style.top = y + "px";
    this.style.width = w + "px";
    this.style.height = h + "px";
}

//=============================================================================
// ÏhbOI֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zÏg ondragfinish Cxg܂B
//=============================================================================
IMWWorkEvent.prototype.onDragFinishSelect = function(e) {
    var wf = this.events.wf, wk = this.events.wk;
    this.style.left = "-1024px";
    this.style.top = "-1024px";
    this.style.width = "0px";
    this.style.height = "0px";
    this.style.visibility = "hidden";
    var x1 = Math.min(this.offset_x, this.target_x), y1 = Math.min(this.offset_y, this.target_y);
    var x2 = Math.max(this.offset_x, this.target_x), y2 = Math.max(this.offset_y, this.target_y);
    if (this.owner_obj) {
        var obj = this.owner_obj;
        if (obj.$properties["size"] == ud) return;
        wk.clearFocusRects();
        wk.clearHighlightRects();
        var prms = {};
        prms[obj.unique_id] = {"x":obj.offsetLeft, "y":obj.offsetTop,
            "w":obj.offsetWidth, "h":obj.offsetHeight};
        wk.memorizeWork(IMW_WORK_TYPE_SIZE, [obj], prms);
        obj.setSize(x1, y1, x2 - x1, y2 - y1);
        wk.setArrowAdjustPos([obj], 1);
        if (obj.showFocusRects) obj.showFocusRects();
        if (isMouseL(e)) {
            wk.showProperty();
            if (obj.showFocusRects) wk.scrollToTarget(obj);
        }
    } else {
        var objs = wk.getRectObjects(isShiftKey(e) ? IMW_OBJECT_TYPE_FORGROUND : IMW_OBJECT_TYPE_BOXES,
            x1, y1, x2, y2);
        if (objs.length) {
            if (!isCtrlKey(e)) {
                wk.clearFocusRects();
                wk.clearHighlightRects();
            }
            var idx = -1;
            for (var leng = objs.length, i = 0; i < leng; i++) {
                var obj = objs[i];
                if (obj.showFocusRects) {
                    if (!obj.selected) obj.showFocusRects();
                    if (idx == -1) idx = i; else if (idx >= 0) idx = -2;
                }
            }
        }
        if (isMouseL(e)) {
            wk.showProperty();
            if (idx >= 0) wk.scrollToTarget(objs[idx]);
        } else if (!wf.ct.event_cancel && isMouseR(e) && !wf.ct.show(e)) {
            wk.showProperty();
            if (idx >= 0) wk.scrollToTarget(objs[idx]);
        }
    }
}

//=============================================================================
// XN[֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̎XN[s܂B
//=============================================================================
IMWWorkEvent.prototype.onTimeoutAutoScroll = function() {
    var wk = wf.wk, bkg = wk.bkg; // wf = global variable
    if (!bkg.scroll_dx && !bkg.scroll_dy) return;
    bkg.scrollLeft += bkg.scroll_dx;
    bkg.scrollTop += bkg.scroll_dy;
    var oe = {"pageX":bkg.scroll_x, "pageY":bkg.scroll_y};
    wf.onDragMove(oe);
}

//=============================================================================
// XN[֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g`[NGA̎XN[s܂B
//=============================================================================
IMWWorkEvent.prototype.onTimeoutTargetScroll = function() {
    var wk = wf.wk, bkg = wk.bkg; // wf = global variable
    var dx = bkg.target_x - bkg.scrollLeft, dy = bkg.target_y - bkg.scrollTop;
    if (bkg.target_tid && !dx && !dy) {
        clearInterval(bkg.target_tid);
        bkg.target_tid = 0;
        return;
    }
    var sx = dx < 0 ? -Math.ceil(-dx / 1.3) : Math.ceil(dx / 1.3);
    var sy = dy < 0 ? -Math.ceil(-dy / 1.3) : Math.ceil(dy / 1.3);
    bkg.scrollLeft += sx;
    bkg.scrollTop += sy;
}

/******************************************************************************
  IMWProperty NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWProperty = function(wf) {
    this.wf = wf;
    var events = new IMWPropertyEvent(wf, this);
    this.events = events;
    this.obj = createElementDiv(doc.body, "property");
    this.obj.events = events;
    this.obj.style.height = "0px";
    this.obj.style.visibility = "hidden";
    this.obj.show_flag = this.obj.offset_h = this.obj.target_h = 0;
    this.hdr = createElementDiv(this.obj, "property_header");
    this.info = createElementDiv(this.obj, "property_info");
    this.body = createElementDiv(this.obj, "property_body");
    this.focus_obj = this.focus_cancel = this.popup_owner_obj = ud;
    this.objs = [];
    this.obj_id_str = "";
    this.disabled_flag = this.event_cancel = 0;
    this.hdr.events = events;
    this.hdr.onclick = events.setProperty;
}

//=============================================================================
// vpeBڐݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvpeB̐ݒ荀ڂ܂B
//=============================================================================
IMWProperty.prototype.resetItems = function() {
    var events = this.events;
    this.body.innerHTML = "";
    var item_keys = [], item_objs = {}, idx = 0;
    var obj = this.addUniqueIdTextBox(item_keys, "node_id", IMW_NAME_NODE_ID);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addObjectNameTextBox(item_keys, "node_name", IMW_NAME_NODE_NAME);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUniqueIdTextBox(item_keys, "comment_id", IMW_NAME_COMMENT_ID);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addObjectNameTextArea(item_keys, "comment_name", IMW_NAME_COMMENT_NAME);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUniqueIdTextBox(item_keys, "swimlane_id", IMW_NAME_SWIMLANE_ID);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addObjectNameTextBox(item_keys, "swimlane_name", IMW_NAME_SWIMLANE_NAME);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUsersListBox(item_keys, "apply_users", IMW_NAME_APPLY_USERS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUsersListBox(item_keys, "approve_users", IMW_NAME_APPROVE_USERS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUsersListBox(item_keys, "confirm_users", IMW_NAME_CONFIRM_USERS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUsersListBox(item_keys, "dynamic_users", IMW_NAME_DYNAMIC_USERS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addUsersListBox(item_keys, "static_users", IMW_NAME_STATIC_USERS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addSearchTextBox(item_keys, "route_template", IMW_NAME_ROUTE_TEMPLATE,
        events.onClickSearchRouteTemplate);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addObjectPosTextBox(item_keys, "pos", IMW_NAME_NODE_POS);
    item_objs[item_keys[idx++]] = obj;
    var obj = this.addObjectSizeTextBox(item_keys, "size", IMW_NAME_NODE_SIZE);
    item_objs[item_keys[idx++]] = obj;
    this.body.item_keys = item_keys;
    this.body.item_objs = item_objs;
}

//=============================================================================
// \ΏۃIuWFNgꊇݒ֐
//  y  zobjs: IIuWFNg̃CX^Xi[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIIuWFNgo^܂B
//=============================================================================
IMWProperty.prototype.setObjects = function(objs) {
    for (var leng = this.objs.length, i = 0; i < leng; i++) this.objs.pop(); // GC
    this.objs = objs;
}

//=============================================================================
// \ΏۃIuWFNgǉ֐
//  y  zobj: IIuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIIuWFNgǉ܂B
//=============================================================================
IMWProperty.prototype.addObject = function(obj) {
    this.objs.push(obj);
}

//=============================================================================
// vpeB\֐
//  y  zȂ
//  y ԋp z\ڐ (-1: OƓ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIIuWFNg̃vpeB\܂B
//=============================================================================
IMWProperty.prototype.show = function() {
    // IIuWFNgωĂȂꍇ͉Ȃ
    var wf = this.wf, bkg = this.obj, hdr = this.hdr, objleng = this.objs.length;
    var id_str = "", title = "";
    for (var i = 0; i < objleng; i++) {
        id_str += "," + this.objs[i].unique_id;
    }
    if (this.obj_id_str == id_str) return -1;
    this.obj_id_str = id_str;
    // IIuWFNg̐ɂăvpeB̃^CgύX
    var old = bkg.show_flag;
    bkg.show_flag = bkg.target_h = 0;
    bkg.style.height = "0px";
    bkg.style.visibility = "hidden";
    bkg.style.overflow = "hidden";
    // floating calendar \ɂB
    if (doc.getElementById(CAL_LAYER_NAME)) draggableLayers[CAL_LAYER_NAME].moveLAYOJ(getStyleOj(CAL_LAYER_NAME), gox, goy);
    if (!objleng) {
        if (!this.popup_owner_obj) return 0;
        this.popup_owner_obj = ud;
        this.events.wf.search_user_callback();
        this.events.wf.search_route_template_callback();
        return 0;
    } else if (objleng == 1) {
        var obj = this.objs[0];
        title = obj.obj_type == IMW_OBJECT_TYPE_ARROW
            ? IMW_PROPERTY_ARROW.text[IMW_CURRENT_LANG] : obj.title_text;
    } else {
        title = IMW_TEXT_MULTI_OBJECTS;
    }
    hdr.innerHTML = "&nbsp;";
    hdr.style.backgroundImage = "url(" + IMW_WKF_BASE_PATH + (this.disabled_flag
        ? "images/icons/16x16/fugue-icons/shadow/chevron-expand.png"
        : "images/icons/16x16/fugue-icons/shadow/chevron.png") + ")";
    // \ʒuZbg
    this.info.style.display = "none";
    this.body.style.display = "none";
    bkg.style.visibility = "";
    // SĂ̑\ɂ
    for (var leng = this.body.item_keys.length, i = 0; i < leng; i++) {
        this.body.item_objs[this.body.item_keys[i]].style.display = "none";
    }
    // L[̐ɂĕ\؂ւ
    var cnt = 0;
    if (this.disabled_flag) {
        bkg.show_flag = 1;
        var h = hdr.offsetHeight;
        bkg.target_h = h > 0 ? h : 0;
        bkg.style.height = bkg.target_h + "px";
        bkg.style.overflow = "hidden";
    } else if (cnt = this.setPropertyValues()) {
        bkg.show_flag = 2;
        bkg.target_h = bkg.offset_h;
        bkg.style.height = bkg.target_h + "px";
        bkg.style.overflow = "";
        this.body.style.display = "";
    } else if (wf.cantmove_flag) {
        bkg.show_flag = 1;
        var h = hdr.offsetHeight;
        bkg.target_h = h > 0 ? h : 0;
        bkg.style.height = bkg.target_h + "px";
        bkg.style.overflow = "hidden";
    } else {
        bkg.show_flag = 1;
        this.info.innerHTML = IMW_MSG_NO_PROPERTY;
        this.info.style.display = "";
        var t = this.info.offsetHeight; // MSIE: offsetHeight lԂȂoO
        var h = this.info.offsetTop + this.info.offsetHeight - 2;
        bkg.target_h = h > 0 ? h : 0;
        bkg.style.height = bkg.target_h + "px";
        bkg.style.overflow = "hidden";
    }
    hdr.innerHTML = title;
    this.resetSize();
    return cnt;
}

//=============================================================================
// vpeBlݒ֐
//  y  zȂ
//  y ԋp zݒ荀ڐ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvpeB̐ݒe\܂B
//=============================================================================
IMWProperty.prototype.setPropertyValues = function() {
    // IIuWFNgɐݒ\ȑL[擾
    var keys = [], keyh = {};
    for (var objleng = this.objs.length, i = 0; i < objleng; i++) {
        var obj = this.objs[i];
        var accept = obj.acceptProperty ? obj.acceptProperty(0) : ud;
        for (var leng = obj.prop.properties.length, j = 0; j < leng; j++) {
            var key = obj.prop.properties[j];
            if (accept && !accept[key]) continue;
            if (!keyh[key]) {
                keys.push(key);
                keyh[key] = 0;
            }
            keyh[key]++;
        }
    }
    // SĂ̑IIuWFNgɋʂ鑮L[擾
    var cnt = 0;
    for (var objleng = this.objs.length, leng = keys.length, i = 0; i < leng; i++) {
        var key = keys[i], sv = ud, cv = ud;
        if (keyh[key] != objleng) continue;
        if (IMW_SINGLE_ONLY_PROPERTY[key] && objleng > 1) continue;
        for (var j = 0; j < objleng; j++) {
            if (cv == ud) {
                sv = cv = this.objs[j].$properties[key];
                if (cv.join) cv = cv.join("\n");
                continue;
            }
            var kv = this.objs[j].$properties[key];
            if (kv.join) kv = kv.join("\n");
            if (cv == kv) continue;
            if (key == "pos" || key == "size") {
                var cvs = cv.split(","), kvs = kv.split(","), nvs = [];
                for (var leng3 = cvs.length, k = 0; k < leng3; k++) {
                    nvs.push(cvs[k] == kvs[k] ? cvs[k] : "");
                }
                sv = cv = nvs.join(",");
                continue;
            }
            sv = cv.join ? [] : "";
            break;
        }
        this.body.item_objs[key].setValue(sv);
        this.body.item_objs[key].style.display = "";
        cnt++;
    }
    return cnt;
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvpeB̃EBhETCY𒲐܂B
//=============================================================================
IMWProperty.prototype.resetSize = function() {
    var wf = this.wf, size = getPageSize(), w = size.windowWidth, h = size.windowHeight;
    w -= wf.wk.bkg.offsetLeft + this.obj.offsetWidth + 16;
    h -= wf.wk.bkg.offsetTop + wf.ft.obj.offsetHeight + 24;
    this.obj.offset_h = h > 0 ? h : 0;
    this.obj.target_h = this.obj.show_flag == 2 ? this.obj.offset_h : (this.obj.target_h || 0);
    this.obj.style.top = wf.wk.bkg.offsetTop + "px";
    this.obj.style.height = this.obj.target_h + "px";
    this.obj.style.left = (w > 0 ? w : 0) + "px";
}

//=============================================================================
// ͍ڃCxgݒ֐
//  y  zobj: ͍ڃIuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z͍ڂ̃Cxgݒ肵܂B
//=============================================================================
IMWProperty.prototype.setInputEvent = function(obj) {
    obj.events = this.events;
    obj.onfocus = obj.events.onFocusInput;
    obj.onblur = obj.events.onBlurInput;
    obj.onmousedown = obj.events.onMouseDownInput;
}

//=============================================================================
// IDݒ荀ڒǉ֐
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNgIDݒǉ܂B
//=============================================================================
IMWProperty.prototype.addUniqueIdTextBox = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.readonly_flag;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    var div = createElementDiv(item);
    var cls = (rf ? "output" : "default") + " property_id";
    var input = createElementInput(div, "text", cls);
    input.readOnly = rf;
    input.parent_obj = item;
    this.setInputEvent(input);
    item.input_objs = [input];
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValueTextBox;
    item.refreshValue = events.setPropertyId;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// ŗLݒ荀ڒǉ֐ (eLXg{bNX)
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hݒǉ܂B
//=============================================================================
IMWProperty.prototype.addObjectNameTextBox = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.readonly_flag;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    item.input_objs = [];
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        var div = createElementDiv(item);
        if (IMW_GLOBAL_SUPPORT && leng > 1) {
            var label = createElementDiv(div, "property_locale");
            label.innerHTML = IMW_LANGUAGES[i].text;
        }
        var cls = (rf ? "output" : "default") + " property_textbox";
        var input = createElementInput(div, "text", cls);
        input.readOnly = rf;
        input.parent_obj = item;
        input.locale_id = IMW_LANGUAGES[i].code;
        this.setInputEvent(input);
        if (!IMW_GLOBAL_SUPPORT && input.locale_id != IMW_CURRENT_LANG) {
            div.style.display = "none";
            input.style.display = "none";
        }
        item.input_objs.push(input);
    }
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValueName;
    item.refreshValue = events.setPropertyName;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// ŗLݒ荀ڒǉ֐ (eLXgGA)
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zRgݒǉ܂B
//=============================================================================
IMWProperty.prototype.addObjectNameTextArea = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.readonly_flag;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    item.input_objs = [];
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        var div = createElementDiv(item);
        if (IMW_GLOBAL_SUPPORT && leng > 1) {
            var label = createElementDiv(div, "property_locale");
            label.innerHTML = IMW_LANGUAGES[i].text;
        }
        var cls = (rf ? "output" : "default") + " property_textarea";
        var input = createElementTextarea(div, cls);
        input.readOnly = rf;
        input.parent_obj = item;
        input.locale_id = IMW_LANGUAGES[i].code;
        this.setInputEvent(input);
        if (!IMW_GLOBAL_SUPPORT && input.locale_id != IMW_CURRENT_LANG) {
            div.style.display = "none";
            input.style.display = "none";
        }
        item.input_objs.push(input);
    }
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValueName;
    item.refreshValue = events.setPropertyName;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// IDȆݒ荀ڒǉ֐
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//            func: NNbÑR[obN֐
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z@\tIDȆݒǉ܂B
//=============================================================================
IMWProperty.prototype.addSearchTextBox = function(keys, key, text, func) {
    var events = this.events, rf = !!this.wf.readonly_flag, html;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    var divS = ud, divR = ud;
    if (!rf) {
        var div = createElementDiv(item);
        var table = createElementTable(div, "property_item", 1);
        var tbody = createElementTbody(table);
        var tr = createElementTr(tbody);
        var td = createElementTd(tr);
        divS = createElementDiv(td, "link");
        html = "<a href=\"javascript: void(0);\"><img class=\"link_icon\" src=\"";
        html += IMW_WKF_BASE_PATH + "images/icons/16x16/fugue-icons/shadow/magnifier.png";
        html += "\" align=\"absmiddle\">" + IMW_TEXT_SEARCH + "</a>";
        divS.innerHTML = html;
        var td = createElementTd(tr);
        divR = createElementDiv(td, "link");
        divR.style.display = IMW_REQUIRE_PROPERTY[key] ? "none" : "";
        html = "<a href=\"javascript: void(0);\"><img class=\"link_icon\" src=\"";
        html += IMW_WKF_BASE_PATH + "images/icons/16x16/deletecell.png";
        html += "\" align=\"absmiddle\">" + IMW_TEXT_REMOVE + "</a>";
        divR.innerHTML = html;
        divS.events = events;
        divS.onclick = func;
        divR.events = events;
        divR.onclick = events.onClickRemoveTextBox;
    }
    var div = createElementDiv(item, "property_link");
    var input = createElementInput(div, "text", "output property_textbox");
    input.readOnly = true;
    input.parent_obj = item;
    this.setInputEvent(input);
    if (divS) divS.owner_obj = input;
    if (divR) divR.owner_obj = input;
    item.input_objs = [input];
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValueIdAndName;
    item.refreshValue = events.setPropertyIdAndName;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// ΏێҐݒ荀ڒǉ֐
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zΏێґݒǉ܂B
//  y o[W z7.2.10
//=============================================================================
IMWProperty.prototype.addUsersListBox = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.readonly_flag, html;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    var divS = ud, divR = ud, chkN = ud;
    var div = createElementDiv(item);
    var form = createElementForm(div, key);
    var table = createElementTable(form, "property_item", 1);
    var tbody = createElementTbody(table);
    var tr = createElementTr(tbody);
    var td = createElementTd(tr);
    var divCFC = doc.getElementById('referenceDateCalendar').cloneNode(true);
    divCFC.style.display = "";
    divCFC.innerHTML = divCFC.innerHTML.toString().replace("replaceElement", "doc." + key + ".reference_date");
    divCFC.events = events;
    divCFC.onclick = events.onClickDisplayFloatingCalendar;
    td.appendChild(divCFC);
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var textbox = createElementInput(div, "text", "output property_date", IMW_INPUT_REFERENCE_DATE_NAME);
    textbox.readOnly = true;
    if (!rf) {
        var div = createElementDiv(item);
        var table = createElementTable(div, "property_item", 1);
        var tbody = createElementTbody(table);
        var tr = createElementTr(tbody);
        var td = createElementTd(tr);
        divS = createElementDiv(td, "link");
        html = "<a href=\"javascript: void(0);\"><img class=\"link_icon\" src=\"";
        html += IMW_WKF_BASE_PATH + "images/icons/16x16/fugue-icons/shadow/magnifier.png";
        html += "\" align=\"absmiddle\">" + IMW_TEXT_SEARCH + "</a>";
        divS.innerHTML = html;
        var td = createElementTd(tr);
        divR = createElementDiv(td, "link");
        html = "<a href=\"javascript: void(0);\"><img class=\"link_icon\" src=\"";
        html += IMW_WKF_BASE_PATH + "images/icons/16x16/deletecell.png";
        html += "\" align=\"absmiddle\">" + IMW_TEXT_REMOVE + "</a>";
        divR.innerHTML = html;
        var td = createElementTd(tr);
        var div = createElementDiv(td);
        chkN = createElementInput(div, "checkbox", "noselect_checkbox");
        chkN.id = key + "_noselect";
        var td = createElementTd(tr);
        var div = createElementDiv(td);
        div.innerHTML = "<label for=\"" + chkN.id + "\">" + IMW_TEXT_NO_SELECT + "</label>";
        divS.events = events;
        divS.onclick = events.onClickSearchUsers;
        divR.events = events;
        divR.onclick = events.onClickRemoveUsers;
        chkN.events = events;
        chkN.onclick = chkN.onchange = events.onChangeNoSelectCheckBox;
    }
    var div = createElementDiv(item, "property_link");
    var cls = "default_background";
    if (rf) cls += " listbox_readonly";
    var listbox = new IMWListbox(div, rf ? 12 : 7, cls);
    listbox.readOnly = rf;
    listbox.parent_obj = item;
    if (divS) divS.owner_obj = listbox;
    if (divR) divR.owner_obj = listbox;
    if (chkN) chkN.owner_obj = listbox;
    item.input_objs = [listbox, chkN || {}, textbox];
    item.key_name = key;
    item.events = events;
    item.setValue = events.setDynamicValueListBox;
    item.refreshValue = events.setDynamicPropertyListBox;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// ʒuݒ荀ڒǉ֐
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hʒuݒǉ܂B
//=============================================================================
IMWProperty.prototype.addObjectPosTextBox = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.cantmove_flag;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    var div = createElementDiv(item);
    var table = createElementTable(div, "property_item", 1);
    var tbody = createElementTbody(table);
    var tr = createElementTr(tbody);
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var label = createElementDiv(div, "property_label");
    label.innerHTML = IMW_TEXT_PROP_X;
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var cls = (rf ? "output" : "default") + " property_minibox textbox_number";
    var input0 = createElementInput(div, "text", cls);
    input0.readOnly = rf;
    input0.parent_obj = item;
    this.setInputEvent(input0);
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var label = createElementDiv(div, "property_label");
    label.innerHTML = IMW_TEXT_PROP_Y;
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var cls = (rf ? "output" : "default") + " property_minibox textbox_number";
    var input1 = createElementInput(div, "text", cls);
    input1.readOnly = rf;
    input1.parent_obj = item;
    this.setInputEvent(input1);
    item.input_objs = [input0, input1];
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValuePosition;
    item.refreshValue = events.setPropertyPosition;
    keys.push(item.key_name);
    return item;
}

//=============================================================================
// TCYݒ荀ڒǉ֐
//  y  zkeys: L[ږi[ꂽz
//            key: ڃL[
//            text: ^Cg
//  y ԋp zIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hTCYݒǉ܂B
//=============================================================================
IMWProperty.prototype.addObjectSizeTextBox = function(keys, key, text) {
    var events = this.events, rf = !!this.wf.cantmove_flag;
    var item = createElementDiv(this.body, "property_item");
    var title = createElementDiv(item, "property_title");
    title.innerHTML = !rf && IMW_REQUIRE_PROPERTY[key]
        ? ("<strong>" + text + "</strong>" + IMW_TEXT_REQUIRE) : text;
    var div = createElementDiv(item);
    var table = createElementTable(div, "property_item", 1);
    var tbody = createElementTbody(table);
    var tr = createElementTr(tbody);
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var label = createElementDiv(div, "property_label");
    label.innerHTML = IMW_TEXT_PROP_WIDTH;
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var cls = (rf ? "output" : "default") + " property_minibox textbox_number";
    var input0 = createElementInput(div, "text", cls);
    input0.readOnly = rf;
    input0.parent_obj = item;
    this.setInputEvent(input0);
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var label = createElementDiv(div, "property_label");
    label.innerHTML = IMW_TEXT_PROP_HEIGHT;
    var td = createElementTd(tr);
    var div = createElementDiv(td);
    var cls = (rf ? "output" : "default") + " property_minibox textbox_number";
    var input1 = createElementInput(div, "text", cls);
    input1.readOnly = rf;
    input1.parent_obj = item;
    this.setInputEvent(input1);
    item.input_objs = [input0, input1];
    item.key_name = key;
    item.events = events;
    item.setValue = events.setValueSize;
    item.refreshValue = events.setPropertySize;
    keys.push(item.key_name);
    return item;
}

/******************************************************************************
  IMWPropertyEvent NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//            pr: IMWProperty NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWPropertyEvent = function(wf, pr) {
    this.wf = wf;
    this.pr = pr;
}

//=============================================================================
// vpeB\ݒ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvpeB̕\؂ւ܂B
//=============================================================================
IMWPropertyEvent.prototype.setProperty = function(e) {
    var pr = this.events.pr;
    pr.disabled_flag = pr.disabled_flag ? 0 : 1;
    pr.obj_id_str = "";
    pr.show();
}

//=============================================================================
// ͍ onfocus Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z͍ڂ onfocus Cxg܂B
//=============================================================================
IMWPropertyEvent.prototype.onFocusInput = function(e) {
    var pr = this.events.pr;
    pr.event_cancel = 1;
    pr.focus_obj = this;
}

//=============================================================================
// ͍ onblur Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z͍ڂ onblur Cxg܂B
//=============================================================================
IMWPropertyEvent.prototype.onBlurInput = function(e) {
    var pr = this.events.pr;
    if (!pr.event_cancel) return;
    // MSIE: IɃtH[JXLZȂƃ}EXIoO
    var isMSIE = /msie/i.test(nvg.userAgent || "");
    if (isMSIE || (e && !e.forceBlur)) pr.focus_obj = pr.event_cancel = ud;
    if (this.parent_obj.refreshValue) this.parent_obj.refreshValue();
}

//=============================================================================
// ͍ onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z͍ڂ onmousedown Cxg܂B
//=============================================================================
IMWPropertyEvent.prototype.onMouseDownInput = function(e) {
    var pr = this.events.pr;
    pr.event_cancel = 1;
}

//=============================================================================
// eLXg{bNX (P) ͒lݒ֐
//  y  zval: l
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̔ėpeLXg{bNX̒lݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setValueTextBox = function(val) {
    var objs = this.input_objs, obj = objs[0];
    obj.old_value = obj.value = val;
}

//=============================================================================
// eLXg{bNX () ͒lݒ֐
//  y  zval: l
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̖̑eLXg{bNX̒lݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setValueName = function(val) {
    var objs = this.input_objs;
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.old_value = obj.value = val[IMW_GLOBAL_SUPPORT ? IMW_LANGUAGES[i].code
            : IMW_CURRENT_LANG] || "";
    }
}

//=============================================================================
// eLXg{bNX (IDȆZbg) ͒lݒ֐
//  y  zval: l
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNgIDȆeLXg{bNX̒lݒ
//            ܂B
//=============================================================================
IMWPropertyEvent.prototype.setValueIdAndName = function(val) {
    var objs = this.input_objs, obj = objs[0];
    obj.old_value = obj.raw_value = val;
    var json = ud;
    try {json = ImJson.parseJSON(val);} catch(ex) {}
    obj.value = json ? json.name : "";
}

//=============================================================================
// ʒu͍ڐݒ֐
//  y  zval: l
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̈ʒueLXg{bNX̒lݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setValuePosition = function(val) {
    var objs = this.input_objs, vals = val.split(",");
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.old_value = obj.value = vals[i] || "";
    }
}

//=============================================================================
// TCY͍ڐݒ֐
//  y  zval: l
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̃TCYeLXg{bNX̒lݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setValueSize = function(val) {
    var objs = this.input_objs, vals = val.split(",");
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.old_value = obj.value = vals[i] || "";
    }
}

//=============================================================================
// Xg{bNX͍ڐݒ֐
//  y  zvals: li[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̔z񑮐烊Xg{bNX̒lݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setValueListBox = function(vals) {
    var wk = this.events.wf.wk;
    var objs = this.input_objs, copy = [], ids = [], listbox = objs[0], checkbox = objs[1];
    listbox.disabled = checkbox.checked = false;
    for (var leng = vals.length, i = 0; i < leng; i++) {
        var val = vals[i];
        if (val == "DISABLED") listbox.disabled = checkbox.checked = true; else copy.push(val);
    }
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    listbox.values = copy;
    for (var leng = listbox.getLength(), i = leng - 1; i >= 0; i--) {
        var item = listbox.getItem(i);
        wk.releaseUniqueId(item.unique_id);
        listbox.removeItem(item);
    }
    if (checkbox.checked) ids.push("DISABLED");
    for (var leng = copy.length, i = 0; i < leng; i++) {
        var json = ud;
        try {json = ImJson.parseJSON(copy[i]);} catch(ex) {}
        if (!json) continue;
        var item = listbox.appendItem(json.text, copy[i]);
        item.unique_id = wk.getUniqueId();
        ids.push(item.unique_id);
    }
    listbox.old_value = ids.join("\n");
}

//=============================================================================
// Xg{bNX͍ڐݒ֐
//  y  zvals: li[ꂽz
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIuWFNg̔z񑮐烊Xg{bNX̒lݒ肵܂B
//            ύXꂽꍇAύXꂽŗLȑΏێ҂̕\擾A
//            IuWFNg̔z񑮐ƃXg{bNX̒lĐݒ肵܂B
//  y o[W z7.2.10
//=============================================================================
IMWPropertyEvent.prototype.setDynamicValueListBox = function(vals) {
    var wf = this.events.wf, wk = this.events.wf.wk;
    var objs = this.input_objs, copy = [], ids = [], listbox = objs[0], checkbox = objs[1], textbox = objs[2];
    var pobjs = wf.pr.objs, defRefDate = wf.reference_date;
    for (var leng = pobjs.length, i = 0; i < leng; i++) {
        if (!i) defRefDate = pobjs[i].$properties[IMW_INPUT_REFERENCE_DATE_NAME];
        else if (defRefDate != pobjs[i].$properties[IMW_INPUT_REFERENCE_DATE_NAME]) defRefDate = "";
    }
    var referenceDateChanged = (wf.reference_date != defRefDate);
    if (referenceDateChanged) defRefDate = wf.reference_date;
    textbox.value = defRefDate;
    listbox.disabled = checkbox.checked = false;
    for (var leng = vals.length, i = 0; i < leng; i++) {
        var val = vals[i];
        if (val == "DISABLED") listbox.disabled = checkbox.checked = true; else copy.push(val);
    }
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    listbox.values = copy;
    for (var leng = listbox.getLength(), i = leng - 1; i >= 0; i--) {
        var item = listbox.getItem(i);
        wk.releaseUniqueId(item.unique_id);
        listbox.removeItem(item);
    }
    if (checkbox.checked) ids.push("DISABLED");
    for (var leng = copy.length, i = 0; i < leng; i++) {
        try {json = ImJson.parseJSON(copy[i]);} catch(ex) {}
        if (!json) continue;
        if (referenceDateChanged) {
            var text = searchUserDisplayName(json, wf.reference_date);
            json.text = escapeJSON((!text) ? IMW_TEXT_INVALID_DISPLAY_NAME : text);
            copy[i] = ImJson.toJSONString(json);
        }
        var item = listbox.appendItem(json.text, copy[i]);
        item.unique_id = wk.getUniqueId();
        ids.push(item.unique_id);
    }
    if (referenceDateChanged) listbox.parent_obj.refreshValue();
    listbox.old_value = ids.join("\n");
}

//=============================================================================
// eLXg{bNX (ėp) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNg̔ėpɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyTextBox = function() {
    var pr = this.events.pr;
    if (pr.wf.readonly_flag) return;
    var objs = pr.objs, tobj = this.input_objs[0], old = tobj.old_value, value = tobj.value;
    if (old == value) return;
    tobj.old_value = value;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.$properties[this.key_name] = value;
    }
}

//=============================================================================
// eLXg{bNX (ID) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNgIDɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyId = function() {
    var pr = this.events.pr;
    if (pr.wf.readonly_flag) return;
    var objs = pr.objs, tobj = this.input_objs[0], old = tobj.old_value, value = tobj.value;
    if (old == value) return;
    tobj.old_value = value;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.$properties[this.key_name] = value;
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
                if (wf.showid_flag) obj.setText(obj.offsetLeft, obj.offsetTop);
                break;
        }
    }
}

//=============================================================================
// eLXg{bNX (ŗL) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNg̖̑ɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyName = function() {
    var pr = this.events.pr;
    if (pr.wf.readonly_flag) return;
    var text = ud, base = 0;
    for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
        if (IMW_LANGUAGES[i].code == IMW_CURRENT_LANG) base = i;
        var old = this.input_objs[i].old_value, value = this.input_objs[i].value;
        if (old == value) continue;
        text = this.input_objs[i];
        text.old_value = value;
        break;
    }
    if (!text) return;
    var wf = pr.wf, wk = wf.wk, objs = pr.objs, caches = [];
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], $properties = obj.$properties;
        if (IMW_GLOBAL_SUPPORT) {
            $properties[this.key_name][text.locale_id] = text.value;
        } else for (var leng2 = IMW_LANGUAGES.length, j = 0; j < leng2; j++) {
            $properties[this.key_name][IMW_LANGUAGES[j].code] = text.value;
        }
        if (text.locale_id != IMW_CURRENT_LANG) continue;
        var px = obj.offsetLeft, py = obj.offsetTop;
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
                if (!wf.showid_flag) obj.setText(px, py);
                break;
            case IMW_OBJECT_TYPE_COMMENT:
                obj.setText(value, px, py, 1);
                if (obj.selected) caches.push(obj);
                break;
            case IMW_OBJECT_TYPE_SWIMLANE:
                obj.setText();
                break;
        }
        var pw = obj.offsetWidth, ph = obj.offsetHeight;
        if ($properties["pos"] != ud) $properties["pos"] = px + "," + py;
        if ($properties["size"] != ud) $properties["size"] = pw + "," + ph;
    }
    wk.setArrowAdjustPos(objs, 1);
    if (caches.length) {
        wk.clearFocusRects();
        wk.clearHighlightRects();
        for (var leng = caches.length, i = 0; i < leng; i++) caches[i].showFocusRects();
        pr.setPropertyValues();
    }
}

//=============================================================================
// eLXg{bNX (IDȆZbg) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNgIDȆɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyIdAndName = function() {
    var pr = this.events.pr;
    if (pr.wf.readonly_flag) return;
    var objs = pr.objs, tobj = this.input_objs[0], old = tobj.old_value, value = tobj.raw_value;
    if (old == value) return;
    tobj.old_value = tobj.raw_value = value;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.$properties[this.key_name] = value;
    }
    var json = ud;
    try {json = ImJson.parseJSON(value);} catch(ex) {}
    tobj.value = json ? json.name : "";
}

//=============================================================================
// eLXg{bNX (ʒu) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNg̈ʒuɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyPosition = function() {
    var pr = this.events.pr;
    if (pr.wf.cantmove_flag) return;
    var xobj = this.input_objs[0], yobj = this.input_objs[1];
    var old0 = xobj.old_value, value0 = xobj.value;
    var old1 = yobj.old_value, value1 = yobj.value;
    if (old0 == value0 && old1 == value1) return;
    var wf = pr.wf, wk = wf.wk, objs = pr.objs, caches = [];
    var x = value0 - 0, y = value1 - 0;
    if (isNaN(x)) x = old0 - 0;
    if (isNaN(y)) y = old1 - 0;
    xobj.value = xobj.old_value = value0.length ? (x + "") : old0;
    yobj.value = yobj.old_value = value1.length ? (y + "") : old1;
    var nodes = [], prms = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], px = x, py = y, tx = obj.offsetLeft, ty = obj.offsetTop;
        if (!value0.length) px = tx;
        if (!value1.length) py = ty;
        if (px < 0) px = 0;
        if (py < 0) py = 0;
        nodes.push(obj);
        prms[obj.unique_id] = {"x":tx, "y":ty};
        obj.setPos(px, py);
        if (obj.selected) caches.push(obj);
    }
    wk.memorizeWork(IMW_WORK_TYPE_POS, nodes, prms);
    wk.setArrowAdjustPos(objs, 1);
    if (caches.length) {
        wk.clearFocusRects();
        wk.clearHighlightRects();
        for (var leng = caches.length, i = 0; i < leng; i++) caches[i].showFocusRects();
    }
}

//=============================================================================
// eLXg{bNX (TCY) ͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zeLXg{bNX̒lIuWFNg̃TCYɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertySize = function() {
    var pr = this.events.pr;
    if (pr.wf.cantmove_flag) return;
    var wobj = this.input_objs[0], hobj = this.input_objs[1];
    var old0 = wobj.old_value, value0 = wobj.value;
    var old1 = hobj.old_value, value1 = hobj.value;
    if (old0 == value0 && old1 == value1) return;
    var wf = pr.wf, wk = wf.wk, objs = pr.objs, caches = [];
    var w = value0 - 0, h = value1 - 0;
    if (isNaN(w)) w = old0 - 0;
    if (isNaN(h)) h = old1 - 0;
    wobj.value = wobj.old_value = value0.length ? (w + "") : old0;
    hobj.value = hobj.old_value = value1.length ? (h + "") : old1;
    var nodes = [], prms = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], pw = w, ph = h;
        var tx = obj.offsetLeft, ty = obj.offsetTop, tw = obj.offsetWidth, th = obj.offsetHeight;
        if (!value0.length) pw = tw;
        if (!value1.length) ph = th;
        if (pw < 0) pw = 0;
        if (ph < 0) ph = 0;
        nodes.push(obj);
        prms[obj.unique_id] = {"x":tx, "y":ty, "w":tw, "h":th};
        obj.setSize(tx, ty, pw, ph);
        if (obj.selected) caches.push(obj);
    }
    wk.memorizeWork(IMW_WORK_TYPE_SIZE, nodes, prms);
    wk.setArrowAdjustPos(objs, 1);
    if (caches.length) {
        wk.clearFocusRects();
        wk.clearHighlightRects();
        for (var leng = caches.length, i = 0; i < leng; i++) caches[i].showFocusRects();
    }
}

//=============================================================================
// Xg{bNX͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̒lIuWFNg̔z񑮐ɐݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.setPropertyListBox = function() {
    var pr = this.events.pr;
    if (pr.wf.readonly_flag) return;
    var vals1 = [], vals2 = [], ids = [], listbox = this.input_objs[0], checkbox = this.input_objs[1];
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    if (checkbox.checked) {
        vals1.push("DISABLED");
        ids.push("DISABLED");
    }
    for (var leng = listbox.getLength(), i = 0; i < leng; i++) {
        var item = listbox.getItem(i), val = item.value;
        vals1.push(val);
        vals2.push(val);
        ids.push(item.unique_id);
        if (listbox.disabled && item.selected) listbox.selectItem(item, false);
    }
    if (listbox.old_value == ids.join("\n")) return;
    var objs = pr.objs;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], vals3 = [];
        obj.$properties[this.key_name] = vals1;
        for (var leng2 = vals2.length, j = 0; j < leng2; j++) vals3.push(vals2[j]);
        obj.values = vals3;
    }
    listbox.old_value = ids.join("\n");
}

//=============================================================================
// Xg{bNX͒lݒ֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̒lIuWFNg̔z񑮐ɐݒ肵܂B
//  y o[W z7.2.10
//=============================================================================
IMWPropertyEvent.prototype.setDynamicPropertyListBox = function() {
    var pr = this.events.pr;
    // if (pr.wf.readonly_flag) return;
    var vals1 = [], vals2 = [], ids = [], listbox = this.input_objs[0], checkbox = this.input_objs[1], textbox = this.input_objs[2];
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    if (checkbox.checked) {
        vals1.push("DISABLED");
        ids.push("DISABLED");
    }
    for (var leng = listbox.getLength(), i = 0; i < leng; i++) {
        var item = listbox.getItem(i), val = item.value;
        vals1.push(val);
        vals2.push(val);
        ids.push(item.unique_id);
        if (listbox.disabled && item.selected) listbox.selectItem(item, false);
    }
    if (listbox.old_value == ids.join("\n")) return;
    var objs = pr.objs;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i], vals3 = [];
        obj.$properties[this.key_name] = vals1;
        obj.$properties[IMW_INPUT_REFERENCE_DATE_NAME] = textbox.value;
        for (var leng2 = vals2.length, j = 0; j < leng2; j++) vals3.push(vals2[j]);
        obj.values = vals3;
    }
    listbox.old_value = ids.join("\n");
}

//=============================================================================
// IDȆNNbN֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̒lXg{bNX폜܂B
//=============================================================================
IMWPropertyEvent.prototype.onClickRemoveTextBox = function(e) {
    var input = this.owner_obj;
    input.raw_value = input.value = "";
    input.parent_obj.refreshValue();
}

//=============================================================================
// ΏێҌNNbN֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zΏێ҂|bvAbvEBhEJ߂̃R[obN
//            Ăяo܂BO setSearchUserCallback ŃR[obN֐
//            ݒ肷Kv܂B
//            ΏێҌ̍ۂɂ͑ΏێҊ̕ύXsƂ͂ł܂B
//             floating calendar ܂B 
//  y o[W z7.2.10
//=============================================================================
IMWPropertyEvent.prototype.onClickSearchUsers = function(e) {
    if (doc.getElementById(CAL_LAYER_NAME)) draggableLayers[CAL_LAYER_NAME].moveLAYOJ(getStyleOj(CAL_LAYER_NAME), gox, goy);
    if (!this.events.wf.search_user_callback) return;
    e = initEvent(e);
    this.events.pr.popup_owner_obj = this.owner_obj;
    this.events.wf.search_user_callback(e, this.events, this.owner_obj.parent_obj.key_name);
}

//=============================================================================
// ΏێҌʃR[obN֐
//  y  zexPointId: g|CgID
//            pluginId: vOCID
//            parameter: p[^
//            targetType: Ώێ
//            targetCode: ΏۃR[h
//            pluginName: vOC
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIςݑΏێ҂Xg{bNXɒǉ܂B
//=============================================================================
IMWPropertyEvent.prototype.onClickSearchUsersCallback = function(exPointId, pluginId, parameter,
        targetType, targetCode, pluginName) {
    if (!this.wf.pr.obj.show_flag) return;
    var wk = this.wf.wk, listbox = this.wf.pr.popup_owner_obj;
    var checkbox = listbox.parent_obj.input_objs[1];
    for (var leng = listbox.getLength(), i = 0; i < leng; i++) {
        var val = listbox.getItem(i).value, obj = ud;
        if (val == "DISABLED") continue;
        try {json = ImJson.parseJSON(val);} catch(ex) {}
        if (json && json.exPointId == exPointId && json.pluginId == pluginId
            && json.parameter == parameter) return;
    }
    var json = "{\"text\":\"" + escapeJSON(pluginName) + "\","
        + "\"exPointId\":\"" + escapeJSON(exPointId) + "\","
        + "\"pluginId\":\"" + escapeJSON(pluginId) + "\","
        + "\"parameter\":\"" + escapeJSON(parameter) + "\","
        + "\"targetType\":\"" + escapeJSON(targetType) + "\","
        + "\"targetCode\":\"" + escapeJSON(targetCode) + "\"}";
    var item = listbox.appendItem(pluginName, json);
    item.unique_id = wk.getUniqueId();
    listbox.disabled = checkbox.checked = false;
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    listbox.parent_obj.refreshValue();
}

//=============================================================================
// Ώێ҉NNbN֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIςݑΏێ҂Xg{bNX폜܂B
//=============================================================================
IMWPropertyEvent.prototype.onClickRemoveUsers = function(e) {
    var listbox = this.owner_obj, wk = this.events.wf.wk;
    for (var leng = listbox.getLength(), i = leng - 1; i >= 0; i--) {
        var item = listbox.getItem(i);
        if (!item.selected) continue;
        wk.releaseUniqueId(item.unique_id);
        listbox.removeItem(item);
    }
    listbox.parent_obj.refreshValue();
}

//=============================================================================
// Xg{bNXwȂ`FbN{bNXݒ֐
//  y  ze: Cxg̃CX^X
//            pr: IMWProperty NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zΏێ҂̃Xg{bNX̎wԂݒ肵܂B
//=============================================================================
IMWPropertyEvent.prototype.onChangeNoSelectCheckBox = function(e) {
    var listbox = this.owner_obj;
    listbox.disabled = this.checked;
    listbox.setClass(listbox.disabled ? "listbox_disabled" : "");
    listbox.parent_obj.refreshValue();
}

//=============================================================================
// ΏێҊNNbN֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zΏێҊύXꍇAΏێҌ𐧌䂵܂B
//             floating calendar \ۂɊ܂B
//  y o[W z7.2.10
//=============================================================================
IMWPropertyEvent.prototype.onClickDisplayFloatingCalendar = function(e) {
	if (this.events.wf.search_user_callback) this.events.wf.search_user_callback();
}

//=============================================================================
// ΏێҊύXR[obN֐
//  y  zelement: eLXg{bNX
//            value: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvpeB̐ݒeĕ\܂B
//  y o[W z7.2.10
//=============================================================================
IMWPropertyEvent.prototype.onClickChangeUserReferenceDateCallback = function(element, value) {
    if (element.value == value) return;
    this.wf.reference_date = value;
    this.wf.pr.setPropertyValues();
}

//=============================================================================
// u[gNNbN֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zu[g|bvAbvEBhEJ߂
//            R[obNĂяo܂BO setSearchRouteTemplateCallback
//            ŃR[obN֐ݒ肷Kv܂B
//=============================================================================
IMWPropertyEvent.prototype.onClickSearchRouteTemplate = function(e) {
    if (!this.events.wf.search_route_template_callback) return;
    e = initEvent(e);
    this.events.pr.popup_owner_obj = this.owner_obj;
    this.events.wf.search_route_template_callback(e, this.events, this.owner_obj.parent_obj.key_name);
}

//=============================================================================
// u[gʃR[obN֐
//  y  zrouteId: [gID
//            routeName: [g
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIςݒu[geLXg{bNXɒǉ܂B
//=============================================================================
IMWPropertyEvent.prototype.onClickSearchRouteTemplateCallback = function(routeId, routeName) {
    if (!this.wf.pr.obj.show_flag) return;
    var input = this.wf.pr.popup_owner_obj;
    var json = "{\"id\":\"" + escapeJSON(routeId) + "\","
        + "\"name\":\"" + escapeJSON(routeName) + "\"}";
    input.raw_value = json;
    input.value = routeName;
    input.parent_obj.refreshValue();
}

/******************************************************************************
  IMWContext NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWContext = function(wf) {
    this.wf = wf;
    this.events = new IMWContextEvent(wf, this);
    this.obj = createElementDiv(doc.body, "context");
    this.shd = createElementDiv(doc.body, "context_shadow");
    this.box = createElementDiv(this.obj, "context_box");
    this.menu_cnt = this.event_cancel = 0;
    this.hide();
}

//=============================================================================
// ReLXgj[\֐
//  y  ze: Cxg̃CX^X
//  y ԋp z\ڐ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIIuWFNg̃ReLXgj[\܂B
//=============================================================================
IMWContext.prototype.show = function(e) {
    var wf = this.wf, wk = wf.wk, bkg = this.obj, shd = this.shd, events = this.events;
    this.menu_cnt = this.event_cancel = 0;
    this.box.innerHTML = "";
    bkg.style.width = "";
    bkg.style.height = "";
    if (wf.readonly_flag) return 0;
    var objs = wk.getSelectedObjects(IMW_OBJECT_TYPE_ANY), fc = 0, fp = 0, fr = 0, mw = 0;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        switch (obj.obj_type) {
            case IMW_OBJECT_TYPE_NODE:
            case IMW_OBJECT_TYPE_COMMENT:
            case IMW_OBJECT_TYPE_SWIMLANE:
                if (obj.prop && obj.prop.remove) fc = fr = 1;
                break;
            case IMW_OBJECT_TYPE_ARROW:
                fr = 1;
                break;
        }
    }
    if (!wk.selected_cnt && !fc && wk.clip_memory) fp = 1;
    var isMac = /mac/i.test(nvg.platform + "");
    if (fc) mw = this.addMenu(mw, 0, IMW_TEXT_CUT, isMac ? "Cmd+X" : "Ctrl+X");
    if (fc) mw = this.addMenu(mw, 1, IMW_TEXT_COPY, isMac ? "Cmd+C" : "Ctrl+C");
    if (fp) mw = this.addMenu(mw, 2, IMW_TEXT_PASTE, isMac ? "Cmd+V" : "Ctrl+V");
    if (fr) mw = this.addMenu(mw, 9, IMW_TEXT_DELETE, "Delete");
    var menus = this.box.childNodes;
    for (var leng = menus.length, i = 0; i < leng; i++) {
        var menu = menus[i], txt = menu.firstChild;
        txt.style.marginRight = (mw - txt.offsetWidth) + "px";
    }
    bkg.events = events;
    bkg.onmouseover = events.onMouseOverContext;
    bkg.onmouseout = events.onMouseOutContext;
    if (!this.menu_cnt) return 0;
    var x = _getMouseX(e) + 1, y = _getMouseY(e) + 1, w = bkg.offsetWidth, h = bkg.offsetHeight;
    var bw = doc.body.clientWidth, bh = doc.body.clientHeight;
    if (w < 100) {
        bkg.style.width = 100 + "px";
        w = bkg.offsetWidth;
    }
    if (x + w > bw) x -= w + 1;
    if (y + h > bh) y -= h + 1;
    if (x < 0) x = 0;
    if (y < 0) y = 0;
    bkg.style.left = x + "px";
    bkg.style.top = y + "px";
    bkg.style.visibility = "";
    shd.style.left = x + "px";
    shd.style.top = y + "px";
    shd.style.width = w + "px";
    shd.style.height = h + "px";
    shd.style.visibility = "";
    return this.menu_cnt;
}

//=============================================================================
// ReLXgj[\֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIIuWFNg̃ReLXgj[\ɂ܂B
//=============================================================================
IMWContext.prototype.hide = function() {
    this.menu_cnt = this.event_cancel = 0;
    this.box.innerHTML = "";
    var bkg = this.obj, shd = this.shd;
    bkg.style.left = "-1024px";
    bkg.style.top = "-1024px";
    bkg.style.width = "0px";
    bkg.style.height = "0px";
    bkg.style.visibility = "hidden";
    shd.style.left = "-1024px";
    shd.style.top = "-1024px";
    shd.style.width = "0px";
    shd.style.height = "0px";
    shd.style.visibility = "hidden";
}

//=============================================================================
// ReLXgj[ڒǉ֐
//  y  zmw: \̕
//            id: j[ID
//            text: \
//            sckey: V[gJbgL[
//  y ԋp z\̕
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڂǉ܂B
//=============================================================================
IMWContext.prototype.addMenu = function(mw, id, text, sckey) {
    var events = this.events;
    var div = createElementDiv(this.box, "context_menu");
    var txt = createElementDiv(div, "context_menu_text");
    var sck = createElementDiv(div, "context_menu_shortcut");
    txt.innerHTML = text;
    sck.innerHTML = sckey;
    div.txt_obj = txt;
    div.menu_id = id;
    div.events = events;
    div.onmousedown = events.onMouseDownMenu;
    div.onmouseup = events.onMouseUpMenu;
    div.onmouseover = events.onMouseOverMenu;
    div.onmouseout = events.onMouseOutMenu;
    this.menu_cnt++;
    var w = txt.offsetWidth;
    if (mw < w) mw = w;
    return mw;
}

//=============================================================================
// ReLXgj[ڑI֐
//  y  zid: j[ID
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڑĨCxgs܂B
//=============================================================================
IMWContext.prototype.executeMenu = function(id) {
    var wf = this.wf, wk = wf.wk;
    this.event_cancel = 0;
    this.hide();
    switch (id) {
        case 0: // ؂
            wk.cutObjectsToClip();
            break;
        case 1: // Rs[
            wk.copyObjectsToClip();
            break;
        case 2: // \t
            wk.pasteObjectsFromClip();
            break;
        case 9: // 폜
            wk.deleteSelectedObjects();
            break;
    }
}

/******************************************************************************
  IMWContextEvent NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zwf: IMWMain NX̃CX^X
//            ct: IMWContext NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWContextEvent = function(wf, ct) {
    this.wf = wf;
    this.ct = ct;
}

//=============================================================================
// ReLXgj[ onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ onmouseover Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseOverContext = function(e) {
    var ct = this.events.ct;
    ct.event_cancel = 1;
    e = initEvent(e);
    return cancelEvent(e);
}

//=============================================================================
// ReLXgj[ onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ onmouseout Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseOutContext = function(e) {
    var ct = this.events.ct;
    ct.event_cancel = 0;
    e = initEvent(e);
    return cancelEvent(e);
}

//=============================================================================
// ReLXgj[ onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڂ onmousedown Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseDownMenu = function(e) {
    e = initEvent(e);
    if (isMouseL(e)) this.className = this.def_class + " context_menu_clicked";
    return cancelEvent(e);
}

//=============================================================================
// ReLXgj[ onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڂ onmouseup Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseUpMenu = function(e) {
    var ct = this.events.ct;
    e = initEvent(e);
    if (isMouseL(e)) ct.executeMenu(this.menu_id);
    return cancelEvent(e);
}

//=============================================================================
// ReLXgj[ onmouseover Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڂ onmouseover Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseOverMenu = function(e) {
    e = initEvent(e);
    this.className = this.def_class + (this.events.wf.mouse_flag
        ? " context_menu_clicked" : " context_menu_highlight");
    return cancelEvent(e);
}

//=============================================================================
// ReLXgj[ onmouseout Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zReLXgj[ڂ onmouseout Cxg܂B
//=============================================================================
IMWContextEvent.prototype.onMouseOutMenu = function(e) {
    e = initEvent(e);
    this.className = this.def_class;
    return cancelEvent(e);
}

/******************************************************************************
  IMWListbox NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zp: eIuWFNg̃CX^X
//            h: Bȗ
//            cls: ǉNXBȗ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWListbox = function(p, h, cls) {
    this.events = new IMWListboxEvent(this);
    cls = cls ? (" " + cls) : "";
    var obj = createElementDiv(p, "listbox" + cls);
    var table = createElementTable(obj, "listbox", 1);
    var tbody = createElementTbody(table);
    this.obj = obj;
    this.table = table;
    this.tbody = tbody;
    this.last = ud;
    obj.style.height = (h || 5) + "em";
    this.resetSize();
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̃EBhETCY𒲐܂B
//=============================================================================
IMWListbox.prototype.resetSize = function() {
    var bk1 = createElementDiv(doc.body, this.obj.className);
    var bk2 = createElementDiv(bk1);
    bk1.style.backgroundColor = "#ffffff";
    bk2.style.backgroundColor = "#ffffff";
    bk1.style.position = "absolute";
    bk1.style.overflow = "scroll";
    bk1.style.left = "-1024px";
    bk1.style.top = "-1024px";
    bk1.style.height = "100px";
    bk2.innerHTML = "&nbsp;";
    var w = bk2.offsetWidth;
    this.table.style.width = (w < 0 ? 0 : w) + "px";
    doc.body.removeChild(bk1);
}

//=============================================================================
// Xg{bNXNXݒ֐
//  y  zcls: ǉNX
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNXɃNXǉĕ\؂ւ܂B
//=============================================================================
IMWListbox.prototype.setClass = function(cls) {
    cls = cls ? (" " + cls) : "";
    this.obj.className = this.obj.def_class + cls;
}

//=============================================================================
// ڐ擾֐
//  y  zȂ
//  y ԋp zڐ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̍ڐ擾܂B
//=============================================================================
IMWListbox.prototype.getLength = function() {
    return this.tbody.childNodes.length;
}

//=============================================================================
// ڒǉ֐
//  y  ztext: \
//            value: l
//  y ԋp zڃIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNXɍڂǉ܂B
//=============================================================================
IMWListbox.prototype.appendItem = function(text, value) {
    var events = this.events;
    var tr = createElementTr(this.tbody, "listbox_item");
    var td = createElementTd(tr, "listbox_item");
    var div = createElementDiv(td, "listbox_item");
    tr.value = value;
    tr.selected = false;
    tr.events = events;
    tr.onmousedown = events.onMouseDownItem;
    div.innerHTML = escapeHTML(text);
    return tr;
}

//=============================================================================
// ڍ폜֐
//  y  ztr: ڃIuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX獀ڂ폜܂B
//=============================================================================
IMWListbox.prototype.removeItem = function(tr) {
    this.tbody.removeChild(tr);
}

//=============================================================================
// ڎ擾֐
//  y  zidx: ڂ̃CfbNX
//  y ԋp zڃIuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX獀ڂ擾܂B
//=============================================================================
IMWListbox.prototype.getItem = function(idx) {
    return this.tbody.childNodes[idx];
}

//=============================================================================
// ڑI֐
//  y  ztr: ڃIuWFNg̃CX^X
//            f: ItO
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXg{bNX̍ڂI܂B
//=============================================================================
IMWListbox.prototype.selectItem = function(tr, f) {
    tr.selected = f;
    var cls = f ? " listbox_selected" : "";
    tr.className = tr.def_class + cls;
}

/******************************************************************************
  IMWListboxEvent NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zlb: IMWListbox NX̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWListboxEvent = function(lb) {
    this.lb = lb;
}

//=============================================================================
//  onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zڂ onmousedown Cxg܂B
//=============================================================================
IMWListboxEvent.prototype.onMouseDownItem = function(e) {
    var lb = this.events.lb, tbody = lb.tbody;
    var trs = (lb.disabled || lb.readOnly) ? [] : tbody.childNodes;
    e = initEvent(e);
    if (trs.length) {
        var ctrl = isCtrlKey(e), shift = isShiftKey(e), last = lb.last;
        for (var leng = trs.length, i = 0; i < leng; i++) {
            var tr = trs[i];
            tr.new_selected = ctrl ? tr.selected : false;
        }
        if (shift) {
            var f = false;
            for (var leng = trs.length, i = 0; i < leng; i++) {
                var tr = trs[i];
                if (tr == this || tr == (last || trs[0])) {
                    if (f) {
                        tr.new_selected = f;
                        f = !f;
                    } else {
                        f = !f;
                        tr.new_selected = f;
                    }
                } else if (!ctrl || f) {
                    tr.new_selected = f;
                }
            }
        } else {
            this.new_selected = !this.new_selected;
        }
        for (var leng = trs.length, i = 0; i < leng; i++) {
            var tr = trs[i];
            if (tr.selected != tr.new_selected) lb.selectItem(tr, tr.new_selected);
            tr.new_selected = ud;
        }
        if (!shift || !last) lb.last = this;
    }
    return cancelEvent(e);
}

/******************************************************************************
  IMWMain NX
 ******************************************************************************/

//=============================================================================
// RXgN^֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNX܂B
//=============================================================================
IMWMain = function() {
    doc.body.style.visibility = "hidden";
    this.hd = new IMWHeader(this);
    this.tb = new IMWToolbar(this);
    this.wk = new IMWWork(this);
    this.ft = new IMWFooter(this);
    this.pr = new IMWProperty(this);
    this.ct = new IMWContext(this);
    this.drag_objs = [];
    this.drag_objh = {};
    this.debug_flag = this.showid_flag = this.mouse_flag = 0;
    this.readonly_flag = this.cantmove_flag = this.hideprop_flag = 9;
    this.route_id = "";
    this.route_version_id = "";
    this.reference_date = IMW_DEFAULT_REFERENCE_DATE;
    this.route_type = IMW_ROUTE_TYPE_NORMAL;
    this.select_object_callback = ud;
    this.search_user_callback = ud;
    this.search_route_template_callback = ud;
    this.loading = createElementDiv(doc.body, "loading");
    this.loading.innerHTML = IMW_TEXT_LOADING;
    this.wk.setWorkSize();
    setTimeout(function() {wf.resetSize();}, 0); // wf = global variable
}

//=============================================================================
// EBhETCY֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[Nt[fUCiʂ̃EBhETCY𒲐܂B
//=============================================================================
IMWMain.prototype.resetSize = function() {
    if (!doc.body.offsetHeight || !doc.body.offsetWidth) return;
    this.hd.resetSize();
    this.tb.resetSize();
    this.wk.resetSize();
    this.ft.resetSize();
    this.pr.resetSize();
    doc.body.style.visibility = "";
}

//=============================================================================
// m[hEʒu֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[Nt[fUCiʂ̑Sm[hÄʒu𒲐܂B
//=============================================================================
IMWMain.prototype.resetPosition = function() {
    if (!doc.body.offsetHeight || !doc.body.offsetWidth) return;
    this.wk.resetPosition();
}

//=============================================================================
// IuWFNgړJn֐
//  y  znode: IuWFNg (ȊO) ̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[hbOňړ鏀
//            s܂B
//=============================================================================
IMWMain.prototype.dragNodeMove = function(node) {
    switch (node.obj_type) {
        case IMW_OBJECT_TYPE_NODE:
            node.className += " work_node_drag";
            break;
        case IMW_OBJECT_TYPE_COMMENT:
            node.className += " work_comment_drag";
            break;
        case IMW_OBJECT_TYPE_SWIMLANE:
            node.className += " work_swimlane_drag";
            break;
        default:
            return;
    }
    this.drag_objs.push(node);
    this.drag_objh[node.unique_id] = 1;
    doc.body.style.cursor = "move";
    if (node.title_obj) node.title_obj.hide();
}

//=============================================================================
// IuWFNgJn֐
//  y  znode: IuWFNg (ȊO) ̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hARgAXC[hbOŃRs[A[g`
//            [NGAňړ\Ԃɂ鏀s܂B
//=============================================================================
IMWMain.prototype.dragNodeCopy = function(node) {
    var wk = this.wk, node = node.createClone();
    wk.memorizeWork(IMW_WORK_TYPE_CREATE, wk.getObjectsWithAll([node]));
    switch (node.obj_type) {
        case IMW_OBJECT_TYPE_NODE:
            node.className += " work_node_drag";
            break;
        case IMW_OBJECT_TYPE_COMMENT:
            node.className += " work_comment_drag";
            break;
        case IMW_OBJECT_TYPE_SWIMLANE:
            node.className += " work_swimlane_drag";
            break;
        default:
            return;
    }
    this.drag_objs.push(node);
    this.drag_objh[node.unique_id] = 1;
    doc.body.style.cursor = "move";
    if (node.title_obj) node.title_obj.hide();
}

//=============================================================================
// ړJn֐
//  y  zarrow: IuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zhbOňړ܂B
//=============================================================================
IMWMain.prototype.dragArrow = function(arrow) {
    this.drag_objs.push(arrow);
    this.drag_objh[arrow.unique_id] = 1;
    doc.body.style.cursor = "move";
}

//=============================================================================
// ÏړJn֐
//  y  zarrow: ÏgIuWFNg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zÏghbOňړ܂B
//=============================================================================
IMWMain.prototype.dragSelection = function(sel) {
    this.drag_objs.push(sel);
    doc.body.style.cursor = "default";
}

//=============================================================================
// hbO֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zhbOJnȌs܂B
//=============================================================================
IMWMain.prototype.onDragInit = function(e) {
    var objs = this.drag_objs;
    if (!objs.length) return;
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].ondraginit(e);
    this.wk.auto_scroll = 1;
    this.ft.setStatus();
}

//=============================================================================
// hbOړ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zhbOړ̏s܂B
//=============================================================================
IMWMain.prototype.onDragMove = function(e) {
    var objs = this.drag_objs;
    if (!objs.length) return;
    for (var leng = objs.length, i = 0; i < leng; i++) objs[i].ondragmove(e);
    this.wk.setArrowAdjustPos(objs, 1);
}

//=============================================================================
// hbOI֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zhbOǏ㏈s܂B
//=============================================================================
IMWMain.prototype.onDragFinish = function(e) {
    var objs = this.drag_objs;
    this.drag_objh = {};
    if (!objs.length) return;
    var fobj = ud;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (obj.showFocusRects) fobj = fobj == ud ? obj : 0;
        obj.ondragfinish(e);
    }
    for (var leng = objs.length, i = 0; i < leng; i++) objs.pop(); // GC
    doc.body.style.cursor = "";
    if (isMouseL(e)) this.wk.showProperty();
    if (fobj) this.wk.scrollToTarget(fobj);
    this.ft.setStatus();
}

//=============================================================================
// TRACE ID 擾֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽzBȗ
//                  w肷ꍇ͕K getObjects(IMW_OBJECT_TYPE_ANY) 
//                  ߂lw肵Ă
//  y ԋp zIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zSm[h TRACE ID ݒ肵܂B
//=============================================================================
IMWMain.prototype.calcTraceId = function(objs) {
    // SIuWFNg̐ڑ֌W擾
    if (!objs) objs = this.wk.getObjects(IMW_OBJECT_TYPE_ANY);
    var start = ud, nexth = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        obj.trace_id = ud;
        if (obj.obj_type == IMW_OBJECT_TYPE_NODE) {
            if (obj.prop.startNode) start = obj;
        }
        if (obj.obj_type != IMW_OBJECT_TYPE_ARROW) continue;
        if (obj.offset_obj && obj.target_obj) {
            var uid = obj.offset_obj.unique_id;
            if (nexth[uid]) nexth[uid].push(obj.target_obj); else nexth[uid] = [obj.target_obj];
        }
    }
    if (!start) return objs;
    // TRACE ID 擾
    start.trace_id = "0.0";
    var nodes = [start], nodeh = {};
    while (nodes.length) {
        var node = nodes.shift();
        if (nodeh[node.unique_id]) continue; else nodeh[node.unique_id] = 1;
        var nexts = nexth[node.unique_id], tid = node.trace_id, fn = true;
        if (node.prop.endNode) {
            node.trace_id = "0.0";
        } else if (node.prop.branch) {
            node.trace_id = tid + "-0.0";
            fn = node.prop.union;
        } else if (node.prop.union) {
            tid = tid.replace(/\-\d+\.\d+$/, "");
            node.trace_id = tid + "-0.0";
        } else if (node.prop.type == "nodeTyp_Confirm") {
            node.trace_id = "";
        }
        if (nexts) for (var leng = nexts.length, i = 0; i < leng; i++) {
            var next = nexts[i];
            if (nodeh[next.unique_id]) continue;
            next.trace_id = fn
                ? (/(.+\.)(\d+)$/.exec(tid) ? (RegExp.$1 + (RegExp.$2 - (-1))) : "0.0")
                : (tid + "-" + (i + 1) + ".1");
            nodes.push(next);
        }
    }
    return objs;
}

//=============================================================================
// XML GNX|[g֐
//  y  zobjs: IuWFNg̃CX^Xi[ꂽzBȗ
//                  w肷ꍇ͕K getObjects(IMW_OBJECT_TYPE_ANY) 
//                  ߂lw肵Ă
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[g XML ɏo͂܂B
//            O doValidate Ńof[V`FbNsA
//            calcTraceId  TRACE ID ݒ肵ĂKv܂B
//=============================================================================
IMWMain.prototype.exportXML = function(objs) {
    // wb_
    var xml = "<workflow><route id=\"" + this.route_id + "\" version=\"" + this.route_version_id + "\">";
    // SIuWFNg XML 擾
    if (!objs) objs = this.wk.getObjects(IMW_OBJECT_TYPE_ANY);
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (obj.getXML) xml += obj.getXML();
    }
    // tb^
    xml += "</route></workflow>";
    return xml;
}

//=============================================================================
// G[bZ[W\֐
//  y  zmsg: G[bZ[W
//  y ԋp z0
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zG[bZ[Wʂɕ\܂B
//=============================================================================
IMWMain.prototype.showErrorMsg = function(msg) {
    this.loading.innerHTML = escapeHTML(msg);
    this.loading.style.display = "";
    return 0;
}

//=============================================================================
// ^O֐
//  y  zp: eIuWFNg̃CX^X
//            tag: ^O
//  y ԋp z^OIuWFNg̃CX^Xi[ꂽz
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv ze^O̎q^O𕡐擾܂B
//=============================================================================
IMWMain.prototype.findTags = function(p, tag) {
    var objs = [], obj = p.firstChild;
    while (obj) {
        if (obj.tagName == tag) objs.push(obj);
        obj = obj.nextSibling;
    }
    return objs;
}

//=============================================================================
// XML C|[g֐
//  y  zxml: XML 
//  y ԋp zC|[gm[hARgAXC[IuWFNg̍v
//            G[ 0
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXML 烋[g𕜌܂B
//=============================================================================
IMWMain.prototype.importXML = function(xml) {
    if (isBlank(xml)) return 0;
    xml = xml.replace(/\r?\n|<\?[^?]+\?>/g, "");
    xml = xml.replace(/> +</g, "><");
    var parser = parseXML(xml);
    if (!parser) return this.showErrorMsg("ERROR 01: XML parse error occurred.");
    var wf_tag = parser.firstChild;
    if (!wf_tag) return this.showErrorMsg("ERROR 02: XML file of route is broken.");
    if (wf_tag.tagName != "workflow") return this.showErrorMsg("ERROR 03: WORKFLOW tag is not found.");
    var route_tags = this.findTags(wf_tag, "route");
    if (!route_tags.length) return this.showErrorMsg("ERROR 04: ROUTE tag is not found.");
    var wk = this.wk;
    wk.deleteAllObjects();
    var cnt = 0, tags = route_tags[0].childNodes;
    var objs = [], objh = {}, nodes = [], nodeh = {}, arrow_ids = [], pinfos = {};
    for (var leng = tags.length, i = 0; i < leng; i++) {
        var tag = tags[i], id = tag.getAttribute("id"), type = tag.tagName;
        if (type == "node") {
            // m[h`FbN
            var name_tags = this.findTags(tag, "name");
            if (!name_tags.length) continue;
            var pos = this.findTags(tag, "position")[0];
            if (!pos) continue;
            var x = this.findTags(pos, "x")[0], y = this.findTags(pos, "y")[0];
            if (!x || !y) continue;
            var classify_tags = this.findTags(tag, "classify");
            if (!classify_tags.length) continue;
            var type = this.findTags(classify_tags[0], "type")[0];
            if (!type) continue;
            type = type.text || type.textContent || "";
            if (isBlank(type)) {
                continue;
            } else if (type == "nodeTyp_Start") {
                this.route_type = IMW_ROUTE_TYPE_NORMAL; // ʏ탋[g
                this.tb.nodes["nodeTyp_Template"].style.display = "";
            } else if (type == "nodeTyp_Template_Start") {
                this.route_type = IMW_ROUTE_TYPE_TEMPLATE; // ev[gu[g
                this.tb.nodes["nodeTyp_Template"].style.display = "none";
            }
            // m[hIuWFNg𕜌
            var node = wk.addNode(IMW_NODE_TYPE_KEYS[type]);
            node.style.left = (x.text || x.textContent || "0") + "px";
            node.style.top = (y.text || y.textContent || "0") + "px";
            wk.resetNode(node);
            // m[h𕜌
            wk.releaseUniqueId(node.unique_id);
            node.unique_id = wk.getUniqueId();
            node.$properties["node_id"] = id;
            objs.push(node);
            objh[node.unique_id] = node;
            nodeh[id] = node;
            if (name_tags.length) {
                for (var leng2 = name_tags.length, j = 0; j < leng2; j++) {
                    var name_tag = name_tags[j];
                    var locale = name_tag.getAttribute("locale");
                    var text = name_tag.text || name_tag.textContent || "";
                    if (!isBlank(locale)) {
                        node.$properties["node_name"][locale] = text;
                    } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                        node.$properties["node_name"][IMW_LANGUAGES[k].code] = text;
                    }
                }
            } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                node.$properties["node_name"][IMW_LANGUAGES[k].code] = "";
            }
            var plugin_keys = {};
            for (var j in IMW_USERS_EXPOINT_ID) {
                if (node.$properties[j] != ud) node.$properties[j] = [];
                plugin_keys[IMW_USERS_EXPOINT_ID[j]] = j;
            }
            var authinfo_tags = this.findTags(tag, "authInfo");
            for (var leng2 = authinfo_tags.length, j = 0; j < leng2; j++) {
                var plugin_tags = this.findTags(authinfo_tags[j], "plugin");
                for (var leng3 = plugin_tags.length, k = 0; k < leng3; k++) {
                    var plugin_tag = plugin_tags[k];
                    var ex_point_id = plugin_tag.getAttribute("exPointId") || "";
                    if (!plugin_keys[ex_point_id]) continue;
                    var plugin_users = node.$properties[plugin_keys[ex_point_id]];
                    if (plugin_users == ud) continue;
                    var unique_id = plugin_tag.getAttribute("id") || "";
                    var plugin_id = plugin_tag.getAttribute("pluginId") || "";
                    var parameter = this.findTags(plugin_tag, "parameter")[0];
                    parameter = parameter ? (parameter.text || parameter.textContent || "") : "";
                    var target_type = plugin_tag.getAttribute("targetType") || "";
                    var target_code = this.findTags(plugin_tag, "targetCode")[0];
                    target_code = target_code ? (target_code.text || target_code.textContent || "") : "";
                    var display = this.findTags(plugin_tag, "display")[0];
                    display = display ? (display.text || display.textContent || "") : "";
                    var json = "{\"text\":\"" + escapeJSON(display) + "\","
                        + "\"exPointId\":\"" + escapeJSON(ex_point_id) + "\","
                        + "\"pluginId\":\"" + escapeJSON(plugin_id) + "\","
                        + "\"parameter\":\"" + escapeJSON(parameter) + "\","
                        + "\"targetType\":\"" + escapeJSON(target_type) + "\","
                        + "\"targetCode\":\"" + escapeJSON(target_code) + "\"}";
                    plugin_users.push(json);
                    node.plugin_ids[json] = unique_id;
                }
            }
            for (var j in IMW_USERS_EXPOINT_ID) {
                var plugin_users = node.$properties[j];
                if (plugin_users && !plugin_users.length) plugin_users.push("DISABLED");
            }
            var route_template_tags = this.findTags(tag, "routeTemplate");
            if (route_template_tags.length) {
                var route_template_tag = route_template_tags[0];
                var route_template_id = route_template_tag.getAttribute("id") || "";
                var display = this.findTags(route_template_tag, "display")[0];
                display = display ? (display.text || display.textContent || "") : "";
                var json = "{\"id\":\"" + escapeJSON(route_template_id) + "\","
                    + "\"name\":\"" + escapeJSON(display) + "\"}";
                node.$properties["route_template"] = json;
            }
            var k = 0;
            var parent_node_tags = this.findTags(tag, "parentNode");
            while (parent_node_tags.length) {
                parent_node_tag = parent_node_tags[0];
                var pid = parent_node_tag.getAttribute("id");
                var name_tags = this.findTags(parent_node_tag, "name");
                var pname = "";
                if (name_tags) for (var leng2 = name_tags.length, j = 0; j < leng2; j++) {
                    var name_tag = name_tags[j];
                    var locale = name_tag.getAttribute("locale");
                    pname = (isBlank(locale) || locale == IMW_CURRENT_LANG)
                        ? (name_tag.text || name_tag.textContent || "") : "";
                }
                var pobj = pinfos[pid] || {};
                var pobjs = pobj.objs || [];
                pobjs.push(node);
                pobj.objs = pobjs;
                pobj.name = pobj.name || pname;
                pobj.depth = pobj.depth - 0 >= k ? pobj.depth - 0 : k;
                pinfos[pid] = pobj;
                k++;
                parent_node_tags = this.findTags(parent_node_tag, "parentNode");
            }
            wk.resetNode(node); // ēxZbg
            nodes.push(node);
            // L^
            var route_tag = this.findTags(tag, "route")[0];
            var next_tag = route_tag ? this.findTags(route_tag, "next")[0] : ud;
            if (next_tag) {
                var nodeid_tags = this.findTags(next_tag, "nodeId");
                for (var leng2 = nodeid_tags.length, j = 0; j < leng2; j++) {
                    var nodeid_tag = nodeid_tags[j];
                    arrow_ids.push([node.unique_id, nodeid_tag.text || nodeid_tag.textContent || ""]);
                }
            }
            cnt++;
        } else if (type == "comment") {
            // Rg`FbN
            var x = this.findTags(tag, "x")[0], y = this.findTags(tag, "y")[0];
            if (!x || !y) continue;
            var w = this.findTags(tag, "width")[0], h = this.findTags(tag, "height")[0];
            if (!w || !h) continue;
            // RgIuWFNg𕜌
            var comment = wk.addComment(IMW_PROPERTY_COMMENT);
            comment.style.left = (x.text || x.textContent || "0") + "px";
            comment.style.top = (y.text || y.textContent || "0") + "px";
            wk.resetNode(comment);
            // Rg𕜌
            wk.releaseUniqueId(comment.unique_id);
            comment.unique_id = wk.getUniqueId();
            comment.$properties["comment_id"] = comment.unique_id; // ID
            objs.push(comment);
            objh[comment.unique_id] = comment;
            var note_tags = this.findTags(tag, "note");
            if (note_tags && note_tags.length) {
                for (var leng2 = note_tags.length, j = 0; j < leng2; j++) {
                    var note_tag = note_tags[j];
                    var locale = note_tag.getAttribute("locale");
                    var text = note_tag.text || note_tag.textContent || "";
                    if (!isBlank(locale)) {
                        comment.$properties["comment_name"][locale] = text;
                    } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                        comment.$properties["comment_name"][IMW_LANGUAGES[k].code] = text;
                    }
                }
            } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                comment.$properties["comment_name"][IMW_LANGUAGES[k].code] = "";
            }
            wk.resetNode(comment); // ēxZbg
            var nx = (x.text || x.textContent || "0") - 0, ny = (y.text || y.textContent || "0") - 0;
            var nw = (w.text || w.textContent || "0") - 0, nh = (h.text || h.textContent || "0") - 0;
            comment.setSize(nx, ny, nw, nh);
            if (comment.$properties["pos"] != ud) comment.$properties["pos"] = nx + "," + ny;
            if (comment.$properties["size"] != ud) comment.$properties["size"] = nw + "," + nh;
            // L^
            var nodeid_tags = this.findTags(tag, "nodeId");
            for (var leng2 = nodeid_tags.length, j = 0; j < leng2; j++) {
                var nodeid_tag = nodeid_tags[j];
                arrow_ids.push([comment.unique_id, nodeid_tag.text || nodeid_tag.textContent || ""]);
            }
            cnt++;
        } else if (type == "swimlane") {
            // XC[`FbN
            var x = this.findTags(tag, "x")[0], y = this.findTags(tag, "y")[0];
            if (!x || !y) continue;
            var w = this.findTags(tag, "width")[0], h = this.findTags(tag, "height")[0];
            if (!w || !h) continue;
            // XC[IuWFNg𕜌
            var swimlane = wk.addSwimlane(IMW_PROPERTY_SWIMLANE);
            swimlane.style.left = (x.text || x.textContent || "0") + "px";
            swimlane.style.top = (y.text || y.textContent || "0") + "px";
            wk.resetNode(swimlane);
            // XC[𕜌
            wk.releaseUniqueId(swimlane.unique_id);
            swimlane.unique_id = wk.getUniqueId();
            swimlane.$properties["swimlane_id"] = swimlane.unique_id; // ID
            objs.push(swimlane);
            objh[swimlane.unique_id] = swimlane;
            var name_tags = this.findTags(tag, "name");
            if (name_tags && name_tags.length) {
                for (var leng2 = name_tags.length, j = 0; j < leng2; j++) {
                    var name_tag = name_tags[j];
                    var locale = name_tag.getAttribute("locale");
                    var text = name_tag.text || name_tag.textContent || "";
                    if (!isBlank(locale)) {
                        swimlane.$properties["swimlane_name"][locale] = text;
                    } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                        swimlane.$properties["swimlane_name"][IMW_LANGUAGES[k].code] = text;
                    }
                }
            } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                swimlane.$properties["swimlane_name"][IMW_LANGUAGES[k].code] = "";
            }
            wk.resetNode(swimlane); // ēxZbg
            var nx = (x.text || x.textContent || "0") - 0, ny = (y.text || y.textContent || "0") - 0;
            var nw = (w.text || w.textContent || "0") - 0, nh = (h.text || h.textContent || "0") - 0;
            swimlane.setSize(nx, ny, nw, nh);
            if (swimlane.$properties["pos"] != ud) swimlane.$properties["pos"] = nx + "," + ny;
            if (swimlane.$properties["size"] != ud) swimlane.$properties["size"] = nw + "," + nh;
            // L^
            var nodeid_tags = this.findTags(tag, "nodeId");
            for (var leng2 = nodeid_tags.length, j = 0; j < leng2; j++) {
                var nodeid_tag = nodeid_tags[j];
                arrow_ids.push([swimlane.unique_id, nodeid_tag.text || nodeid_tag.textContent || ""]);
            }
            cnt++;
        }
    }
    if (!cnt) return this.showErrorMsg("ERROR 05: Node object is not found.");
    // 𕜌
    for (var leng = arrow_ids.length, i = 0; i < leng; i++) {
        var off = objh[arrow_ids[i][0]], tgt = nodeh[arrow_ids[i][1]];
        if (!off || !tgt) continue;
        var arrow = wk.addArrow();
        arrow.offset_obj = off;
        arrow.target_obj = tgt;
        wk.resetArrow(arrow);
    }
    // m[h̋ĂȂNA
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i], accept = node.acceptProperty(1);
        for (var leng2 = node.prop.properties.length, j = 0; j < leng2; j++) {
            var key = node.prop.properties[j];
            if (accept && !accept[key]) node.$properties[key] = "";
        }
    }
    // O[v{bNX쐬
    if (this.readonly_flag > 0) for (var pid in pinfos) {
        var pobj = pinfos[pid];
        var groupbox = wk.addGroupBox(pobj.name, pobj.objs, pobj.depth);
        groupbox.resetPos();
        groupbox.setText();
    }
    // ŏI
    wk.setWorkSize(objs);
    wk.setArrowAdjustPos(objs);
    wk.clearFocusRects();
    wk.showProperty();
    this.tb.tbl.style.visibility = "";
    this.loading.style.display = "none";
    return cnt;
}

//=============================================================================
// [g\֐
//  y  zrouteType: [g
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zftHg̃[g𕜌܂B
//=============================================================================
IMWMain.prototype.importDefault = function(routeType) {
    var wk = this.wk;
    this.route_type = routeType - 0;
    switch (this.route_type) {
        case IMW_ROUTE_TYPE_NORMAL: // ʏ탋[g
            this.tb.nodes["nodeTyp_Template"].style.display = "";
            var id1 = wk.getUniqueId(), id2 = wk.getUniqueId(), id3 = wk.getUniqueId();
            wk.releaseUniqueId(id1);
            wk.releaseUniqueId(id2);
            wk.releaseUniqueId(id3);
            var xml = "<workflow>";
            xml += "<route>";
            // Jnm[h
            xml += "<node id=\"" + id1 + "\">";
            xml += "<classify><type>nodeTyp_Start</type></classify>";
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var locale_id = IMW_LANGUAGES[i].code;
                xml += "<name locale=\"" + locale_id + "\">";
                if (!IMW_GLOBAL_SUPPORT) locale_id = IMW_CURRENT_LANG;
                xml += IMW_PROPERTY_NODE_START.text[locale_id];
                xml += "</name>";
            }
            xml += "<route><next><nodeId>" + id2 + "</nodeId></next></route>";
            xml += "<position><x>50</x><y>50</y></position>";
            xml += "</node>";
            // \m[h
            xml += "<node id=\"" + id2 + "\">";
            xml += "<classify><type>nodeTyp_Apply</type></classify>";
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var locale_id = IMW_LANGUAGES[i].code;
                xml += "<name locale=\"" + locale_id + "\">";
                if (!IMW_GLOBAL_SUPPORT) locale_id = IMW_CURRENT_LANG;
                xml += IMW_PROPERTY_NODE_APPLY.text[locale_id];
                xml += "</name>";
            }
            xml += "<route><previous><nodeId>" + id1 + "</nodeId></previous></route>";
            xml += "<position><x>160</x><y>50</y></position>";
            xml += "</node>";
            // Im[h
            xml += "<node id=\"" + id3 + "\">";
            xml += "<classify><type>nodeTyp_End</type></classify>";
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var locale_id = IMW_LANGUAGES[i].code;
                xml += "<name locale=\"" + locale_id + "\">";
                if (!IMW_GLOBAL_SUPPORT) locale_id = IMW_CURRENT_LANG;
                xml += IMW_PROPERTY_NODE_END.text[locale_id];
                xml += "</name>";
            }
            xml += "<position><x>360</x><y>50</y></position>";
            xml += "</node>";
            xml += "</route>";
            xml += "</workflow>";
            this.importXML(xml);
            // \m[h̏ΏێҐݒNA
            var nodes = wk.getObjects(IMW_OBJECT_TYPE_NODE);
            for (var leng = nodes.length, i = 0; i < leng; i++) {
                var node = nodes[i];
                if (node.$properties && node.$properties["apply_users"]) {
                    node.$properties["apply_users"] = "";
                }
            }
            return;
        case IMW_ROUTE_TYPE_TEMPLATE: // ev[gu[g
            this.tb.nodes["nodeTyp_Template"].style.display = "none";
            var id1 = wk.getUniqueId(), id2 = wk.getUniqueId();
            wk.releaseUniqueId(id1);
            wk.releaseUniqueId(id2);
            var xml = "<workflow>";
            xml += "<route>";
            // Jnm[h
            xml += "<node id=\"" + id1 + "\">";
            xml += "<classify><type>nodeTyp_Template_Start</type></classify>";
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var locale_id = IMW_LANGUAGES[i].code;
                xml += "<name locale=\"" + locale_id + "\">";
                if (!IMW_GLOBAL_SUPPORT) locale_id = IMW_CURRENT_LANG;
                xml += IMW_PROPERTY_NODE_TMP_START.text[locale_id];
                xml += "</name>";
            }
            xml += "<position><x>60</x><y>50</y></position>";
            xml += "</node>";
            // Im[h
            xml += "<node id=\"" + id2 + "\">";
            xml += "<classify><type>nodeTyp_Template_End</type></classify>";
            for (var leng = IMW_LANGUAGES.length, i = 0; i < leng; i++) {
                var locale_id = IMW_LANGUAGES[i].code;
                xml += "<name locale=\"" + locale_id + "\">";
                if (!IMW_GLOBAL_SUPPORT) locale_id = IMW_CURRENT_LANG;
                xml += IMW_PROPERTY_NODE_TMP_END.text[locale_id];
                xml += "</name>";
            }
            xml += "<position><x>360</x><y>50</y></position>";
            xml += "</node>";
            xml += "</route>";
            xml += "</workflow>";
            this.importXML(xml);
            return;
    }
}

//=============================================================================
// fUCi֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[Nt[fUCï܂B
//            J_[̕`̂ floating calendar vf͎c܂B
//  y o[W z7.2.10
//=============================================================================
IMWMain.prototype.resetWindow = function() {
    // MSIE: [Nh߁AEBhẼGgSč폜
    var referenceDateCalendar = doc.getElementById('referenceDateCalendar');
    doc.body.innerHTML = "";
    doc.body.appendChild(referenceDateCalendar);
    win.onload();
}

//=============================================================================
// [gIDE[go[WIDݒ֐
//  y  zrouteId: [gID
//            routeVersionId: [go[WID
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[gIDA[go[WIDݒ肵܂B
//=============================================================================
IMWMain.prototype.setRouteId = function(routeId, routeVersionId) {
    this.route_id = routeId;
    this.route_version_id = routeVersionId;
}

//=============================================================================
// [gݒ֐
//  y  zname: [g
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z[gݒ肵܂B
//=============================================================================
IMWMain.prototype.setRouteName = function(name) {
    var obj = this.hd.obj;
    obj.innerHTML = isBlank(name) ? "" : escapeHTML(name);
    obj.style.display = isBlank(name) ? "none" : "";
    this.resetSize();
}

//=============================================================================
// ݒ֐
//  y  zreferenceDate: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zݒ肵܂B
//  y o[W z7.2.10
//=============================================================================
IMWMain.prototype.setReferenceDate = function(referenceDate) {
    this.reference_date = referenceDate;
}

//=============================================================================
// ǂݎp[hݒ֐
//  y  zf: ǂݎp[htO
//               (0: ҏW, 1: ҏWsEΏێҕ\, 2: {[h
//                -1: ʒûݕҏW)
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zǂݎp[hݒ肵܂B
//            ǂݎp[hɂꍇAc[o[ƃXe[^Xo[
//            \ɂȂ܂B
//=============================================================================
IMWMain.prototype.setReadonly = function(f) {
    this.readonly_flag = f;
    this.cantmove_flag = f > 0 ? 1 : 0;
    this.hideprop_flag = f >= 2 ? 1 : 0;
    this.tb.obj.style.display = f ? "none" : "";
    this.ft.obj.style.display = f ? "none" : "";
    this.pr.resetItems();
    this.resetSize();
}

//=============================================================================
// ID\ݒ֐
//  y  zf: \[htO (0: ؑ, 1: \, -1: \)
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zID̕\؂ւ܂B
//=============================================================================
IMWMain.prototype.setShowId = function(f) {
    if (this.drag_objs.length) return;
    var wk = this.wk, old = this.showid_flag;
    if (!f) f = this.showid_flag ? -1 : 1;
    f = f > 0 ? 1 : 0;
    if (this.showid_flag == f) return;
    this.showid_flag = f;
    var nodes = wk.getObjects(IMW_OBJECT_TYPE_NODE);
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var node = nodes[i], x = node.offsetLeft, y = node.offsetTop;
        node.setText(x, y);
    }
}

//=============================================================================
// Obh\ݒ֐
//  y  zf: \[htO (0: ؑ, 1: \, -1: \)
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zObh̕\؂ւ܂B
//=============================================================================
IMWMain.prototype.setShowGrid = function(f) {
    if (this.drag_objs.length) return;
    var obj = this.wk.obj, img = obj.style.backgroundImage;
    if (!f) f = img.length ? 1 : -1;
    obj.style.backgroundImage = f > 0 ? "" : "none";
}

//=============================================================================
// IuWFNgIR[obN֐ݒ֐
//  y  zfunc: R[obN֐̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hAARgAXC[IuWFNgI
//            R[obN֐ݒ肵܂B
//            F IuWFNg̈ID (m[hID),
//                   IuWFNg̃CX^X, Cxgl
//            CxglF 0=I, 1=I, 2=_uNbN
//=============================================================================
IMWMain.prototype.setSelectObjectCallback = function(func) {
    this.select_object_callback = func;
}

//=============================================================================
// ΏێҌR[obN֐ݒ֐
//  y  zfunc: R[obN֐̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zΏێҌ̃R[obN֐ݒ肵܂B
//            F Cxg̃CX^X, IMWPropertyEvent NX
//                   CX^X, ڃL[
//            vpeBꂽꍇ͑SĂ̈ undefined 
//            R[obN܂B
//=============================================================================
IMWMain.prototype.setSearchUserCallback = function(func) {
    this.search_user_callback = func;
}

//=============================================================================
// u[gR[obN֐ݒ֐
//  y  zfunc: R[obN֐̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zu[g̃R[obN֐ݒ肵܂B
//            F Cxg̃CX^X, IMWPropertyEvent NX
//                   CX^X, ڃL[
//            vpeBꂽꍇ͑SĂ̈ undefined 
//            R[obN܂B
//=============================================================================
IMWMain.prototype.setSearchRouteTemplateCallback = function(func) {
    this.search_route_template_callback = func;
}

//=============================================================================
// IuWFNgI֐
//  y  zid: IuWFNg̈IDA܂͔z̃CX^X
//  y ԋp zIuWFNg̃CX^XA܂͔z̃CX^X
//            Ȃꍇ undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hAARgAXC[IuWFNgIԂ
//            ܂BsetSelectObjectCallback ŃR[obNݒ肳Ă
//            ꍇ̓R[܂B
//            id ɂ̓m[hIDł͂ȂIDw肷Kv܂B
//            m[hIDw肷ꍇ selectNode gpĂB
//=============================================================================
IMWMain.prototype.selectObject = function(id) {
    var wk = this.wk, ids = id ? (id.join ? id : [id]) : [], objs = [];
    wk.clearFocusRects();
    for (var leng = ids.length, i = 0; i < leng; i++) {
        var obj = wk.getObject(IMW_OBJECT_TYPE_ANY, ids[i]);
        if (!obj) continue;
        obj.showFocusRects();
        objs.push(obj);
    }
    wk.showProperty();
    if (!objs.length) return ud;
    wk.scrollToTarget(objs[0]);
    return id ? (id.join ? objs : objs[0]) : ud;
}

//=============================================================================
// m[hIuWFNgI֐
//  y  znid: m[hIDA܂͔z̃CX^X
//  y ԋp zm[hIuWFNg̃CX^XA܂͔z̃CX^X
//            Ȃꍇ undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hIuWFNgIԂɂ܂BsetSelectObjectCallback 
//            R[obNݒ肳Ăꍇ̓R[܂B
//=============================================================================
IMWMain.prototype.selectNode = function(nid) {
    var wk = this.wk;
    var nids = nid ? (nid.join ? nid : [nid]) : [], nidh = {};
    for (var leng = nids.length, i = 0; i < leng; i++) nidh[nids[i]] = 1;
    var nodes = wk.getObjects(IMW_OBJECT_TYPE_NODE), objs = [];
    wk.clearFocusRects();
    for (var leng = nodes.length, i = 0; i < leng; i++) {
        var obj = nodes[i];
        if (!obj.prop || !obj.$properties || !nidh[obj.$properties["node_id"]]) continue;
        obj.showFocusRects();
        objs.push(obj);
    }
    wk.showProperty();
    if (!objs.length) return ud;
    wk.scrollToTarget(objs[0]);
    return nid ? (nid.join ? objs : objs[0]) : ud;
}

//=============================================================================
// IuWFNgnCCg֐
//  y  znidj: m[hIDL[ɂԃtÕnbV JSON 
//                  (1: s, 2: ۗ, 3: s)
//  y ԋp zm[hIuWFNg̃CX^Xi[ꂽzB
//            Ȃꍇ undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zm[hIuWFNgnCCgԂɂ܂BR[obN֐
//            R[܂BsAۗ̃m[h֎XN[܂B
//=============================================================================
IMWMain.prototype.highlightObject = function(nidj) {
    var wk = this.wk, json = ud;
    try {json = ImJson.parseJSON(nidj);} catch(ex) {}
    if (!json) return ud;
    wk.clearHighlightRects();
    var objs = wk.getObjects(IMW_OBJECT_TYPE_NODE), nodes = [], nodeh = {}, fnodes = [];
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (!obj.prop || !obj.$properties) continue;
        nodeh[obj.$properties["node_id"]] = obj;
    }
    for (var nid in json) {
        var node = nodeh[nid];
        if (!node) continue;
        var lv = json[nid] - 0;
        if (lv) node.showHighlightRects(lv);
        if (lv <= 2) fnodes.push(node);
        nodes.push(node);
    }
    if (!nodes.length) return ud;
    if (fnodes.length) wk.scrollToTarget(fnodes[0]);
    return nodes;
}

//=============================================================================
// of[V`FbN֐
//  y  zmsgs: of[V̌ʂi[z̃CX^XB
//                  G[ꍇ̓of[VbZ[Wi[܂
//            errs: G[Ώۂ̃IuWFNg̈IDi[z
//                  CX^X
//  y ԋp zIuWFNg̃CX^Xi[ꂽzB
//            G[ꍇ undefined
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zof[V`FbNs܂B
//=============================================================================
IMWMain.prototype.doValidate = function(msgs, errs) {
    var wk = this.wk, objs = wk.getObjects(IMW_OBJECT_TYPE_ANY), accepth = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        var accept = obj.acceptProperty ? obj.acceptProperty(1) : ud;
        accepth[obj.unique_id] = accept;
    }
    // ǂݎpłȂꍇ͓̓`FbN
    if (!this.readonly_flag) {
        // K{`FbN
        for (var leng = objs.length, i = 0; i < leng; i++) {
            var obj = objs[i];
            if (!obj.prop) continue;
            for (var leng2 = obj.prop.properties.length, j = 0; j < leng2; j++) {
                var key = obj.prop.properties[j];
                if (!IMW_REQUIRE_PROPERTY[key]) continue;
                var accept = accepth[obj.unique_id];
                if (accept && !accept[key]) continue;
                if (!IMW_MULTI_LOCALE_PROPERTY[key]) {
                    var value = obj.$properties[key];
                    if (isBlank(value)) {
                        var msg = IMW_REQUIRE_PROPERTY[key] == 1
                                ? IMW_MSG_REQUIRE_INPUT : IMW_MSG_REQUIRE_SELECT;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, "");
                        msgs.push(msg);
                    }
                } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                    if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[k].code != IMW_CURRENT_LANG) continue;
                    var value = obj.$properties[key][IMW_LANGUAGES[k].code];
                    if (isBlank(value)) {
                        var msg = IMW_REQUIRE_PROPERTY[key] == 1
                                ? IMW_MSG_REQUIRE_INPUT : IMW_MSG_REQUIRE_SELECT;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, !IMW_GLOBAL_SUPPORT || IMW_LANGUAGES.length < 2 ? ""
                                : IMW_MSG_LOCALE_NAME.replace(/\{0\}/g, IMW_LANGUAGES[k].text));
                        msgs.push(msg);
                    }
                }
            }
            if (msgs.length) {
                errs.push(obj.unique_id);
                break;
            }
        }
        if (msgs.length) return ud;
        // `FbN
        for (var leng = objs.length, i = 0; i < leng; i++) {
            var obj = objs[i];
            if (!obj.prop) continue;
            for (var leng2 = obj.prop.properties.length, j = 0; j < leng2; j++) {
                var key = obj.prop.properties[j], maxLength = IMW_MAX_LENGTH_PROPERTY[key];
                if (!maxLength) continue;
                var accept = accepth[obj.unique_id];
                if (accept && !accept[key]) continue;
                if (!IMW_MULTI_LOCALE_PROPERTY[key]) {
                    var value = obj.$properties[key];
                    if (isBlank(value)) continue;
                    if (getByteLength(value, maxLength) > maxLength) {
                        var msg = IMW_MSG_OUT_OF_RANGE;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, "");
                        msg = msg.replace(/\{2\}/g, maxLength);
                        msgs.push(msg);
                    }
                } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                    if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[k].code != IMW_CURRENT_LANG) continue;
                    var value = obj.$properties[key][IMW_LANGUAGES[k].code];
                    if (isBlank(value)) continue;
                    if (getByteLength(value, maxLength) > maxLength) {
                        var msg = IMW_MSG_OUT_OF_RANGE;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, !IMW_GLOBAL_SUPPORT || IMW_LANGUAGES.length < 2 ? ""
                                : IMW_MSG_LOCALE_NAME.replace(/\{0\}/g, IMW_LANGUAGES[k].text));
                        msg = msg.replace(/\{2\}/g, maxLength);
                        msgs.push(msg);
                    }
                }
            }
            if (msgs.length) {
                errs.push(obj.unique_id);
                break;
            }
        }
        if (msgs.length) return ud;
        // ^`FbN
        for (var leng = objs.length, i = 0; i < leng; i++) {
            var obj = objs[i];
            if (!obj.prop) continue;
            for (var leng2 = obj.prop.properties.length, j = 0; j < leng2; j++) {
                var key = obj.prop.properties[j];
                if (!IMW_ALPHA_NUM_PROPERTY[key]) continue;
                var accept = accepth[obj.unique_id];
                if (accept && !accept[key]) continue;
                if (!IMW_MULTI_LOCALE_PROPERTY[key]) {
                    var value = obj.$properties[key];
                    if (isBlank(value)) continue;
                    if (isNotNumberAtoZ(value)) {
                        var msg = IMW_MSG_NOT_ALPHA_NUM;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, "");
                        msgs.push(msg);
                    }
                } else for (var leng3 = IMW_LANGUAGES.length, k = 0; k < leng3; k++) {
                    if (!IMW_GLOBAL_SUPPORT && IMW_LANGUAGES[k].code != IMW_CURRENT_LANG) continue;
                    var value = obj.$properties[key][IMW_LANGUAGES[k].code];
                    if (isBlank(value)) continue;
                    if (isNotNumberAtoZ(value)) {
                        var msg = IMW_MSG_NOT_ALPHA_NUM;
                        msg = msg.replace(/\{0\}/g, IMW_PROPERTY_NAME[key]);
                        msg = msg.replace(/\{1\}/g, !IMW_GLOBAL_SUPPORT || IMW_LANGUAGES.length < 2 ? ""
                                : IMW_MSG_LOCALE_NAME.replace(/\{0\}/g, IMW_LANGUAGES[k].text));
                        msgs.push(msg);
                    }
                }
            }
            if (msgs.length) {
                errs.push(obj.unique_id);
                break;
            }
        }
        if (msgs.length) return ud;
        // m[hIDd`FbN
        var node_idh = {};
        for (var leng = objs.length, i = 0; i < leng; i++) {
            var obj = objs[i], $properties = obj.$properties;
            if (!obj.prop || !$properties || obj.obj_type != IMW_OBJECT_TYPE_NODE) continue;
            var node = node_idh[$properties["node_id"]];
            if (!node) {
                node_idh[$properties["node_id"]] = obj;
                continue;
            }
            msgs.push(IMW_MSG_DUPLICATE_NODE_ID);
            errs.push(obj.unique_id);
            return ud;
        }
    }
    // ڑ\`FbN
    var offch = {}, tgtch = {}, unih = {};
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (obj.obj_type != IMW_OBJECT_TYPE_ARROW) continue;
        var off = obj.offset_obj, tgt = obj.target_obj;
        if (off && off.prop && tgt && tgt.prop) {
            var nn = IMW_CONNECT_NEXT_NODES[off.prop.type];
            var f = nn ? (nn[tgt.prop.type] || 0) : 0;
            if (f >= 1 && f <= 2) {
                var uid = off.unique_id;
                if (!offch[uid]) offch[uid] = 0;
                offch[uid]++;
            }
            if (f >= 1 && f <= 3) {
                var uid = tgt.unique_id;
                if (!tgtch[uid]) tgtch[uid] = 0;
                tgtch[uid]++;
            }
            if (!tgt.prop.branch && tgt.prop.union) {
                var uid = tgt.unique_id;
                if (!unih[uid]) unih[uid] = [];
                unih[uid].push(off);
            }
        }
        if (obj.error_type) {
            var msg = "";
            switch (obj.error_type) {
                case 1: // ڑs
                    msg = IMW_MSG_INVALID_CONNECT;
                    errs.push(obj.unique_id);
                    break;
                case 2: // ڑFڑ֎~
                    msg = IMW_MSG_ZERO_OFFSET_NODE;
                    errs.push(off ? off.unique_id : obj.unique_id);
                    break;
                case 3: // ڑFڑ
                    msg = IMW_MSG_MANY_OFFSET_NODE;
                    errs.push(off ? off.unique_id : obj.unique_id);
                    break;
                case 4: // ڑFڑ֎~
                    msg = IMW_MSG_ZERO_TARGET_NODE;
                    errs.push(tgt ? tgt.unique_id : obj.unique_id);
                    break;
                case 5: // ڑFڑ
                    msg = IMW_MSG_MANY_TARGET_NODE;
                    errs.push(tgt ? tgt.unique_id : obj.unique_id);
                    break;
            }
            msg = msg.replace(/\{0\}/g, (off && off.prop) ? off.prop.text[IMW_CURRENT_LANG] : "");
            msg = msg.replace(/\{1\}/g, (tgt && tgt.prop) ? tgt.prop.text[IMW_CURRENT_LANG] : "");
            msgs.push(msg);
            break;
        }
    }
    if (msgs.length) return ud;
    // ڑ`FbN
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (obj.obj_type == IMW_OBJECT_TYPE_ARROW || !obj.prop) continue;
        var offc = IMW_CONNECT_OFFSET_COUNT[obj.prop.type] || 0;
        if (!offc && offch[obj.unique_id]) {
            var msg = IMW_MSG_ZERO_OFFSET_NODE;
            msg = msg.replace(/\{0\}/g, obj.prop.text[IMW_CURRENT_LANG]);
            msgs.push(msg);
        } else if ((offc & 1) && !offch[obj.unique_id]) {
            var msg = IMW_MSG_MANY_OFFSET_NODE;
            msg = msg.replace(/\{0\}/g, obj.prop.text[IMW_CURRENT_LANG]);
            msgs.push(msg);
        }
        var tgtc = IMW_CONNECT_TARGET_COUNT[obj.prop.type] || 0;
        if (!tgtc && tgtch[obj.unique_id]) {
            var msg = IMW_MSG_ZERO_TARGET_NODE;
            msg = msg.replace(/\{1\}/g, obj.prop.text[IMW_CURRENT_LANG]);
            msgs.push(msg);
        } else if ((tgtc & 1) && !tgtch[obj.unique_id]) {
            var msg = IMW_MSG_MANY_TARGET_NODE;
            msg = msg.replace(/\{1\}/g, obj.prop.text[IMW_CURRENT_LANG]);
            msgs.push(msg);
        }
        if (msgs.length) {
            errs.push(obj.unique_id);
            break;
        }
    }
    if (msgs.length) return ud;
    // TRACE ID 擾
    this.calcTraceId(objs);
    // yAm[hs`FbN
    var nodeh = {}, cidh = {}, pidh = {}, cnt = 0, ecnt = 0;
    for (var leng = objs.length, i = 0; i < leng; i++) {
        var obj = objs[i];
        if (obj.obj_type != IMW_OBJECT_TYPE_NODE) continue;
        nodeh[obj.unique_id] = obj;
        cnt++;
        if (obj.trace_id == ud) {
            ecnt++;
            continue;
        }
        if (!obj.prop || !IMW_CONNECT_PAIR_NODE[obj.prop.type]) continue;
        var node = cidh[obj.trace_id];
        if (!node || !node.prop) {
            cidh[obj.trace_id] = obj;
            continue;
        }
        var type = node.prop.type;
        if (IMW_CONNECT_PAIR_NODE[type] == obj.prop.type) {
            cidh[obj.trace_id] = ud;
            pidh[obj.trace_id] = [node, obj];
            continue;
        }
        var msg = IMW_MSG_INVALID_PAIR;
        msg = msg.replace(/\{0\}/g, IMW_NODE_TYPE_KEYS[type].text[IMW_CURRENT_LANG]);
        msg = msg.replace(/\{1\}/g,
            IMW_NODE_TYPE_KEYS[IMW_CONNECT_PAIR_NODE[type]].text[IMW_CURRENT_LANG]);
        msgs.push(msg);
        errs.push(node.unique_id);
        break;
    }
    if (msgs.length) return ud;
    // yAm[h݃`FbN
    for (var trace_id in cidh) {
        var node = cidh[trace_id];
        if (!node || !node.prop) continue;
        var type = node.prop.type, msg = IMW_MSG_INVALID_PAIR;
        msg = msg.replace(/\{0\}/g, IMW_NODE_TYPE_KEYS[type].text[IMW_CURRENT_LANG]);
        msg = msg.replace(/\{1\}/g,
            IMW_NODE_TYPE_KEYS[IMW_CONNECT_PAIR_NODE[type]].text[IMW_CURRENT_LANG]);
        msgs.push(msg);
        errs.push(node.unique_id);
        break;
    }
    if (msgs.length) return ud;
    // yAm[hڑ`FbN
    for (var i = 0; i < 2; i++) {
        for (var trace_id in pidh) {
            var nodes = pidh[trace_id];
            if (!nodes[0].prop || !nodes[1].prop) continue;
            var ocnt = nodes[0].prop.branch ? offch[nodes[0].unique_id]
                : (nodes[1].prop.branch ? offch[nodes[1].unique_id] : -1);
            var tcnt = nodes[0].prop.union ? tgtch[nodes[0].unique_id]
                : (nodes[1].prop.union ? tgtch[nodes[1].unique_id] : -1);
            if (!i && ocnt <= tcnt) continue;
            if (i && ocnt == tcnt) continue;
            var node = !!nodes[0].prop.branch == !i ? nodes[0] : nodes[1];
            var type = node.prop.type, msg = IMW_MSG_INVALID_PAIR;
            msg = msg.replace(/\{0\}/g, IMW_NODE_TYPE_KEYS[type].text[IMW_CURRENT_LANG]);
            msg = msg.replace(/\{1\}/g,
                IMW_NODE_TYPE_KEYS[IMW_CONNECT_PAIR_NODE[type]].text[IMW_CURRENT_LANG]);
            msgs.push(msg);
            errs.push(node.unique_id);
            break;
        }
        if (msgs.length) return ud;
    }
    // yAm[h TRACE ID `FbN
    for (var uid in unih) {
        var node = nodeh[uid], tid = node.trace_id;
        if (isBlank(tid)) continue;
        if (/(.+)\-0\.0$/.exec(tid)) tid = RegExp.$1;
        var nodes = unih[uid];
        for (var leng = nodes.length, i = 0; i < leng; i++) {
            var off = nodes[i];
            if (isBlank(off.trace_id) || !off.trace_id.indexOf(tid)) continue;
            var type = node.prop.type, msg = IMW_MSG_INVALID_PAIR;
            msg = msg.replace(/\{0\}/g, IMW_NODE_TYPE_KEYS[type].text[IMW_CURRENT_LANG]);
            msg = msg.replace(/\{1\}/g,
                IMW_NODE_TYPE_KEYS[IMW_CONNECT_PAIR_NODE[type]].text[IMW_CURRENT_LANG]);
            msgs.push(msg);
            errs.push(node.unique_id);
            break;
        }
        if (msgs.length) return ud;
    }
    // ŏImF
    if (!cnt) msgs.push(IMW_MSG_INVALID_ROUTE);
    if (msgs.length) return ud;
    if (ecnt && !confirm(IMW_MSG_NODE_IS_OFFLINE)) return ud;
    return objs;
}

//=============================================================================
// LZ֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zhbOȂǂ̃fUCił̓𒆎~܂B
//=============================================================================
IMWMain.prototype.cancelEvnets = function(e) {
    if (this.drag_objs && this.drag_objs.length) this.onDragFinish(e);
    if (this.ct.menu_cnt) this.ct.hide();
}

/******************************************************************************
  
 ******************************************************************************/

//=============================================================================
// XML ͊֐
//  y  zxml: XML 
//  y ԋp zDOM IuWFNg̃CX^X
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zXML p[X DOM IuWFNg`ɕϊ܂B
//=============================================================================
function parseXML(xml) {
    try {
        if (win.DOMParser) {
            var parser = new DOMParser();
            return parser.parseFromString(xml, "text/xml");
        } else if (doc.all) {
            var obj = new ActiveXObject("Microsoft.XMLDOM");
            obj.async = "false";
            obj.loadXML(xml);
            return obj;
        }
    } catch(ex) {
        return ud;
    }
}

//=============================================================================
// FORM ǉ֐
//  y  zp: eIuWFNg̃CX^XB
//            name: B
//  y ԋp zFORM IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zFORM ^Oǉ܂B
//  y o[W z7.2.10
//=============================================================================
function createElementForm(p, name) {
    // MSIE: form   name ͗\ߎw肷Kv
    var obj = !win.opera && doc.all && (doc.documentMode || 0) <= 8
        ? doc.createElement("<form name=\"" + (name || "") + "\">")
        : doc.createElement("form");
    if (name) obj.name = name;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// TABLE ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//            f: 󔒂ȂtO
//  y ԋp zTABLE IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTABLE ^Oǉ܂B
//=============================================================================
function createElementTable(p, cls, f) {
    var obj = doc.createElement("table");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    if (f) obj.border = obj.cellPadding = obj.cellSpacing = "0";
    return obj;
}

//=============================================================================
// TBODY ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//  y ԋp zTBODY IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTBODY ^Oǉ܂B
//=============================================================================
function createElementTbody(p, cls) {
    var obj = doc.createElement("tbody");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// TR ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//  y ԋp zTR IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTR ^Oǉ܂B
//=============================================================================
function createElementTr(p, cls) {
    var obj = doc.createElement("tr");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// TD ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//  y ԋp zTD IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTD ^Oǉ܂B
//=============================================================================
function createElementTd(p, cls) {
    var obj = doc.createElement("td");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// DIV ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//  y ԋp zDIV IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zDIV ^Oǉ܂B
//=============================================================================
function createElementDiv(p, cls) {
    var obj = doc.createElement("div");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// IMG ǉ֐
//  y  zp: eIuWFNg̃CX^X
//            src: 摜pX
//            cls: ǉNXBȗ
//  y ԋp zIMG IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zIMG ^Oǉ܂B
//=============================================================================
function createElementImg(p, src, cls) {
    var obj = doc.createElement("img");
    obj.src = src;
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// INPUT ǉ֐
//  y  zp: eIuWFNg̃CX^X
//            type: IuWFNg̃^Cv ("text", "checkbox" )
//            cls: ǉNXBȗ
//            name: Bȗ
//  y ԋp zINPUT IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zINPUT ^Oǉ܂B
//=============================================================================
function createElementInput(p, type, cls, name) {
    // MSIE: input  type, name ͗\ߎw肷Kv
    var obj = !win.opera && doc.all && (doc.documentMode || 0) <= 8
        ? doc.createElement("<input type=\"" + (type || "") + "\" name=\"" + (name || "") + "\">")
        : doc.createElement("input");
    obj.type = type;
    if (cls) obj.def_class = obj.className = cls;
    if (name) obj.name = name;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// TEXTAREA ǉ֐
//  y  zp: eIuWFNg̃CX^XBȗ
//            cls: ǉNXBȗ
//  y ԋp zTEXTAREA IuWFNg
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zTEXTAREA ^Oǉ܂B
//=============================================================================
function createElementTextarea(p, cls) {
    var obj = doc.createElement("textarea");
    if (cls) obj.def_class = obj.className = cls;
    if (p) p.appendChild(obj);
    return obj;
}

//=============================================================================
// HTML GR[h֐
//  y  zstr: 
//  y ԋp zHTML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z HTML ɕϊ܂B
//=============================================================================
function escapeHTML(str) {
    str = str.replace(/\&/g, "&amp;");
    str = str.replace(/\"/g, "&quot;");
    str = str.replace(/\</g, "&lt;");
    str = str.replace(/\>/g, "&gt;");
    str = str.replace(/\ /g, "&nbsp;");
    str = str.replace(/\t/g, "&nbsp; &nbsp; ");
    str = str.replace(/\r?\n/g, "<br>");
    return str;
}

//=============================================================================
// XML GR[h֐
//  y  zstr: 
//  y ԋp zXML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z XML ɕϊ܂B
//=============================================================================
function escapeXML(str) {
    str = str.replace(/\&/g, "&amp;");
    str = str.replace(/\"/g, "&quot;");
    str = str.replace(/\</g, "&lt;");
    str = str.replace(/\>/g, "&gt;");
    str = str.replace(/\t/g, "    ");
    return str;
}

//=============================================================================
// JSON GR[h֐
//  y  zstr: 
//  y ԋp zHTML 
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z JSON ɕϊ܂B
//=============================================================================
function escapeJSON(str) {
    str = str.replace(/([\"])/g, "\\$1");
    return str;
}

//=============================================================================
// Cxg֐
//  y  ze: Cxg̃CX^X (O)
//  y ԋp zCxg̃CX^X ()
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zCxg̃IuWFNg܂B
//=============================================================================
function initEvent(e) {
    if (!e) e = win.event;
    return e;
}

//=============================================================================
// NbN擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp ztrue: NbNĂ, false: NbNĂȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zNbNꂽ擾܂B
//=============================================================================
function isMouseL(e) {
    return (e.button == 1) || (e.which == 1);
}

//=============================================================================
// ENbN擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp ztrue: ENbNĂ, false: ENbNĂȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zENbNꂽ擾܂B
//=============================================================================
function isMouseR(e) {
    var isMac = /mac/i.test(nvg.platform + "");
    return (e.button == 2) || (e.which == 3) || (isMac && isCtrlKey(e) && isMouseL(e));
}

//=============================================================================
// Shift L[擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp ztrue: Ă, false: ĂȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zShift L[Ă邩擾܂B
//=============================================================================
function isShiftKey(e) {
    return e.shiftKey;
}

//=============================================================================
// Ctrl L[擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp ztrue: Ă, false: ĂȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zCtrl L[Ă邩擾܂B
//=============================================================================
function isCtrlKey(e) {
    return e.ctrlKey || e.metaKey;
}

//=============================================================================
// }EX |C^ X W擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp zEBhEƂ X ʒu
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z}EXJ[\ X ʒu擾܂B
//  y o[W z7.2.10
//=============================================================================
function _getMouseX(e) {
    if (e.pageX != ud) return e.pageX;
    var mode = (!win.opera && doc.all) ? doc.documentMode || 7 : 8; // MSIE: `惂[h擾
    return e.clientX - (mode < 8 ? 2 : 0); // MSIE 7: 擾l 2px oO
}

//=============================================================================
// }EX |C^ Y W擾֐
//  y  ze: Cxg̃CX^X ()
//  y ԋp zEBhEƂ Y ʒu
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv z}EXJ[\ Y ʒu擾܂B
//  y o[W z7.2.10
//=============================================================================
function _getMouseY(e) {
    if (e.pageY != ud) return e.pageY;
    var mode = (!win.opera && doc.all) ? doc.documentMode || 7 : 8; // MSIE: `惂[h擾
    return e.clientY - (mode < 8 ? 2 : 0); // MSIE 7: 擾l 2px oO
}

//=============================================================================
// uEUWCxgLZ֐
//  y  ze: Cxg̃CX^X ()
//            f: uEUCxgLZtO
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zuEUW̃CxgLZ܂B
//=============================================================================
function cancelEvent(e, f) {
    var isFirefox = /firefox/i.test(nvg.userAgent || "");
    var isSafari = /webkit/i.test(nvg.userAgent || "");
    if (f) {
        var type = e.type || "";
        // Firefox: XN[o[ȂoO (}EXCxĝ true ԋp)
        if (isFirefox && /^mouse/i.test(type)) return true;
        // Safari: L[CxgȂoO (mousedown ̂ true ԋp)
        if (isSafari && /^mousedown/i.test(type)) return true;
        // Opera: L[CxgȂoO (mousedown ݈̂ꎞIɃtH[JXڂ)
        if (win.opera && /^mousedown/i.test(type)) {
            var ipt = createElementInput(doc.body, "checkbox", "unfocusbox");
            ipt.focus();
            doc.body.removeChild(ipt);
        }
        // CxgLZ
        e.cancelBubble = true;
        e.returnValue = false;
        if (e.preventDefault) e.preventDefault();
        if (e.stopPropagation) e.stopPropagation();
        return false;
    } else {
        // Firefox: hbO삪Ă܂oO (摜̂ false ԋp)
        if (isFirefox && /^img$/i.test(e.target.tagName || "")) return false;
        return true;
    }
}

/******************************************************************************
  Gg[|Cg
 ******************************************************************************/

var win = window, doc = document, nvg = navigator, ud = undefined, wf = ud;

//=============================================================================
// Cxgo^֐
//  y  zelement: vf
//            eventType: Cxg^Cv
//            func: 
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zvfɃCxgo^܂B
//  y o[W z7.2.10
//============================================================================= 
function addEventListener(element, eventType, func) {
    if (element.addEventListener) {
        element.addEventListener(eventType, func, false);
    } else {
        element.attachEvent('on' + eventType, func);
    }
}

//=============================================================================
// y[W onload Cxg֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onload Cxg̏s܂B
//=============================================================================
win.onload = function() {
    if (doc.body && doc.body.style) wf = new IMWMain(); else setTimeout(win.onload, 10);
}

//=============================================================================
// y[W onunload Cxg֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onunload Cxg̏s܂B
//=============================================================================
win.onunload = function() {
    win.status = "";
}

//=============================================================================
// y[W onresize Cxg֐
//  y  zȂ
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onresize Cxg̏s܂B
//=============================================================================
win.onresize = function() {
    //if (wf) wf.resetSize();
}

//=============================================================================
// y[W oncontextmenu Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W oncontextmenu Cxg̏s܂B
//            vpeBҏWłȂꍇ͊{IɃuEŨCxg
//            LZ܂B
//=============================================================================
doc.oncontextmenu = function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    return cancelEvent(e, 1);
}

//=============================================================================
// y[W onselectstart Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onselectstart Cxg̏s܂B
//            vpeBҏWłȂꍇ͊{IɃuEŨCxg
//            LZ܂B
//=============================================================================
doc.onselectstart = function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    return cancelEvent(e, 1);
}

//=============================================================================
// y[W onmousedown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onmousedown Cxg̏s܂B
//            vpeBҏWłȂꍇ͊{IɃuEŨCxg
//            LZ܂B
//  y o[W z7.2.10
//=============================================================================
addEventListener(doc, 'mousedown', function(e) {
    if (wf) {
        wf.mouse_flag = 1;
        var bkg = wf.wk.bkg;
        if (bkg.target_tid) {
            clearInterval(bkg.target_tid);
            bkg.target_tid = 0;
        }
        if (!wf.ct.event_cancel) wf.ct.hide();
        if (wf.pr.event_cancel) return;
    }
    e = initEvent(e);
    return cancelEvent(e, 1);
});

//=============================================================================
// y[W onmousemove Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onmousemove Cxg̏s܂B
//            vpeBҏWłȂꍇ͊{IɃuEŨCxg
//            LZ܂B
//  y o[W z7.2.10
//=============================================================================
addEventListener(doc, 'mousemove', function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    if (wf) {
        wf.onDragMove(e);
        if (wf.wk.auto_scroll >= 2) {
            var bkg = wf.wk.bkg;
            bkg.scroll_x = _getMouseX(e);
            bkg.scroll_y = _getMouseY(e);
            var x = bkg.scroll_x - bkg.offsetLeft;
            var y = bkg.scroll_y - bkg.offsetTop;
            var w = bkg.offsetWidth, h = bkg.offsetHeight;
            bkg.scroll_dx = bkg.scroll_dy = 0;
            if (x <= 30) bkg.scroll_dx = x - 31;
            if (y < 0) bkg.scroll_dy = y;
            if (w - x <= 50) bkg.scroll_dx = x + 51 - w;
            if (h - y <= 20) bkg.scroll_dy = y + 21 - h;
        }
    }
    return cancelEvent(e, 1);
});

//=============================================================================
// y[W onmouseup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zboolean (CxgLZstOBˑ)
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onmouseup Cxg̏s܂B
//            vpeBҏWłȂꍇ͊{IɃuEŨCxg
//            LZ܂B
//  y o[W z7.2.10
//=============================================================================
addEventListener(doc, 'mouseup', function(e) {
    if (wf) {
        wf.mouse_flag = 0;
        if (wf.pr.event_cancel) return;
    }
    e = initEvent(e);
    if (wf) {
        wf.onDragFinish(e);
        wf.wk.focus_cancel = wf.wk.auto_scroll = ud;
        wf.wk.bkg.scroll_dx = wf.wk.bkg.scroll_dy = 0;
    }
    return cancelEvent(e, 1);
});

//=============================================================================
// y[W onkeydown Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onkeydown Cxg̏s܂B
//=============================================================================
doc.onkeydown = function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    if (wf) switch (e.keyCode) {
        case 27: // Escape
            wf.cancelEvnets(e);
            break;
    }
    if (wf && wf.ct.menu_cnt) return;
    if (wf) switch (e.keyCode) {
        case 46: // Delete
            wf.wk.deleteSelectedObjects();
            break;
        case 48: // 0
            if (isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+0
                if (wf.debug_flag) alert("DEBUG COMMANDS (CTRL+SHIFT+?):\n"
                    + " 1 = initialize normal route\n 2 = initialize template route\n"
                    + " 3 = export xml to memory\n 4 = import xml from memory\n"
                    + " 5 = all clear\n 6 = validation check\n 7 = trace id\n"
                    + " 8 = memory counter\n 9 = reload\n 0 = help");
                else alert("IM-Workflow ROUTE DESIGNER " + IMW_ROUTE_DESIGNER_VERSION);
            }
            break;
        case 49: // 1
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+1
                wf.importDefault(0);
            }
            break;
        case 50: // 2
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+2
                wf.importDefault(1);
            }
            break;
        case 51: // 3
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+3
                alert(top.imw_designer_clip = wf.exportXML(wf.calcTraceId()));
            }
            break;
        case 52: // 4
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+4
                wf.importXML(top.imw_designer_clip || "");
            }
            break;
        case 53: // 5
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+5
                wf.importXML("<workflow><route></route></workflow>");
            }
            break;
        case 54: // 6
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+6
                var msgs = [], errs = [];
                wf.doValidate(msgs, errs);
                wf.selectObject(errs);
                alert(msgs.join("\n"));
            }
            break;
        case 55: // 7
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+7
                var objs = wf.wk.getObjects(IMW_OBJECT_TYPE_ANY), ids = [];
                wf.calcTraceId(objs);
                for (var leng = objs.length, i = 0; i < leng; i++) {
                    if (objs[i].obj_type == IMW_OBJECT_TYPE_NODE) {
                        ids.push(objs[i].$properties["node_name"][IMW_CURRENT_LANG] + ":"
                            + objs[i].trace_id);
                    }
                }
                alert(ids.join(","));
            }
            break;
        case 56: // 8
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e)) { // Ctrl+Shift+8
                var c1 = 0, c2 = 0;
                for (var key in wf.wk.unique_ids) {
                    if (wf.wk.unique_ids[key]) c1++;
                    c2++;
                }
                alert("unique id : " + c1 + " / " + c2 + "\nundo : " + wf.wk.undo_memory.length
                    + "\nredo : " + wf.wk.redo_memory.length);
            }
            break;
        case 57: // 9
            if (wf.debug_flag && isCtrlKey(e) && isShiftKey(e) && confirm("RELOAD?")) { // Ctrl+Shift+9
                location.reload();
            }
            break;
        case 65: // A
            if (isCtrlKey(e)) wf.wk.selectAllObjects(); // Ctrl+A
            break;
        case 67: // C
            if (isCtrlKey(e)) wf.wk.copyObjectsToClip(); // Ctrl+C
            break;
        case 69: // E
            if (isCtrlKey(e) && isShiftKey(e)) wf.wk.pointEndNode(); // Ctrl+Shift+E
            break;
        case 71: // G
            if (isCtrlKey(e) && isShiftKey(e)) wf.setShowGrid(); // Ctrl+Shift+G
            break;
        case 73: // I
            if (isCtrlKey(e) && isShiftKey(e)) wf.setShowId(); // Ctrl+Shift+I
            break;
        case 83: // S
            if (isCtrlKey(e) && isShiftKey(e)) wf.wk.pointStartNode(); // Ctrl+Shift+S
            break;
        case 86: // V
            if (isCtrlKey(e)) wf.wk.pasteObjectsFromClip(); // Ctrl+V
            break;
        case 88: // X
            if (isCtrlKey(e)) wf.wk.cutObjectsToClip(); // Ctrl+X
            break;
        case 89: // Y
            if (isCtrlKey(e)) wf.wk.redoWork(); // Ctrl+Y
            break;
        case 90: // Z
            if (isCtrlKey(e)) wf.wk.undoWork(); // Ctrl+Z
            break;
    }
    return cancelEvent(e, 1);
}

//=============================================================================
// y[W onkeypress Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onkeypress Cxg̏s܂B
//=============================================================================
doc.onkeypress = function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    return cancelEvent(e, 1);
}

//=============================================================================
// y[W onkeyup Cxg֐
//  y  ze: Cxg̃CX^X
//  y ԋp zȂ
//  y쐬ҁzNTT DATA INTRAMART
//  y Tv zy[W onkeyup Cxg̏s܂B
//=============================================================================
doc.onkeyup = function(e) {
    if (wf && wf.pr.event_cancel) return;
    e = initEvent(e);
    return cancelEvent(e, 1);
}
